<?php

include("include/header.php");

// Проверка прав доступа к разделу
if($profile_access_blocks_dynamic==0)
{
	echo $block_profile_danger;
}
else
{
	// Выбор типа данных
	if(isset($_GET['new']))
	{
		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>'>Блоки динамические</a></li>
			<li class='breadcrumb-item active'>Новый</li>
		</ol>

		<div class="row data-types">

			<div class="col-xl-3 col-lg-4">
				<div class="card">
					<div class="card-body">
						<h5 class="card-title"><a href="<?=CURRENT_FILE?>?new_pages">Страницы</a></h5>
						<p class="card-text">Создать динамический блок для страниц</p>
					</div>
				</div>
			</div>

			<div class="col-xl-3 col-lg-4">
				<div class="card">
					<div class="card-body">
						<h5 class="card-title"><a href="<?=CURRENT_FILE?>?new_elements">Элементы</a></h5>
						<p class="card-text">Создать динамический блок для элементов</p>
					</div>
				</div>
			</div>

		</div>

		<?php
	}

	// Новый блок
	elseif(isset($_GET['new_pages']) || isset($_GET['new_elements']))
	{

		$current_type = (isset($_GET['new_pages'])) ? 'Страницы' : 'Элементы';

		$data_type_hidden = (isset($_GET['new_elements'])) ? 'd-none' : '';

		$data_type = (isset($_GET['new_pages'])) ? 'pages' : 'elements';

		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>'>Блоки динамические</a></li>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?new'>Новый</a></li>
			<li class='breadcrumb-item active'><?=$current_type?></li>
		</ol>

		<form role='form' action='<?=CURRENT_FILE?>' method='post'>

			<div class='form-group' id='title-div'>
				<label><b>Заголовок:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
				<input type='text' class='form-control' id='title' name='title' maxlength='255'>
			</div>

			<div class='form-group'>
				<label><b>Обрамление (начало):</b></label>
				<textarea class='form-control demo codemirror' name='frame1'></textarea>
			</div>

			<div class='form-group'>
				<label><b>Элемент (по умолчанию):</b></label>
				<textarea class='form-control demo codemirror' name='template_default'></textarea>
			</div>
			<div class='form-group <?=$data_type_hidden?>'>
				<label><b>Элемент (активный):</b></label>
				<textarea class='form-control demo codemirror' name='template_checked'></textarea>
			</div>
			<div class='form-group <?=$data_type_hidden?>'>
				<label><b>Элемент для главной страницы (по умолчанию):</b></label>
				<textarea class='form-control demo codemirror' name='template_index_default'></textarea>
			</div>
			<div class='form-group <?=$data_type_hidden?>'>
				<label><b>Элемент для главной страницы (активный):</b></label>
				<textarea class='form-control demo codemirror' name='template_index_checked'></textarea>
			</div>

			<div class=form-group>
				<label><b>Обрамление (конец):</b></label>
				<textarea class='form-control demo codemirror' name='frame2'></textarea>
			</div>

			<div class='form-group'>
				<label><b>Код сортировки:</b></label>
				<input type=text class='form-control' name='code_sorting'>
			</div>

			<div class='form-group'>
				<label><b>Код выборки:</b></label>
				<input type=text class='form-control' name='code_where'>
			</div>

			<div class='form-group'>
				<label><b>Лимит:</b></label>
				<div class='form-inline'>
					<input type='text' class='form-control mr-sm-2 number' name='limit1' value='0'> <input type='text' class='form-control number' name='limit2' value='0'>
				</div>
			</div>

			<div class='form-group <?=$data_type_hidden?>'>
				<div class='checkbox'>
					<label>
						<input type='checkbox' name='pagination' value='1'> <b>Постраничное разделение</b>
					</label>
				</div>
			</div>

		<?php
		if(count_query('SELECT id FROM '.DB_PREFIX.'blocks_dynamic where data_base = 0 && code_where="" && data_type = "'.$data_type.'"')>0)
		{
			?>

			<div class='form-group'>
				<label><b>Привязать к блоку:</b></label>
				<select name='data_base' class='form-control'>
					<option value='0'>-- Не выбрано --</option>

				<?php
				$result_dynamic_section=mysqli_query($mysqli,'SELECT id, title, data_type from '.DB_PREFIX.'blocks_dynamic where data_base=0 && code_where="" && data_type="'.$data_type.'" order by number asc, id asc');
				while($row_dynamic_section=mysqli_fetch_array($result_dynamic_section))
				{
					?>
					<option value='<?=$row_dynamic_section['id']?>'><?=htmlspecialchars($row_dynamic_section['title'],ENT_QUOTES)?></option>
					<?php
				}
				?>

				</select>
			</div>

			<?php
		}
		?>

			<input type="hidden" name="data_type" value="<?=$data_type?>">

			<div class='form-group'>
				<div class='checkbox'>
					<label>
						<input type='checkbox' name='hide' value='1'> <b>Скрыть на сайте</b>
					</label>
				</div>
				<div class='checkbox'>
					<label>
						<input type='checkbox' name='hide_data' value='1'> Скрыть в разделе данных
					</label>
				</div>
			</div>

			<button type='submit' class='btn btn-primary' name='record_new'>Записать</button>

		</form>

		<?php
	}
	// Запись нового блока
	elseif(isset($record_new) || isset($record_edit_new))
	{

		$block_type_link = ($data_type=='pages') ? '<a href="'.CURRENT_FILE.'?new_pages">Страницы</a>' : '<a href="'.CURRENT_FILE.'?new_elements">Элементы</a>';

		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>'>Блоки динамические</a></li>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?new'>Новый</a></li>
			<li class='breadcrumb-item'><?=$block_type_link?></li>
			<li class='breadcrumb-item active'>Запись</li>
		</ol>

		<?php

		$title=mysqli_escape_string($mysqli,$title);
		$template_default=mysqli_escape_string($mysqli,$template_default);
		$template_checked=mysqli_escape_string($mysqli,$template_checked);
		$template_index_default=mysqli_escape_string($mysqli,$template_index_default);
		$template_index_checked=mysqli_escape_string($mysqli,$template_index_checked);
		$frame1=mysqli_escape_string($mysqli,$frame1);
		$frame2=mysqli_escape_string($mysqli,$frame2);
		$code_sorting=trim(mysqli_escape_string($mysqli,$code_sorting));
		$code_where=trim(mysqli_escape_string($mysqli,$code_where));

		// Заглушки
		if(!isset($pagination)){$pagination=0;}
		if(!isset($data_base)){$data_base=0;}
		if(!isset($hide)){$hide=0;}
		if(!isset($hide_data)){$hide_data=0;}

		if(mysqli_query($mysqli,"INSERT INTO ".DB_PREFIX."blocks_dynamic (
		user,
		hide,
		hide_data,
		title,
		template_default,
		template_checked,
		template_index_default,
		template_index_checked,
		frame1,
		frame2,
		code_sorting,
		code_where,
		limit1,
		limit2,
		pagination,
		data_type,
		data_base,
		date_time
		) VALUES (
		'$admin_id',
		'$hide',
		'$hide_data',
		'$title',
		'$template_default',
		'$template_checked',
		'$template_index_default',
		'$template_index_checked',
		'$frame1',
		'$frame2',
		'$code_sorting',
		'$code_where',
		'$limit1',
		'$limit2',
		'$pagination',
		'$data_type',
		'$data_base',
		'".DATE_TIME."'
		)"))
		{
			if($row=mysqli_fetch_array(mysqli_query($mysqli,"SELECT id from ".DB_PREFIX."blocks_dynamic order by id desc")))
			{
				echo"
				<div class='bd-callout bd-callout-info'>
					<h4>Информация успешно записана!</h4>
					<div class='form-group'>
						<label>Код вставки:</label>
						<input type='text' class='form-control' value='<?php cms_block_dynamic($row[id]);?>' onclick='this.select();'>
						<p class='form-text text-muted'>Нажмите на поле для выделения</p>
					</div>
					<p><a href='".CURRENT_FILE."?id=$row[id]'>Отредактировать блок</a></p>
				</div>
				";
			}
			cache_delete();
		}
		else
		{
			echo $block_danger;
		}
	}

	// Редактирование блока
	elseif(isset($id))
	{
		if($row=mysqli_fetch_array(mysqli_query($mysqli,"SELECT * from ".DB_PREFIX."blocks_dynamic where id='$id'")))
		{
			$quotes_title=htmlspecialchars($row['title'],ENT_QUOTES);
			$quotes_template_default=htmlspecialchars($row['template_default'],ENT_QUOTES);
			$quotes_template_checked=htmlspecialchars($row['template_checked'],ENT_QUOTES);
			$quotes_template_index_default=htmlspecialchars($row['template_index_default'],ENT_QUOTES);
			$quotes_template_index_checked=htmlspecialchars($row['template_index_checked'],ENT_QUOTES);
			$quotes_frame1=htmlspecialchars($row['frame1'],ENT_QUOTES);
			$quotes_frame2=htmlspecialchars($row['frame2'],ENT_QUOTES);
			$quotes_code_sorting=htmlspecialchars($row['code_sorting'],ENT_QUOTES);
			$quotes_code_where=htmlspecialchars($row['code_where'],ENT_QUOTES);

			$block_dynamic_elements_none = ($row['data_type']=='elements') ? 'd-none' : '';

			$nav_section = ($row['data_type']=='elements') ? '?elements' : '';

			?>

			<ol class='breadcrumb'>
				<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?><?=$nav_section?>'>Блоки динамические</a></li>
				<li class='breadcrumb-item active'>Редактирование</li>
			</ol>

			<?php

			echo"
			<form role='form' action='".CURRENT_FILE."' method='post'>

				<div class='form-group' id='title-div'>
					<label><b>Заголовок:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
					<input type='text' class='form-control' id='title' name='title' value='$quotes_title' maxlength='255'>
				</div>

				<div class='form-group'>
					<label><b>Обрамление (начало):</b></label>
					<textarea class='form-control demo codemirror' name='frame1'>$quotes_frame1</textarea>
				</div>

				<div class='form-group'>
					<label><b>Элемент (по умолчанию):</b></label>
					<textarea class='form-control demo codemirror' name='template_default'>$quotes_template_default</textarea>
				</div>
				<div class='form-group $block_dynamic_elements_none'>
					<label><b>Элемент (активный):</b></label>
					<textarea class='form-control demo codemirror' name='template_checked'>$quotes_template_checked</textarea>
				</div>
				<div class='form-group $block_dynamic_elements_none'>
					<label><b>Элемент для главной страницы (по умолчанию):</b></label>
					<textarea class='form-control demo codemirror' name='template_index_default'>$quotes_template_index_default</textarea>
				</div>
				<div class='form-group $block_dynamic_elements_none'>
					<label><b>Элемент для главной страницы (активный):</b></label>
					<textarea class='form-control demo codemirror' name='template_index_checked'>$quotes_template_index_checked</textarea>
				</div>

				<div class='form-group'>
					<label><b>Обрамление (конец):</b></label>
					<textarea class='form-control demo codemirror' name='frame2'>$quotes_frame2</textarea>
				</div>

				<div class='form-group'>
					<label><b>Код сортировки:</b></label>
					<input type=text class='form-control' name='code_sorting' value='$quotes_code_sorting'>
				</div>

				<div class='form-group'>
					<label><b>Код выборки:</b></label>
					<input type=text class='form-control' name='code_where' value='$quotes_code_where'>
				</div>

				<div class='form-group'>
					<label><b>Лимит:</b></label>
					<div class='form-inline'>
						<input type='text' class='form-control mr-sm-2 number' name='limit1' value='$row[limit1]'> <input type='text' class='form-control number' name='limit2' value='$row[limit2]'>
					</div>
				</div>
			";
			?>

			<div class='form-group  <?=$block_dynamic_elements_none?>'>
				<div class='checkbox'>
					<label>
						<input type='checkbox' <?php if($row['pagination']==1){echo" checked";}?> name='pagination' value='1'> <b>Постраничное разделение</b>
					</label>
				</div>
			</div>

		<?php

		if(count_query('SELECT id FROM '.DB_PREFIX.'blocks_dynamic where data_base = 0 && code_where="" && data_type = "'.$row['data_type'].'" && id!= '.$_GET['id'])>0)
		{
			?>

			<div class='form-group'>
				<label><b>Привязать к блоку:</b></label>
				<select name='data_base' class="form-control">
					<option value="0">-- Не выбрано --</option>
					<?php
					$result_dynamic_section=mysqli_query($mysqli,'SELECT id, title, data_type from '.DB_PREFIX.'blocks_dynamic where data_base=0 && code_where="" && data_type="'.$row['data_type'].'" && id!= '.$_GET['id'].' order by number asc, id asc');
					while($row_dynamic_section=mysqli_fetch_array($result_dynamic_section))
					{
						?>
						<option value='<?=$row_dynamic_section['id']?>' <?php if($row_dynamic_section['id']==$row['data_base']) echo'selected'; ?>><?=htmlspecialchars($row_dynamic_section['title'],ENT_QUOTES)?></option>
						<?php
					}
					?>
				</select>
			</div>

				<?php
		}

			echo"
				<div class='form-group'>
					<div class='checkbox'>
						<label>
							<input type='checkbox'";if($row['hide']==1){echo" checked";}echo" name='hide' value='1'> <b>Скрыть на сайте</b>
						</label>
					</div>
					<div class='checkbox'>
						<label>
							<input type='checkbox'";if($row['hide_data']==1){echo" checked";}echo" name='hide_data' value='1'> Скрыть в разделе данных
						</label>
					</div>
					<div class='checkbox'>
						<label>
							<input type='checkbox' name='record_edit_new' value='1'> <span class='text-danger'>Создать новый блок</span>
						</label>
					</div>
				</div>

				<input type='hidden' name='data_type' value='".$row['data_type']."'>

				<input type='hidden' name='hidden' value='$id'>

				<button type='submit' class='btn btn-primary' name='record_edit'>Записать</button>

			</form>
			<br><br>
			<div class='form-group'>
				<label>Код вставки:</label>
				<input type='text' class='form-control' value='<?php cms_block_dynamic($row[id]);?>' onclick='this.select();'>
				<p class='form-text text-muted'>Нажмите на поле для выделения</p>
			</div>
			";

			date_time($row['user'],$row['user_update'],$row['date_time'],$row['date_time_update']);

		}
	}
	// Запись отредактированного блока
	elseif(isset($record_edit))
	{

		$nav_section = ($data_type=='elements') ? '?elements' : '';

		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?><?=$nav_section?>'>Блоки динамические</a></li>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?id=<?=$hidden?>'>Редактирование</a></li>
			<li class='breadcrumb-item active'>Запись</li>
			<li class='flex-float-right d-none d-sm-block'><a href='<?=CURRENT_FILE?>?new'>+ Создать блок</a></li>
		</ol>

		<?php

		$title=mysqli_escape_string($mysqli,$title);
		$template_default=mysqli_escape_string($mysqli,$template_default);
		$template_checked=mysqli_escape_string($mysqli,$template_checked);
		$template_index_default=mysqli_escape_string($mysqli,$template_index_default);
		$template_index_checked=mysqli_escape_string($mysqli,$template_index_checked);
		$frame1=mysqli_escape_string($mysqli,$frame1);
		$frame2=mysqli_escape_string($mysqli,$frame2);
		$code_sorting=trim(mysqli_escape_string($mysqli,$code_sorting));
		$code_where=trim(mysqli_escape_string($mysqli,$code_where));

		// Заглушки
		if(!isset($pagination)){$pagination=0;}
		if(!isset($data_base)){$data_base=0;}
		if(!isset($hide)){$hide=0;}
		if(!isset($hide_data)){$hide_data=0;}

		if(mysqli_query($mysqli,"UPDATE ".DB_PREFIX."blocks_dynamic SET
		user_update='$admin_id',
		hide='$hide',
		hide_data='$hide_data',
		title='$title',
		template_default='$template_default',
		template_checked='$template_checked',
		template_index_default='$template_index_default',
		template_index_checked='$template_index_checked',
		frame1='$frame1',
		frame2='$frame2',
		code_sorting='$code_sorting',
		code_where='$code_where',
		limit1='$limit1',
		limit2='$limit2',
		pagination='$pagination',
		data_base='$data_base',
		date_time_update='".DATE_TIME."'
		where id='$hidden'"))
		{
			echo"
			<div class='bd-callout bd-callout-info'>
				<h4>Информация успешно записана!</h4>
				<div class='form-group'>
					<label>Код вставки:</label>
					<input type='text' class='form-control' value='<?php cms_block_dynamic($hidden);?>' onclick='this.select();'>
					<p class='form-text text-muted'>Нажмите на поле для выделения</p>
				</div>
			</div>
			";
			cache_delete();
		}
		else
		{
			echo $block_danger.mysqli_error($mysqli);
		}
	}
	// Список блоков
	else
	{
	?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item active'>Блоки динамические</li>
			<li class='flex-float-right d-none d-sm-block'><a href='<?=CURRENT_FILE?>?new'>+ Создать блок</a></li>
		</ol>

		<ul class='nav nav-tabs'>
			<li class='nav-item'>
				<a href='<?=CURRENT_FILE?>' class='nav-link <?php if(!isset($_GET['elements'])) echo'active';?>'>Страницы <small class='text-muted'><?=count_query('SELECT id from '.DB_PREFIX.'blocks_dynamic where data_type="pages"')?></small></a>
			</li>
			<li class='nav-item'>
				<a href='<?=CURRENT_FILE?>?elements' class='nav-link <?php if(isset($_GET['elements'])) echo'active';?>'>Элементы <small class='text-muted'><?=count_query('SELECT id from '.DB_PREFIX.'blocks_dynamic where data_type="elements"')?></small></a>
			</li>
		</ul>

		<br>

		<form role='form' action='_numbers.php' method='post'>
			<table class='table table-hover table-pages'>
				<thead>
					<tr>
						<th class='pl-4'>#</th>
						<th>Название</th>
						<th class='text-center'>Тип данных</th>
						<th class='text-center d-none d-md-table-cell'>Дата создания</th>
						<th class='text-center d-none d-md-table-cell'>Дата изменения</th>
						<th>Код вставки</th>
						<th class='text-center'>Операции</th>
					</tr>
				</thead>
				<tbody class="dragula-container">

		<?php

		$where_type = (isset($_GET['elements'])) ? 'data_type="elements"' : 'data_type="pages"';

		$result=mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'blocks_dynamic where '.$where_type.' order by number asc, id asc');
		while($row=mysqli_fetch_array($result))
		{

			$quotes_title=htmlspecialchars($row['title'],ENT_QUOTES);
			echo"
				<td>
					<input type='text' name='id[$row[id]]' value='$row[number]' class='form-control form-control-sm number draggable' maxlength='10' autocomplete='off'>
				</td>
				<td>
			";

			if($row['hide_data']==1)
			{
				$hide_data="<span class='glyphicon glyphicon-info-sign tooltip-element text-warning' data-toggle='tooltip' data-placement='right' title='Блок скрыт в разделе Страницы'></span></b>";
			}
			else
			{
				$hide_data="";
			}

			if($row['hide']==1)
			{
				echo"<b style='color:#aaa;'>$quotes_title ";
				if($row['code_where']!='')
				{
					echo"<span class='badge badge-secondary'>Индивидуальный блок</span> ";
				}
				elseif($row['data_base']!=0)
				{
					echo"<span class='badge badge-secondary'>Привязанный блок</span> ";
				}
				echo"<span class='glyphicon glyphicon-info-sign tooltip-element' data-toggle='tooltip' data-placement='right' title='Блок скрыт на сайте'></span></b> $hide_data";
			}
			else
			{
				echo"<b>$quotes_title ";
				if($row['code_where']!='')
				{
					echo"<span class='badge badge-secondary'>Индивидуальный блок</span> ";
				}
				elseif($row['data_base']!=0)
				{
					echo"<span class='badge badge-secondary'>Привязанный блок</span> ";
				}
				echo"$hide_data</b>";
			}

			echo"
				</td>
			"?>
			<td class="text-center">
				<?php
				if($row['data_type']=='pages')
				{
					echo'Страницы';
				}
				elseif($row['data_type']=='elements')
				{
					echo'Элементы';
				}
				?>
			</td>
			<?php
			echo"
				<td class='text-center text-nowrap d-none d-md-table-cell'>
					<abbr class='tooltip-element' title='Пользователь: "; user_detection($row['user']);	echo"'>"; date_formated($row['date_time']); echo"</abbr>
				</td>
				<td class='text-center text-nowrap d-none d-md-table-cell'>
			";

			if($row['date_time_update']=='1000-01-01 00:00:00')
			{
				echo"&mdash;";
			}
			else
			{
				echo"<abbr class='tooltip-element' title='Пользователь: "; user_detection($row['user_update']); echo"'>";
				date_formated($row['date_time_update']);
				echo"</abbr>";
			}

			echo"
				</td>
				<td>
					<input type='text' class='form-control form-control-sm' value='<?php cms_block_dynamic($row[id]);?>' onclick='this.select();'>
				</td>
				<td class='text-center text-nowrap'>

					<a href='".CURRENT_FILE."?id=$row[id]' class='btn btn-secondary btn-sm'><span class='glyphicon glyphicon-pencil'>
						</span>
					</a>

					<a href=#delete class='btn btn-secondary btn-sm' data-target='#modal$row[id]' data-toggle='modal'>
						<span class='glyphicon glyphicon-remove'></span>
					</a>
					<div class='modal fade' id='modal$row[id]' tabindex='-1' role='dialog' aria-labelledby='myModalLabel' aria-hidden='true'>
						<div class='modal-dialog modal-sm'>
							<div class='modal-content'>
								<div class='modal-body'>
									<h4>Вы действительно хотите удалить этот блок?</h4>
								</div>
								<div class='modal-footer'>
									<a href='_delete.php?block_dynamic_id=$row[id]' class='btn btn-danger'>Удалить навсегда</a> <button type='button' class='btn btn-secondary' data-dismiss='modal'>Закрыть</button>
								</div>
							</div>
						</div>
					</div>

				</td>
			</tr>
			";

		}
		echo"
				</tbody>
			</table>
			<hr>
			<button type='submit' class='btn btn-secondary btn-sm' name='record_numbers_blocks_dynamic'>Изменить порядок</button>
		</form>
		";
	}
}

include("include/footer.php");