<?php

require_once('include/header.php');

// Проверка прав доступа к разделу
if($profile_access_data_types==0)
{
	echo $block_profile_danger;
}
else
{

	$section_title = 'Типы данных';
	$nav_new = '<li class="flex-float-right d-none d-sm-block"><a href="'.CURRENT_FILE.'?new">+ Создать тип данных</a></li>';

	// Выбор типа данных
	if(isset($_GET['new']))
	{
		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>'><?=$section_title?></a></li>
			<li class='breadcrumb-item active'>Новый тип данных</li>
		</ol>

		<div class="row data-types">

			<div class="col-xl-3 col-lg-4">
				<div class="card">
					<div class="card-body">
						<h5 class="card-title"><a href="<?=CURRENT_FILE?>?new_pages">Страницы</a></h5>
						<p class="card-text">Создать тип данных для страниц</p>
					</div>
				</div>
			</div>

			<div class="col-xl-3 col-lg-4">
				<div class="card">
					<div class="card-body">
						<h5 class="card-title"><a href="<?=CURRENT_FILE?>?new_elements">Элементы</a></h5>
						<p class="card-text">Создать тип данных для элементов</p>
					</div>
				</div>
			</div>

		</div>

		<?php
	}
	// Новый тип данных
	elseif(isset($_GET['new_pages']) || isset($_GET['new_elements']))
	{

		$current_type = (isset($_GET['new_pages'])) ? 'Страницы' : 'Элементы';

		$data_type_hidden = (isset($_GET['new_elements'])) ? 'd-none' : '';

		$data_type = (isset($_GET['new_pages'])) ? 'pages' : 'elements';

		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>'><?=$section_title?></a></li>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?new'>Новый тип данных</a></li>
			<li class='breadcrumb-item active'><?=$current_type?></li>
		</ol>

		<form role='form' action='<?=CURRENT_FILE?>' method='post' enctype='multipart/form-data'>

			<div class='form-group' id='title-div'>
				<label><b>Название:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
				<input type='text' class='form-control' id='title' name='title' maxlength="255">
				<p class='form-text text-muted'>до 255 символов</p>
			</div>

			<div class='form-group'>
				<label><b>Пояснение:</b></label>
				<textarea class='form-control demo' name='notice'></textarea>
			</div>

			<div class='form-group <?=$data_type_hidden?>'>

				<div class='checkbox'>
					<label>
						<input type='checkbox' name='tip' value='1'> <b>Подзаголовок</b>
					</label>
				</div>

				<div class='checkbox'>
					<label>
						<input type='checkbox' name='demo' value='1'> <b>Описание</b>
					</label>
				</div>

				<div class='checkbox'>
					<label>
						<input type='checkbox' name='text' value='1'> <b>Текст</b>
					</label>
				</div>

				<div class='checkbox'>
					<label>
						<input type='checkbox' name='page_index' value='1'> <b>Главная страница</b>
					</label>
				</div>

				<div class='checkbox'>
					<label>
						<input type='checkbox' name='page_index_checked' value='1'> <b>Главная страница - выбрано</b>
					</label>
				</div>

				<div class='checkbox'>
					<label>
						<input type='checkbox' name='page_faq' value='1'> <b>Страница FAQ</b>
					</label>
				</div>

				<div class='checkbox'>
					<label>
						<input type='checkbox' name='page_faq_checked' value='1'> <b>Страница FAQ - выбрано</b>
					</label>
				</div>

				<div class='checkbox'>
					<label>
						<input type='checkbox' name='page_tags' value='1'> <b>Страница тегов</b>
					</label>
				</div>

				<div class='checkbox'>
					<label>
						<input type='checkbox' name='page_tags_checked' value='1'> <b>Страница тегов - выбрано</b>
					</label>
				</div>

				<div class='checkbox'>
					<label>
						<input type='checkbox' name='section_index' value='1'> <b>Раздел</b>
					</label>
				</div>

				<div class='checkbox'>
					<label>
						<input type='checkbox' name='section_index_checked' value='1'> <b>Раздел - выбрано</b>
					</label>
				</div>

				<div class='checkbox'>
					<label>
						<input type='checkbox' name='comments' value='1'> <b>Комментарии</b>
					</label>
				</div>

				<div class='checkbox'>
					<label>
						<input type='checkbox' name='comments_checked' value='1'> <b>Комментарии - выбрано</b>
					</label>
				</div>

				<div class='checkbox'>
					<label>
						<input type='checkbox' name='templates_block' value='1'> <b>Шаблоны - блок</b>
					</label>
				</div>

			</div>

			<div class='form-group <?=$data_type_hidden?>'>
				<label><b>Шаблон страницы:</b></label>
				<select class='form-control' name='template_page'>
					<?php
					$result_template=mysqli_query($mysqli,'SELECT id,title from '.DB_PREFIX.'templates_pages order by number asc, id asc');
					while($row_template=mysqli_fetch_array($result_template))
					{
						?>
						<option value='<?=$row_template['id']?>'><?=htmlspecialchars($row_template['title'],ENT_QUOTES)?></option>
						<?php
					}
					?>
				</select>
			</div>

			<div class='form-group <?=$data_type_hidden?> <?=$data_type_hidden?>'>
				<label><b>Шаблон каталога:</b></label>
				<select class='form-control' name='template_catalog'>
					<?php
					$result_template=mysqli_query($mysqli,'SELECT id,title from '.DB_PREFIX.'templates_catalog order by number asc, id asc');
					while($row_template=mysqli_fetch_array($result_template))
					{
						?>
						<option value='<?=$row_template['id']?>'><?=htmlspecialchars($row_template['title'],ENT_QUOTES)?></option>
						<?php
					}
					?>
				</select>
			</div>

			<div class='form-group <?=$data_type_hidden?>'>
				<label><b>Шаблон комментариев:</b></label>
				<select class='form-control' name='template_comments'>
					<?php
					$result_template=mysqli_query($mysqli,'SELECT id,title from '.DB_PREFIX.'templates_pages_comments order by number asc, id asc');
					while($row_template=mysqli_fetch_array($result_template))
					{
						?>
						<option value='<?=$row_template['id']?>'><?=htmlspecialchars($row_template['title'],ENT_QUOTES)?></option>
						<?php
					}
					?>
				</select>
			</div>

			<div class='form-group <?=$data_type_hidden?>'>
				<label><b>Шаблон вопросов:</b></label>
				<select class='form-control' name='template_faq'>
					<?php
					$result_template=mysqli_query($mysqli,'SELECT id,title from '.DB_PREFIX.'templates_faq order by number asc, id asc');
					while($row_template=mysqli_fetch_array($result_template))
					{
						?>
						<option value='<?=$row_template['id']?>'><?=htmlspecialchars($row_template['title'],ENT_QUOTES)?></option>
						<?php
					}
					?>
				</select>
			</div>

			<div class='form-group <?=$data_type_hidden?>'>
				<label><b>Шаблон навигации:</b></label>
				<select class='form-control' name='template_navigation'>
					<?php
					$result_template=mysqli_query($mysqli,'SELECT id,title from '.DB_PREFIX.'templates_navigation order by number asc, id asc');
					while($row_template=mysqli_fetch_array($result_template))
					{
						?>
						<option value='<?=$row_template['id']?>'><?=htmlspecialchars($row_template['title'],ENT_QUOTES)?></option>
						<?php
					}
					?>
				</select>
			</div>

			<div class='form-group <?=$data_type_hidden?>'>
				<div class='checkbox'>
					<label>
						<input type='checkbox' name='catalog_block' value='1'> <b>Каталог - блок</b>
					</label>
				</div>
			</div>

			<div class='form-group <?=$data_type_hidden?>'>
				<span data-toggle='button'>
					<button type='button' class='btn btn-secondary btn-sm' data-toggle='collapse' data-target='#slide-sections-block' aria-expanded='false' aria-controls='slide-sections-block'>Каталог <i class='fa fa-caret-down' aria-hidden='true'></i></button>
				</span>
			</div>
			<div class='collapse' id='slide-sections-block'>
				<div class='form-group'>
					<blockquote>

						<script>
							$(document).ready(function(){
							$.ajax({
							url: 'include/catalog-ajax.php?new',
							cache: false,
							beforeSend: function() {
							$('#catalog-ajax').html('<img src="/<?=ADMIN_DIR?>/images/loading.gif" alt="">');
							},
							success: function(html){
							$('#catalog-ajax').html(html);
							}
							});
							return false;
							});
						</script>

						<div id='catalog-ajax'></div>

					</blockquote>
				</div>
			</div>

			<div class='form-group'>

				<div class='checkbox'>
					<label>
						<input type='checkbox' name='dynamic_block' value='1'> <b>Динамические блоки - блок</b>
					</label>
				</div>

			</div>

			<div class='form-group'>
				<span data-toggle='button'>
					<button type='button' class='btn btn-secondary btn-sm' data-toggle='collapse' data-target='#slide-dynamic-block' aria-expanded='false' aria-controls='slide-dynamic-block'>Динамические блоки <i class='fa fa-caret-down' aria-hidden='true'></i></button>
				</span>
			</div>
			<div class='collapse' id='slide-dynamic-block'>
				<div class='form-group'>
					<blockquote>
						<?php
						$result_dynamic_section=mysqli_query($mysqli,'SELECT id,title from '.DB_PREFIX.'blocks_dynamic where code_where="" && data_base="" && data_type="'.$data_type.'" && hide_data=0 order by number asc, id asc');
						while($row_dynamic_section=mysqli_fetch_array($result_dynamic_section))
						{
							?>
							<div>
								<label>
									<input type='checkbox' name='dynamic_section[]' value='<?=$row_dynamic_section['id']?>'>
									<?=htmlspecialchars($row_dynamic_section['title'],ENT_QUOTES)?>
								</label>
							</div>
							<?php
						}
						?>
					</blockquote>
				</div>
			</div>

			<div class='form-group'>

				<div class='checkbox <?=$data_type_hidden?>'>
					<label>
						<input type='checkbox' name='seo_block' value='1'> <b>SEO - блок</b>
					</label>
				</div>

				<div class='checkbox'>
					<label>
						<input type='checkbox' name='users_block' value='1'> <b>Права доступа - блок</b>
					</label>
				</div>

				<div class='checkbox <?=$data_type_hidden?>'>
					<label>
						<input type='checkbox' name='tags' value='1'> <b>Теги</b>
					</label>
				</div>

				<div class='checkbox'>
					<label>
						<input type='checkbox' name='date_time_block' value='1'> <b>Дата</b>
					</label>
				</div>

			</div>

			<div class='form-group'>
				<span data-toggle='button'>
					<button type='button' class='btn btn-secondary btn-sm' data-toggle='collapse' data-target='#slide-fields-block' aria-expanded='false' aria-controls='slide-fields-block'>Дополнительные поля <i class='fa fa-caret-down' aria-hidden='true'></i></button>
				</span>
			</div>
			<div class='collapse' id='slide-fields-block'>
				<div class='form-group'>
					<blockquote>

					<?php

					// Поля без группы
					$result_fields=mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_name where element_type="'.$data_type.'" && section=0 order by number asc, id asc');
					while($row_fields=mysqli_fetch_array($result_fields))
					{
						?>
						<div>
							<label>
								<input type='checkbox' name='fields_name[]' value='<?=$row_fields['id']?>'>
								<?=htmlspecialchars($row_fields['title'],ENT_QUOTES)?>
							</label>
						</div>
						<?php
					}

					// Группы с полями внутри
					$result_fields_section=mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_section where data_type="'.$data_type.'" order by number asc, id asc');
					while($row_fields_section=mysqli_fetch_array($result_fields_section))
					{
						?>
						<div>
							<label>
								<input type='checkbox' name='fields_section[]' value='<?=$row_fields_section['id']?>'>
								<b><?=htmlspecialchars($row_fields_section['title'],ENT_QUOTES)?></b>
							</label>
						</div>
						<?php

						$result_fields_inside=mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_name where element_type="'.$data_type.'" && section='.$row_fields_section['id'].' order by number asc, id asc');
						while($row_fields_inside=mysqli_fetch_array($result_fields_inside))
						{
							?>
							<div class="pl-3">
								<label>
									<input type='checkbox' name='fields_name[]' value='<?=$row_fields_inside['id']?>'>
									<?=htmlspecialchars($row_fields_inside['title'],ENT_QUOTES)?>
								</label>
							</div>
							<?php
						}

					}

					?>

					</blockquote>
				</div>
			</div>

			<?php
			if($admin_id==1)
			{
				?>
				<div class='form-group'>
					<span data-toggle='button'>
						<button type='button' class='btn btn-secondary btn-sm' data-toggle='collapse' data-target='#slide-users-block' aria-expanded='false' aria-controls='slide-users-block'>Настройки <i class='fa fa-caret-down' aria-hidden='true'></i></button>
					</span>
				</div>
				<div class='collapse' id='slide-users-block'>

					<div class='form-group'>
						<label><b>Выберите пользователя:</b></label>
						<select class='form-control' name='user'>
							<?php
							$result_user=mysqli_query($mysqli,'SELECT id, name, mail from '.DB_PREFIX.'admin order by id asc');
							while($row_user=mysqli_fetch_array($result_user))
							{
								?>
								<option value='<?=$row_user['id']?>'
									<?php if($row_user['id']=='1'){echo' selected';}?>
									><?=htmlspecialchars($row_user['name'],ENT_QUOTES)?> / <?=$row_user['mail']?>
								</option>
								<?php
							}
							?>
						</select>
					</div>

					<div class='form-group'>
						<label><b>Номер:</b></label>
						<input type='text' class='form-control number' name='number' maxlength='4' value="0" autocomplete="off">
					</div>

				</div>
				<?php
			}
			?>

			<div class='form-group'>

				<div class='checkbox'>
					<label>
						<input type='checkbox' name='hide_new' value='1'> <span class='text-danger'>Скрывать при создании</span>
					</label>
				</div>

			</div>

			<input type="hidden" name="data_type" value="<?=$data_type?>">

			<button type='submit' class='btn btn-primary' name='record_new'>Записать</button>

		</form>

		<?php
	}

	// Запись нового типа данных
	elseif(isset($record_new) || isset($record_edit_new))
	{

		$title=trim(mysqli_escape_string($mysqli,$title));
		$notice=trim(mysqli_escape_string($mysqli,$notice));

		if(!isset($user)){$user=1;}
		if(!isset($tip)){$tip=0;}
		if(!isset($demo)){$demo=0;}
		if(!isset($text)){$text=0;}
		if(!isset($page_index)){$page_index=0;}
		if(!isset($page_index_checked)){$page_index_checked=0;}
		if(!isset($page_faq)){$page_faq=0;}
		if(!isset($page_faq_checked)){$page_faq_checked=0;}
		if(!isset($page_tags)){$page_tags=0;}
		if(!isset($page_tags_checked)){$page_tags_checked=0;}
		if(!isset($comments)){$comments=0;}
		if(!isset($comments_checked)){$comments_checked=0;}
		if(!isset($section_index)){$section_index=0;}
		if(!isset($section_index_checked)){$section_index_checked=0;}
		if(!isset($tags)){$tags=0;}
		if(!isset($templates_block)){$templates_block=0;}
		if(!isset($catalog_block)){$catalog_block=0;}
		if(!isset($section)){$section=0;}
		if(!isset($dynamic_block)){$dynamic_block=0;}
		if(!isset($seo_block)){$seo_block=0;}
		if(!isset($users_block)){$users_block=0;}
		if(!isset($date_time_block)){$date_time_block=0;}
		if(!isset($hide_new)){$hide_new=0;}

		if(mysqli_query($mysqli,'INSERT INTO '.DB_PREFIX.'data_types (

		number,
		hide_new,
		title,
		notice,
		user,
		data_type,
		tip,
		demo,
		text,
		page_index,
		page_index_checked,
		page_faq,
		page_faq_checked,
		page_tags,
		page_tags_checked,
		comments,
		comments_checked,
		section_index,
		section_index_checked,
		tags,
		templates_block,
		template_page,
		template_navigation,
		template_comments,
		template_faq,
		template_catalog,
		catalog_block,
		section,
		dynamic_block,
		seo_block,
		users_block,
		date_time_block,
		date_time

		) VALUES (

		"'.$number.'",
		"'.$hide_new.'",
		"'.$title.'",
		"'.$notice.'",
		"'.$user.'",
		"'.$data_type.'",
		"'.$tip.'",
		"'.$demo.'",
		"'.$text.'",
		"'.$page_index.'",
		"'.$page_index_checked.'",
		"'.$page_faq.'",
		"'.$page_faq_checked.'",
		"'.$page_tags.'",
		"'.$page_tags_checked.'",
		"'.$comments.'",
		"'.$comments_checked.'",
		"'.$section_index.'",
		"'.$section_index_checked.'",
		"'.$tags.'",
		"'.$templates_block.'",
		"'.$template_page.'",
		"'.$template_navigation.'",
		"'.$template_comments.'",
		"'.$template_faq.'",
		"'.$template_catalog.'",
		"'.$catalog_block.'",
		"'.$section.'",
		"'.$dynamic_block.'",
		"'.$seo_block.'",
		"'.$users_block.'",
		"'.$date_time_block.'",
		"'.DATE_TIME.'"
		)'))
		{

			// Запись информации
			$row=mysqli_fetch_array(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'data_types order by id desc'));

			// Запись массива каталога
			if(!empty($sections))
			{
				$sections_implode=implode(' ',$sections);
				mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'data_types SET sections="'.$sections_implode.'" where id='.$row['id']);
			}
			else
			{
				if(!isset($sections) && $section!=0)
				{
					mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'data_types SET sections="'.$section.'" where id='.$row['id']);
				}
				else
				{
					mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'data_types SET sections="" where id='.$row['id']);
				}
			}

			// Запись массива динамических блоков
			if(!empty($dynamic_section))
			{
				$dynamic_section_implode=implode(' ',$dynamic_section);
				mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'data_types SET dynamic_section="'.$dynamic_section_implode.'" where id='.$row['id']);
			}
			else
			{
				mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'data_types SET dynamic_section="" where id='.$row['id']);
			}

			// Запись массива групп полей
			if(!empty($fields_section))
			{
				$fields_section_implode=implode(' ',$fields_section);
				mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'data_types SET fields_section="'.$fields_section_implode.'" where id='.$row['id']);
			}
			else
			{
				mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'data_types SET fields_section="" where id='.$row['id']);
			}

			// Запись массива полей
			if(!empty($fields_name))
			{
				$fields_name_implode=implode(' ',$fields_name);
				mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'data_types SET fields_name="'.$fields_name_implode.'" where id='.$row['id']);
			}
			else
			{
				mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'data_types SET fields_name="" where id='.$row['id']);
			}

			$nav_section = ($_POST['data_type']=='elements') ? '?elements' : '';
			$data_type_link = ($data_type=='pages') ? '<a href="'.CURRENT_FILE.'?new_pages">Страницы</a>' : '<a href="'.CURRENT_FILE.'?new_elements">Элементы</a>';

			?>

			<ol class='breadcrumb'>
				<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?><?=$nav_section?>'><?=$section_title?></a></li>
				<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?new'>Новый тип данных</a></li>
				<li class='breadcrumb-item'><?=$data_type_link?></li>
				<li class='breadcrumb-item active'>Запись</li>
				<?=$nav_new?>
			</ol>

			<?=$block_info?>

			<?php
		}
		else
		{
			echo $block_danger;
			echo mysqli_error($mysqli);
		}



	}

	// Редактирование информации
	elseif(isset($_GET['id']))
	{
		if($row_user=mysqli_fetch_array(mysqli_query($mysqli,'SELECT user from '.DB_PREFIX.'data_types where id='.$_GET['id'])))
		{
			$user_id=$row_user['user'];
		}

		$row=mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'data_types where id='.$_GET['id']));

		$data_type = $row['data_type'];

		$data_type_hidden = ($data_type=='elements') ? 'd-none' : '';

		$nav_section = ($row['data_type']=='elements') ? '?elements' : '';

		$update_title = ($row['data_type']=='elements') ? 'элементы' : 'страницы';

		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?><?=$nav_section?>'><?=$section_title?></a></li>
			<li class='breadcrumb-item active'>Редактирование</li>
			<?=$nav_new?>
		</ol>

		<form role='form' action='<?=CURRENT_FILE?>' method='post' enctype='multipart/form-data'>

			<div class='form-group' id='title-div'>
				<label><b>Название:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
				<input type='text' class='form-control' id='title' name='title' maxlength="255" value="<?=htmlspecialchars($row['title'],ENT_QUOTES)?>">
				<p class='form-text text-muted'>до 255 символов</p>
			</div>

			<div class='form-group'>
				<label><b>Пояснение:</b></label>
				<textarea class='form-control demo' name='notice'><?=htmlspecialchars($row['notice'],ENT_QUOTES)?></textarea>
			</div>

			<div class='form-group <?=$data_type_hidden?>'>

				<div class='checkbox'>
					<label>
						<input type='checkbox' name='tip' value='1' <?php if($row['tip']==1){echo' checked';}?>> <b>Подзаголовок</b>
					</label>
				</div>

				<div class='checkbox'>
					<label>
						<input type='checkbox' name='demo' value='1' <?php if($row['demo']==1){echo' checked';}?>> <b>Описание</b>
					</label>
				</div>

				<div class='checkbox'>
					<label>
						<input type='checkbox' name='text' value='1' <?php if($row['text']==1){echo' checked';}?>> <b>Текст</b>
					</label>
				</div>

				<div class='checkbox'>
					<label>
						<input type='checkbox' name='page_index' value='1' <?php if($row['page_index']==1){echo' checked';}?>> <b>Главная страница</b>
					</label>
				</div>

				<div class='checkbox'>
					<label>
						<input type='checkbox' name='page_index_checked' value='1' <?php if($row['page_index_checked']==1){echo' checked';}?>> <b>Главная страница - выбрано</b>
					</label>
				</div>

				<div class='checkbox'>
					<label>
						<input type='checkbox' name='page_faq' value='1' <?php if($row['page_faq']==1){echo' checked';}?>> <b>Страница FAQ</b>
					</label>
				</div>

				<div class='checkbox'>
					<label>
						<input type='checkbox' name='page_faq_checked' value='1' <?php if($row['page_faq_checked']==1){echo' checked';}?>> <b>Страница FAQ - выбрано</b>
					</label>
				</div>

				<div class='checkbox'>
					<label>
						<input type='checkbox' name='page_tags' value='1' <?php if($row['page_tags']==1){echo' checked';}?>> <b>Страница тегов</b>
					</label>
				</div>

				<div class='checkbox'>
					<label>
						<input type='checkbox' name='page_tags_checked' value='1' <?php if($row['page_tags_checked']==1){echo' checked';}?>> <b>Страница тегов - выбрано</b>
					</label>
				</div>

				<div class='checkbox'>
					<label>
						<input type='checkbox' name='section_index' value='1' <?php if($row['section_index']==1){echo' checked';}?>> <b>Раздел</b>
					</label>
				</div>

				<div class='checkbox'>
					<label>
						<input type='checkbox' name='section_index_checked' value='1' <?php if($row['section_index_checked']==1){echo' checked';}?>> <b>Раздел - выбрано</b>
					</label>
				</div>

				<div class='checkbox'>
					<label>
						<input type='checkbox' name='comments' value='1' <?php if($row['comments']==1){echo' checked';}?>> <b>Комментарии</b>
					</label>
				</div>

				<div class='checkbox'>
					<label>
						<input type='checkbox' name='comments_checked' value='1' <?php if($row['comments_checked']==1){echo' checked';}?>> <b>Комментарии - выбрано</b>
					</label>
				</div>

				<div class='checkbox'>
					<label>
						<input type='checkbox' name='templates_block' value='1' <?php if($row['templates_block']==1){echo' checked';}?>> <b>Шаблоны - блок</b>
					</label>
				</div>

			</div>

			<div class='form-group <?=$data_type_hidden?>'>
				<label><b>Шаблон страницы:</b></label>
				<select class='form-control' name='template_page'>
					<?php
					$result_template=mysqli_query($mysqli,'SELECT id,title from '.DB_PREFIX.'templates_pages order by number asc, id asc');
					while($row_template=mysqli_fetch_array($result_template))
					{
						?>
						<option value='<?=$row_template['id']?>' <?php if($row['template_page']==$row_template['id']){echo'selected';}?>><?=htmlspecialchars($row_template['title'],ENT_QUOTES)?></option>
						<?php
					}
					?>
				</select>
			</div>

			<div class='form-group <?=$data_type_hidden?>'>
				<label><b>Шаблон каталога:</b></label>
				<select class='form-control' name='template_catalog'>
					<?php
					$result_template=mysqli_query($mysqli,'SELECT id,title from '.DB_PREFIX.'templates_catalog order by number asc, id asc');
					while($row_template=mysqli_fetch_array($result_template))
					{
						?>
						<option value='<?=$row_template['id']?>' <?php if($row['template_catalog']==$row_template['id']){echo'selected';}?>><?=htmlspecialchars($row_template['title'],ENT_QUOTES)?></option>
						<?php
					}
					?>
				</select>
			</div>

			<div class='form-group <?=$data_type_hidden?>'>
				<label><b>Шаблон комментариев:</b></label>
				<select class='form-control' name='template_comments'>
					<?php
					$result_template=mysqli_query($mysqli,'SELECT id,title from '.DB_PREFIX.'templates_pages_comments order by number asc, id asc');
					while($row_template=mysqli_fetch_array($result_template))
					{
						?>
						<option value='<?=$row_template['id']?>' <?php if($row['template_comments']==$row_template['id']){echo'selected';}?>><?=htmlspecialchars($row_template['title'],ENT_QUOTES)?></option>
						<?php
					}
					?>
				</select>
			</div>

			<div class='form-group <?=$data_type_hidden?>'>
				<label><b>Шаблон вопросов:</b></label>
				<select class='form-control' name='template_faq'>
					<?php
					$result_template=mysqli_query($mysqli,'SELECT id,title from '.DB_PREFIX.'templates_faq order by number asc, id asc');
					while($row_template=mysqli_fetch_array($result_template))
					{
						?>
						<option value='<?=$row_template['id']?>' <?php if($row['template_faq']==$row_template['id']){echo'selected';}?>><?=htmlspecialchars($row_template['title'],ENT_QUOTES)?></option>
						<?php
					}
					?>
				</select>
			</div>

			<div class='form-group <?=$data_type_hidden?>'>
				<label><b>Шаблон навигации:</b></label>
				<select class='form-control' name='template_navigation'>
					<?php
					$result_template=mysqli_query($mysqli,'SELECT id,title from '.DB_PREFIX.'templates_navigation order by number asc, id asc');
					while($row_template=mysqli_fetch_array($result_template))
					{
						?>
						<option value='<?=$row_template['id']?>' <?php if($row['template_navigation']==$row_template['id']){echo'selected';}?>><?=htmlspecialchars($row_template['title'],ENT_QUOTES)?></option>
						<?php
					}
					?>
				</select>
			</div>

			<div class='form-group <?=$data_type_hidden?>'>

				<div class='checkbox'>
					<label>
						<input type='checkbox' name='catalog_block' value='1' <?php if($row['catalog_block']==1){echo' checked';}?>> <b>Каталог - блок</b>
					</label>
				</div>

			</div>

			<div class='form-group <?=$data_type_hidden?>'>
				<span data-toggle='button'>
					<button type='button' class='btn btn-secondary btn-sm' data-toggle='collapse' data-target='#slide-sections-block' aria-expanded='false' aria-controls='slide-sections-block'>Каталог <i class='fa fa-caret-down' aria-hidden='true'></i></button>
				</span>
			</div>
			<div class='collapse' id='slide-sections-block'>
				<div class='form-group'>
					<blockquote>

						<script>
							$(document).ready(function(){
								$.ajax({
									url: 'include/catalog-ajax.php?data_type_id=<?=$_GET['id']?>',
									cache: false,
									beforeSend: function() {
										$('#catalog-ajax').html('<img src="/<?=ADMIN_DIR?>/images/loading.gif" alt="">');
									},
									success: function(html){
										$('#catalog-ajax').html(html);
									}
								});
								return false;
							});
						</script>

						<div id='catalog-ajax'></div>

					</blockquote>
				</div>
			</div>

			<div class="form-group">

				<div class='checkbox'>
					<label>
						<input type='checkbox' name='dynamic_block' value='1' <?php if($row['dynamic_block']==1){echo' checked';}?>> <b>Динамические блоки - блок</b>
					</label>
				</div>

			</div>

			<div class='form-group'>
				<span data-toggle='button'>
					<button type='button' class='btn btn-secondary btn-sm' data-toggle='collapse' data-target='#slide-dynamic-block' aria-expanded='false' aria-controls='slide-dynamic-block'>Динамические блоки <i class='fa fa-caret-down' aria-hidden='true'></i></button>
				</span>
			</div>
			<div class='collapse' id='slide-dynamic-block'>
				<div class='form-group'>
					<blockquote>
						<?php
						$result_dynamic_section=mysqli_query($mysqli,'SELECT id,title from '.DB_PREFIX.'blocks_dynamic where code_where="" && data_base="" && data_type="'.$row['data_type'].'" && hide_data=0 order by number asc, id asc');
						while($row_dynamic_section=mysqli_fetch_array($result_dynamic_section))
						{
							?>
							<div>
								<label>
									<input type='checkbox' name='dynamic_section[]' value='<?=$row_dynamic_section['id']?>'
									<?php	if(preg_match('/\b'.$row_dynamic_section['id'].'\b/',$row['dynamic_section'])){echo'checked';}?>>
									<?=htmlspecialchars($row_dynamic_section['title'],ENT_QUOTES)?>
								</label>
							</div>
							<?php
						}
						?>
					</blockquote>
				</div>
			</div>

			<div class='form-group'>

				<div class='checkbox <?=$data_type_hidden?>'>
					<label>
						<input type='checkbox' name='seo_block' value='1' <?php if($row['seo_block']==1){echo' checked';}?>> <b>SEO - блок</b>
					</label>
				</div>

				<div class='checkbox'>
					<label>
						<input type='checkbox' name='users_block' value='1' <?php if($row['users_block']==1){echo' checked';}?>> <b>Права доступа - блок</b>
					</label>
				</div>

				<div class='checkbox <?=$data_type_hidden?>'>
					<label>
						<input type='checkbox' name='tags' value='1' <?php if($row['tags']==1){echo' checked';}?>> <b>Теги</b>
					</label>
				</div>

				<div class='checkbox'>
					<label>
						<input type='checkbox' name='date_time_block' value='1' <?php if($row['date_time_block']==1){echo' checked';}?>> <b>Дата</b>
					</label>
				</div>

			</div>

			<div class='form-group'>
				<span data-toggle='button'>
					<button type='button' class='btn btn-secondary btn-sm' data-toggle='collapse' data-target='#slide-fields-block' aria-expanded='false' aria-controls='slide-fields-block'>Дополнительные поля <i class='fa fa-caret-down' aria-hidden='true'></i></button>
				</span>
			</div>
			<div class='collapse' id='slide-fields-block'>
				<div class='form-group'>
					<blockquote>

					<?php

					// Поля без группы
					$result_fields=mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_name where element_type="'.$data_type.'" && section=0 order by number asc, id asc');
					while($row_fields=mysqli_fetch_array($result_fields))
					{
						?>
						<div>
							<label>
								<input type='checkbox' name='fields_name[]' value='<?=$row_fields['id']?>'
								<?php	if(preg_match('/\b'.$row_fields['id'].'\b/',$row['fields_name'])){echo'checked';}?>>
								<?=htmlspecialchars($row_fields['title'],ENT_QUOTES)?>
							</label>
						</div>
						<?php
					}

					// Группы с полями внутри
					$result_fields_section=mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_section where data_type="'.$data_type.'" order by number asc, id asc');
					while($row_fields_section=mysqli_fetch_array($result_fields_section))
					{
						?>
						<div>
							<label>
								<input type='checkbox' name='fields_section[]' value='<?=$row_fields_section['id']?>'
								<?php	if(preg_match('/\b'.$row_fields_section['id'].'\b/',$row['fields_section'])){echo'checked';}?>>
								<b><?=htmlspecialchars($row_fields_section['title'],ENT_QUOTES)?></b>
							</label>
						</div>
						<?php

						$result_fields_inside=mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_name where element_type="'.$data_type.'" && section='.$row_fields_section['id'].' order by number asc, id asc');
						while($row_fields_inside=mysqli_fetch_array($result_fields_inside))
						{
							?>
							<div class="pl-3">
								<label>
									<input type='checkbox' name='fields_name[]' value='<?=$row_fields_inside['id']?>'
									<?php	if(preg_match('/\b'.$row_fields_inside['id'].'\b/',$row['fields_name'])){echo'checked';}?>>
									<?=htmlspecialchars($row_fields_inside['title'],ENT_QUOTES)?>
								</label>
							</div>
							<?php
						}

					}

					?>

					</blockquote>
				</div>
			</div>

			<?php if($admin_id==1): ?>

				<div class='form-group'>
					<span data-toggle='button'>
						<button type='button' class='btn btn-secondary btn-sm' data-toggle='collapse' data-target='#slide-users-block' aria-expanded='false' aria-controls='slide-users-block'>Настройки <i class='fa fa-caret-down' aria-hidden='true'></i></button>
					</span>
				</div>
				<div class='collapse' id='slide-users-block'>

					<div class='form-group'>
						<label><b>Выберите пользователя:</b></label>
						<select class='form-control' name='user'>
							<?php
							$result_user=mysqli_query($mysqli,'SELECT id,name,mail from '.DB_PREFIX.'admin order by id asc');
							while($row_user=mysqli_fetch_array($result_user))
							{
								?><option value='<?=$row_user['id']?>' <?php if($row_user['id']==$row['user']){echo'selected';}?>><?=htmlspecialchars($row_user['name'],ENT_QUOTES)?> / <?=$row_user['mail']?></option><?php
							}
							?>
						</select>
					</div>

					<div class='form-group'>
						<label><b>Номер:</b></label>
						<input type='text' class='form-control number' name='number' maxlength='4' value="<?=$row['number']?>" autocomplete="off">
					</div>

				</div>

			<?php endif; ?>

			<div class='form-group'>

				<div class='checkbox'>
					<label>
						<input type='checkbox' name='hide_new' value='1' <?php if($row['hide_new']==1) echo'checked';?>> <span class='text-danger'>Скрывать при создании</span>
					</label>
				</div>

				<div class='checkbox checkbox_data_type_update'>
					<label>
						<input type='checkbox' name='update' value='1' class="data_type_update"> <span class='text-danger'>Обновить привязанные <?=$update_title?></span>
					</label>
				</div>

				<?php

				if($data_type=='pages')
				{
					?>
					<div class='checkbox update d-none' style="padding-left: 17px;">
						<label>
							<input type='checkbox' name='update_catalog' value='1'> Обновить каталог
						</label>
					</div>
					<?php
				}

				?>

				<div class='checkbox update d-none' style="padding-left: 17px;">
					<label>
						<input type='checkbox' name='update_dynamic_section' value='1'> Обновить динамические блоки
					</label>
				</div>

				<div class='checkbox'>
					<label>
						<input type='checkbox' name='record_edit_new' value='1'> <span class='text-danger'>Создать новый тип данных</span>
					</label>
				</div>

			</div>

			<input type="hidden" name="data_type" value="<?=$data_type?>">

			<input type="hidden" name="hidden" value="<?=$_GET['id']?>">

			<button type='submit' class='btn btn-primary' name='record_edit'>Записать</button>

		</form>

		<?php
	}

	// Запись отредактированной информации
	elseif(isset($record_edit))
	{

		$title=trim(mysqli_escape_string($mysqli,$title));
		$notice=trim(mysqli_escape_string($mysqli,$notice));

		if(!isset($tip)){$tip=0;}
		if(!isset($demo)){$demo=0;}
		if(!isset($text)){$text=0;}
		if(!isset($page_index)){$page_index=0;}
		if(!isset($page_index_checked)){$page_index_checked=0;}
		if(!isset($page_faq)){$page_faq=0;}
		if(!isset($page_faq_checked)){$page_faq_checked=0;}
		if(!isset($page_tags)){$page_tags=0;}
		if(!isset($page_tags_checked)){$page_tags_checked=0;}
		if(!isset($comments)){$comments=0;}
		if(!isset($comments_checked)){$comments_checked=0;}
		if(!isset($section_index)){$section_index=0;}
		if(!isset($section_index_checked)){$section_index_checked=0;}
		if(!isset($tags)){$tags=0;}
		if(!isset($templates_block)){$templates_block=0;}
		if(!isset($catalog_block)){$catalog_block=0;}
		if(!isset($section)){$section=0;}
		if(!isset($dynamic_block)){$dynamic_block=0;}
		if(!isset($seo_block)){$seo_block=0;}
		if(!isset($users_block)){$users_block=0;}
		if(!isset($date_time_block)){$date_time_block=0;}
		if(!isset($hide_new)){$hide_new=0;}

		if(mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'data_types SET

		number="'.$number.'",
		hide_new="'.$hide_new.'",
		user_update="'.$admin_id.'",
		title="'.$title.'",
		notice="'.$notice.'",
		tip="'.$tip.'",
		demo="'.$demo.'",
		text="'.$text.'",
		page_index="'.$page_index.'",
		page_index_checked="'.$page_index_checked.'",
		page_faq="'.$page_faq.'",
		page_faq_checked="'.$page_faq_checked.'",
		page_tags="'.$page_tags.'",
		page_tags_checked="'.$page_tags_checked.'",
		comments="'.$comments.'",
		comments_checked="'.$comments_checked.'",
		section_index="'.$section_index.'",
		section_index_checked="'.$section_index_checked.'",
		tags="'.$tags.'",
		template_page="'.$template_page.'",
		template_navigation="'.$template_navigation.'",
		template_comments="'.$template_comments.'",
		template_faq="'.$template_faq.'",
		template_catalog="'.$template_catalog.'",
		templates_block="'.$templates_block.'",
		catalog_block="'.$catalog_block.'",
		section="'.$section.'",
		dynamic_block="'.$dynamic_block.'",
		seo_block="'.$seo_block.'",
		users_block="'.$users_block.'",
		date_time_block="'.$date_time_block.'",
		date_time_update="'.DATE_TIME.'"

		where id='.$hidden))
		{

			// Обновление привязанных данных
			if(isset($update))
			{

				mysqli_query($mysqli,'UPDATE '.DB_PREFIX.$data_type.' SET

				page_index="'.$page_index_checked.'",
				page_faq="'.$page_faq_checked.'",
				page_tags="'.$page_tags_checked.'",
				comments="'.$comments_checked.'",
				section_index="'.$section_index_checked.'",
				template_page="'.$template_page.'",
				template_navigation="'.$template_navigation.'",
				template_comments="'.$template_comments.'",
				template_faq="'.$template_faq.'",
				template_catalog="'.$template_catalog.'",

				where data_type = '.$hidden);

				// Если задано обновление каталога
				if(isset($update_catalog))
				{

					mysqli_query($mysqli,'UPDATE '.DB_PREFIX.$data_type.' SET section="'.$section.'" where data_type='.$hidden);

					if(!empty($sections))
					{
						$sections_implode = implode(' ',$sections);
						mysqli_query($mysqli,'UPDATE '.DB_PREFIX.$data_type.' SET sections="'.$sections_implode.'" where data_type='.$hidden);
					}
					else
					{
						if(!isset($sections) && $section!=0)
						{
							mysqli_query($mysqli,'UPDATE '.DB_PREFIX.$data_type.' SET sections="'.$section.'" where data_type='.$hidden);
						}
						else
						{
							mysqli_query($mysqli,'UPDATE '.DB_PREFIX.$data_type.' SET sections="" where data_type='.$hidden);
						}
					}

				}

				// Если задано обновление динамических блоков
				if(isset($update_dynamic_section))
				{
					if(!empty($dynamic_section))
					{
						$dynamic_section_implode = implode(' ',$dynamic_section);
						mysqli_query($mysqli,'UPDATE '.DB_PREFIX.$data_type.' SET dynamic_section="'.$dynamic_section_implode.'" where data_type='.$hidden);
					}
					else
					{
						mysqli_query($mysqli,'UPDATE '.DB_PREFIX.$data_type.' SET dynamic_section="" where data_type='.$hidden);
					}
				}

			}

			// Запись массива каталога
			if(!empty($sections))
			{
				$sections_implode=implode(' ',$sections);
				mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'data_types SET sections="'.$sections_implode.'" where id='.$hidden);
			}
			else
			{
				if(!isset($sections) && $section!=0)
				{
					mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'data_types SET sections="'.$section.'" where id='.$hidden);
				}
				else
				{
					mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'data_types SET sections="" where id='.$hidden);
				}
			}

			// Запись массива динамических блоков
			if(!empty($dynamic_section))
			{
				$dynamic_section_implode=implode(' ',$dynamic_section);
				mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'data_types SET dynamic_section="'.$dynamic_section_implode.'" where id='.$hidden);
			}
			else
			{
				mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'data_types SET dynamic_section="" where id='.$hidden);
			}

			// Запись массива групп полей
			if(!empty($fields_section))
			{
				$fields_section_implode=implode(' ',$fields_section);
				mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'data_types SET fields_section="'.$fields_section_implode.'" where id='.$hidden);
			}
			else
			{
				mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'data_types SET fields_section="" where id='.$hidden);
			}

			// Запись массива полей
			if(!empty($fields_name))
			{
				$fields_name_implode=implode(' ',$fields_name);
				mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'data_types SET fields_name="'.$fields_name_implode.'" where id='.$hidden);
			}
			else
			{
				mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'data_types SET fields_name="" where id='.$hidden);
			}

			$nav_section = ($_POST['data_type']=='elements') ? '?elements' : '';

			?>

			<ol class='breadcrumb'>
				<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?><?=$nav_section?>'><?=$section_title?></a></li>
				<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?id=<?=$hidden?>'>Редактирование</a></li>
				<li class='breadcrumb-item active'>Запись</li>
				<?=$nav_new?>
			</ol>

			<?=$block_info?>

			<?php

		}

	}

	// Список типов данных
	else
	{

		$element_type = (isset($_GET['elements'])) ? 'elements' : 'pages';

		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item active'><?=$section_title?></li>
			<?=$nav_new?>
		</ol>

		<ul class='nav nav-tabs'>
			<li class='nav-item'>
				<a href='<?=CURRENT_FILE?>' class='nav-link <?php if(!isset($_GET['elements'])) echo'active';?>'>Страницы <small class='text-muted'><?=count_query('SELECT id from '.DB_PREFIX.'data_types where data_type="pages"')?></small></a>
			</li>
			<li class='nav-item'>
				<a href='<?=CURRENT_FILE?>?elements' class='nav-link <?php if(isset($_GET['elements'])) echo'active';?>'>Элементы <small class='text-muted'><?=count_query('SELECT id from '.DB_PREFIX.'data_types where data_type="elements"')?></small></a>
			</li>
		</ul>

		<br>
		<script>

		</script>

		<form role='form' action='_numbers.php' method='post' id='form-post'>

			<div class='table-responsive'>
				<table class='table table-hover'>
					<thead>
						<tr>
							<th class='text-center'>ID</th>
							<th class='pl-4'>#</th>
							<th></th>
							<th>Название</th>
							<th class="text-center">Источник</th>
							<th class='text-center text-nowrap'>Дата создания</th>
							<th class='text-center text-nowrap'>Дата изменения</th>
							<th class='text-center'>Операции</th>
						</tr>
					</thead>
					<tbody class="dragula-container">

						<?php
						if(count_query('SELECT id from '.DB_PREFIX.'data_types where data_type="'.$element_type.'"')>0)
						{
							$result=mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'data_types where data_type="'.$element_type.'" order by number asc, id asc');
							while($row=mysqli_fetch_array($result))
							{
								?>

								<tr>

									<td class='text-center'><?=$row['id']?></td>

									<td><input type='text' name='<?php echo"id[$row[id]]";?>' value='<?=$row['number']?>' class='form-control form-control-sm number draggable' maxlength='4' autocomplete="off"></td>

									<td><input type='checkbox' name='checkbox[]' value='<?=$row['id']?>' class="checkbox-element"></td>

									<td>
										<?php
										if($row['hide_new']==1)
										{
											echo"<b style='color:#aaa;'>".htmlspecialchars($row['title'],ENT_QUOTES)." <span class='glyphicon glyphicon-info-sign tooltip-element' data-toggle='tooltip' data-placement='right' title='Скрыт для создания'></span></b>";
										}
										else
										{
											echo '<b>'.htmlspecialchars($row['title'],ENT_QUOTES).'</b>';
										}
										?>
									</td>

									<td class="text-center">
										<?php
										if($row['data_type']=='pages')
										{
											?>Страницы<?php
										}
										elseif($row['data_type']=='elements')
										{
											?>Элементы<?php
										}
										?>
									</td>

									<td class='text-center text-nowrap'>
										<abbr class='tooltip-element' title='Пользователь: <?=user_detection($row['user'])?>'> <?=date_formated($row['date_time'])?></abbr>
									</td>

									<td class='text-center text-nowrap'>
										<?php
										if($row['date_time_update']=='1000-01-01 00:00:00'){echo'&mdash;';}
										else
										{
											echo"<abbr class='tooltip-element' title='Пользователь: "; user_detection($row['user_update']); echo"'>";
												date_formated($row['date_time_update']);
											echo"</abbr>";
										}
										?>
									</td>

									<td class='text-center text-nowrap'>

										<a href='<?=CURRENT_FILE?>?id=<?=$row['id']?>' class='btn btn-secondary btn-sm'><span class='glyphicon glyphicon-pencil'></span></a>

									<a href='#delete' class='btn btn-secondary btn-sm' data-target='#modal<?=$row['id']?>' data-toggle='modal'>
										<span class='glyphicon glyphicon-remove'></span>
									</a>
									<div class='modal fade' id='modal<?=$row['id']?>' tabindex='-1' role='dialog' aria-hidden='true'>
										<div class='modal-dialog modal-sm'>
											<div class='modal-content'>
												<div class='modal-body'>
													<h5><b><?=htmlspecialchars($row['title'],ENT_QUOTES)?></b></h5>
													<h5>Вы действительно хотите эту запись?</h5>
												</div>
												<div class='modal-footer'>
													<a href='_delete.php?element_type=<?=$row['data_type']?>&data_type_id=<?=$row['id']?>' class='btn btn-danger'>Удалить навсегда</a> <button type='button' class='btn btn-secondary' data-dismiss='modal'>Закрыть</button>
												</div>
											</div>
										</div>
									</div>

								</td>

								</tr>

								<?php
							}
						}
						?>

					</tbody>
				</table>
			</div>


			<hr>
			<input type="hidden" name="element_type" value="<?=$element_type?>">
			<button type='submit' class='btn btn-secondary btn-sm' name='record_numbers_data_types'>Изменить порядок</button>
			<button type='submit' class='btn btn-secondary btn-sm' name='delete_numbers_data_types' onClick="document.getElementById('form-post').action='_delete.php';">Удалить группу</button>
			<label>
				&nbsp; <input type='checkbox' class='select-checkbox'> Выбрать все
			</label>
		</form>

		<?php

	}

}

require_once('include/footer.php');