<?php

require_once('include/header.php');

// Проверка прав доступа к разделу
if($profile_access_elements==0)
{
	echo $block_profile_danger;
}
else
{

	$section_title = 'Элементы';

	// Новая тип элемента
	if(isset($_GET['new_type']))
	{
		?>
		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>'>Элементы</a></li>
			<li class='breadcrumb-item active'>Новый тип элемента</li>
		</ol>

		<div class="row data-types">

			<?php
			$result=mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'data_types where data_type="elements" && hide_new = 0 order by number asc, id asc');
			while($row=mysqli_fetch_array($result))
			{
				?>

				<div class="col-xl-3 col-lg-4 mb-3">
					<div class="card">
						<div class="card-body">
							<h5 class="card-title"><a href="<?=CURRENT_FILE?>?new&data_type=<?=$row['id']?>"><?=htmlspecialchars($row['title'],ENT_QUOTES)?></a></h5>
							<?php if($row['notice']!='') { ?>
								<p class="card-text"><?=htmlspecialchars($row['notice'],ENT_QUOTES)?></p>
							<?php } ?>
						</div>
					</div>
				</div>

				<?php
			}
			?>

			<div class="col-xl-3 col-lg-4">
				<div class="card">
					<div class="card-body">
						<h5 class="card-title"><a href="<?=CURRENT_FILE?>?new" class="text-muted">Типовой элемент</a></h5>
						<p class="card-text">Создать элемент с полным набором характеристик</p>
					</div>
				</div>
			</div>

		</div>

		<?php
	}

	// Новый элемент
	elseif(isset($_GET['new']))
	{

		// Загружаем характеристики типа блока
		if(isset($_GET['data_type']))
		{

			$row_data = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'data_types where id='.$_GET['data_type']));

			$element_data_type = $row_data['id'];

			$data_dynamic_block = ($row_data['dynamic_block']==0) ? 'd-none' : '';
			$data_users_block = ($row_data['users_block']==0) ? 'd-none' : '';
			$data_date_time = ($row_data['date_time_block']==0) ? 'd-none' : '';
			$data_dynamic_section = $row_data['dynamic_section'];
			$data_fields_section = $row_data['fields_section'];
			$data_fields_name = $row_data['fields_name'];

		}
		else
		{

			$element_data_type = 0;

			$data_dynamic_block = '';
			$data_users_block = '';
			$data_date_time = '';
			$data_dynamic_section = '';
			$data_fields_section = '';
			$data_fields_name = '';

		}
		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>'><?=$section_title?></a></li>
			<li class='breadcrumb-item active'>Новый</li>
		</ol>

		<form role='form' action='<?=CURRENT_FILE?>' method='post' enctype='multipart/form-data'>

			<div class='form-group' id='title-div'>
				<label><b>Заголовок:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
				<input type='text' class='form-control' id='title' name='title' maxlength="255">
				<p class='form-text text-muted'>до 255 символов</p>
			</div>



			<?php

			if(($element_data_type == 0 && ADMIN_FIELDS == 1) || $element_data_type != 0)
			{

				// Дополнительные поля
				Fields::Insert('elements',0,$element_data_type,$data_fields_name);

				$result_fields_section=mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_section where data_type="elements" order by number asc, id asc');
				while($row_fields_section=mysqli_fetch_array($result_fields_section))
				{

					if($data_fields_section!='')
					{
						$field_section_display = (preg_match('/\b'.$row_fields_section['id'].'\b/',$data_fields_section)) ? true : false;
					}
					else
					{
						$field_section_display = false;
					}

					if($field_section_display == true || ($field_section_display == false && $element_data_type == 0))
					{

						?>

						<div class='form-group'>
							<span data-toggle='button'>
								<button type='button' class='btn btn-secondary btn-sm' data-toggle='collapse' data-target='#slide-fields-section<?=$row_fields_section['id']?>' aria-expanded='false' aria-controls='slide-fields-section<?=$row_fields_section['id']?>'><?=$row_fields_section['title']?> <i class='fa fa-caret-down' aria-hidden='true'></i></button>
							</span>
						</div>
						<div class='collapse' id='slide-fields-section<?=$row_fields_section['id']?>'>
							<div class='form-group'>
								<blockquote>

									<?php Fields::Insert('elements',$row_fields_section['id'],$element_data_type,$data_fields_name); ?>

								</blockquote>
							</div>
						</div>

						<?php

					}
					else
					{

						Fields::Insert('elements',$row_fields_section['id'],$element_data_type,$data_fields_name);

					}

				}

			}

			?>

			<div class='form-group <?=$data_dynamic_block?>'>
				<span data-toggle='button'>
					<button type='button' class='btn btn-secondary btn-sm' data-toggle='collapse' data-target='#slide-dynamic-block' aria-expanded='false' aria-controls='slide-dynamic-block'>Динамические блоки <i class='fa fa-caret-down' aria-hidden='true'></i></button>
				</span>
			</div>
			<div class='collapse' id='slide-dynamic-block'>
				<div class='form-group'>
					<blockquote>
						<?php
						$result_dynamic_section=mysqli_query($mysqli,'SELECT id,title from '.DB_PREFIX.'blocks_dynamic where code_where="" && data_base="" && data_type="elements" && hide_data=0 order by number asc, id asc');
						while($row_dynamic_section=mysqli_fetch_array($result_dynamic_section))
						{
							?>
							<div>
								<label>
									<input type='checkbox' name='dynamic_section[]' value='<?=$row_dynamic_section['id']?>'
									<?php if($element_data_type!=0) {	if(preg_match('/\b'.$row_dynamic_section['id'].'\b/',$data_dynamic_section)){echo'checked';} }?>
									> <?=htmlspecialchars($row_dynamic_section['title'],ENT_QUOTES)?>
								</label>
							</div>
							<?php
						}
						?>
					</blockquote>
				</div>
			</div>

			<div class='form-group'>
				<span data-toggle='button'>
					<button type='button' class='btn btn-secondary btn-sm' data-toggle='collapse' data-target='#slide-settings-block' aria-expanded='false' aria-controls='slide-settings-block'>Настройки <i class='fa fa-caret-down' aria-hidden='true'></i></button>
				</span>
			</div>
			<div class='collapse' id='slide-settings-block'>
				<div class='form-group'>
					<blockquote>

						<input type="hidden" name="data_type" value="<?=$element_data_type?>">

						<?php
						if($admin_id==1)
						{
							?>
							<div class='form-group <?=$data_users_block?>'>
								<label><b>Пользователь:</b></label>
								<select class='form-control' name='user'>
									<?php
									$result_user=mysqli_query($mysqli,'SELECT id,name,mail from '.DB_PREFIX.'admin order by id asc');
									while($row_user=mysqli_fetch_array($result_user))
									{
										?>
										<option value='<?=$row_user['id']?>'
											<?php if($row_user['id']=='1'){echo' selected';}?>
											><?=htmlspecialchars($row_user['name'],ENT_QUOTES)?> / <?=$row_user['mail']?>
										</option>
										<?php
									}
									?>
								</select>
							</div>
							<?php
						}
						?>

						<div class='form-group'>
							<label><b>Номер:</b></label>
							<input type='text' class='form-control number' name='number' maxlength='4' value="0" autocomplete="off">
						</div>

						<div class="form-group <?=$data_date_time?>">
							<a href="#datetime" class="dashed" data-btn-text="Добавить Убрать" data-toggle-element="<div class='pt-2 pb-2'><label class='d-block'><b>Дата:</b></label><input type='text' class='form-control datetimepicker' name='datetime_new' value='<?=date('Y-m-d H:i:s')?>' autocomplete='off'></div>">Добавить дату</a>
						</div>

						<div class='form-group'>

							<div class="checkbox">
								<label>
									<input type='checkbox' name='hide' value='1'> <b>Скрыть</b>
								</label>
							</div>

						</div>

					</blockquote>
				</div>
			</div>

			<button type='submit' class='btn btn-primary' name='record_new'>Записать</button>

		</form>

		<?php
	}

	// Запись нового элемента
	elseif(isset($record_new) || isset($record_edit_new))
	{
		$title=trim(mysqli_escape_string($mysqli,$title));

		// Заглушки
		if(!isset($hide)){$hide=0;}
		if(isset($datetime_new) && (trim($datetime_new)!='' || trim($datetime_new)!='0000-00-00 00:00:00')){$date_time_default = $datetime_new;} else {$date_time_default = DATE_TIME;}

		if(mysqli_query($mysqli,'INSERT INTO '.DB_PREFIX.'elements (
			number,
			user,
			title,
			data_type,
			hide,
			date_time
		) VALUES (
			"'.$number.'",
			"'.$user.'",
			"'.$title.'",
			"'.$data_type.'",
			"'.$hide.'",
			"'.$date_time_default.'"
		)'))
		{
			// Запись информации
			$row=mysqli_fetch_array(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'elements order by id desc'));

			// Запись массива динамических блоков
			if(!empty($dynamic_section))
			{
				$dynamic_section_implode=implode(' ',$dynamic_section);
				mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'elements SET dynamic_section="'.$dynamic_section_implode.'" where id='.$row['id']);
			}
			else
			{
				mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'elements SET dynamic_section="" where id='.$row['id']);
			}

			?>

			<ol class='breadcrumb'>
				<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>'><?=$section_title?></a></li>
				<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?<?=new_type('elements','new_type','new')?>'>Новый</a></li>
				<li class='breadcrumb-item active'>Запись</li>
				<?=elements_nav_plus($row['id'])?>
			</ol>

			<div class='bd-callout bd-callout-info'>
				<h4>Информация успешно записана!</h4>
				<p><a href='<?=CURRENT_FILE?>?id=<?=$row['id']?>'>Отредактировать элемент</a></p>
			</div>

			<?php

			// Запись дополнительных полей
			Fields::InsertRecord($row['id'],$date_time_default,$admin_id);

			cache_delete();
		}
		else
		{
			echo $block_danger;
		}
	}

	// Редактирование информации
	elseif(isset($_GET['id']))
	{
		$row_user=mysqli_fetch_array(mysqli_query($mysqli,'SELECT user from '.DB_PREFIX.'elements where id='.$_GET['id']));
		$user_id=$row_user['user'];

		?>
		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>'><?=$section_title?></a></li>
			<li class='breadcrumb-item active'>Редактирование</li>
			<?=elements_nav_plus($_GET['id'])?>
		</ol>
		<?php

		if($row=mysqli_fetch_array(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'elements where id='.$_GET['id'])))
		{
			$quotes_title=htmlspecialchars($row['title'],ENT_QUOTES);

			// Загружаем характеристики типа блока
			if($row['data_type']!=0)
			{

				$row_data = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'data_types where id='.$row['data_type']));

				$element_data_type = $row_data['id'];

				$data_dynamic_block = ($row_data['dynamic_block']==0) ? 'd-none' : '';
				$data_users_block = ($row_data['users_block']==0) ? 'd-none' : '';
				$data_date_time = ($row_data['date_time_block']==0) ? 'd-none' : '';
				$data_dynamic_section = $row_data['dynamic_section'];
				$data_fields_section = $row_data['fields_section'];
				$data_fields_name = $row_data['fields_name'];

			}
			else
			{

				$element_data_type = 0;

				$data_dynamic_block = '';
				$data_users_block = '';
				$data_date_time = '';
				$data_dynamic_section = '';
				$data_fields_section = '';
				$data_fields_name = '';

			}

			?>
			<form role='form' action='<?=CURRENT_FILE?>' method='post' enctype='multipart/form-data'>


				<div class='form-group' id='title-div'>
					<label><b>Заголовок:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
					<input type='text' class='form-control' id='title' name='title' value='<?=$quotes_title?>' maxlength='255'>
					<p class='form-text text-muted'>до 255 символов</p>
				</div>


				<?php

				if(($element_data_type == 0 && ADMIN_FIELDS == 1) || $element_data_type != 0)
				{

					// Дополнительные поля
					Fields::Edit('elements',$_GET['id'],0,$element_data_type,$data_fields_name);

					$result_fields_section=mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_section where data_type="elements" order by number asc, id asc');
					while($row_fields_section=mysqli_fetch_array($result_fields_section))
					{

						if($data_fields_section!='')
						{
							$field_section_display = (preg_match('/\b'.$row_fields_section['id'].'\b/',$data_fields_section)) ? true : false;
						}
						else
						{
							$field_section_display = false;
						}

						if($field_section_display == true || ($field_section_display == false && $element_data_type == 0))
						{

							?>

							<div class='form-group'>
								<span data-toggle='button'>
									<button type='button' class='btn btn-secondary btn-sm' data-toggle='collapse' data-target='#slide-fields-section<?=$row_fields_section['id']?>' aria-expanded='false' aria-controls='slide-fields-section<?=$row_fields_section['id']?>'><?=$row_fields_section['title']?> <i class='fa fa-caret-down' aria-hidden='true'></i></button>
								</span>
							</div>
							<div class='collapse' id='slide-fields-section<?=$row_fields_section['id']?>'>
								<div class='form-group'>
									<blockquote>

										<?php Fields::Edit('elements',$_GET['id'],$row_fields_section['id'],$element_data_type,$data_fields_name); ?>

									</blockquote>
								</div>
							</div>

							<?php

						}
						else
						{

							Fields::Edit('elements',$_GET['id'],$row_fields_section['id'],$element_data_type,$data_fields_name);

						}

					}

				}

				?>

				<div class='form-group <?=$data_dynamic_block?>'>
					<span data-toggle='button'>
						<button type='button' class='btn btn-secondary btn-sm' data-toggle='collapse' data-target='#slide-dynamic-block' aria-expanded='false' aria-controls='slide-dynamic-block'>Динамические блоки <i class='fa fa-caret-down' aria-hidden='true'></i></button>
					</span>
				</div>
				<div class='collapse' id='slide-dynamic-block'>
					<div class='form-group'>
						<blockquote>
							<div class='form-group'>
							<?php
							$result_dynamic_section=mysqli_query($mysqli,'SELECT id,title from '.DB_PREFIX.'blocks_dynamic where code_where="" && data_base="" && data_type="elements" && hide_data=0 order by number asc, id asc');
							while($row_dynamic_section=mysqli_fetch_array($result_dynamic_section))
							{
								if($element_data_type==0) { $dynamic_section = $row['dynamic_section']; } else { $dynamic_section = $data_dynamic_section; }
								?>
								<div>
									<label>
										<input type='checkbox' name='dynamic_section[]' value='<?=$row_dynamic_section['id']?>'
										<?php

										if(preg_match('/\b'.$row_dynamic_section['id'].'\b/',$data_dynamic_section))
										{
											echo'checked';
										}
										else
										{
											if(preg_match('/\b'.$row_dynamic_section['id'].'\b/',$row['dynamic_section'])){echo'checked';}
										}

										?>
										>
										<?=htmlspecialchars($row_dynamic_section['title'],ENT_QUOTES)?>
									</label>
								</div>
								<?php
							}
							?>
							</div>
						</blockquote>
					</div>
				</div>

				<div class='form-group'>
					<span data-toggle='button'>
						<button type='button' class='btn btn-secondary btn-sm' data-toggle='collapse' data-target='#slide-settings-block' aria-expanded='false' aria-controls='slide-settings-block'>Настройки <i class='fa fa-caret-down' aria-hidden='true'></i></button>
					</span>
				</div>
				<div class='collapse' id='slide-settings-block'>
					<div class='form-group'>
						<blockquote>

							<?php if($admin_id==1): ?>

								<div class='form-group <?=$data_users_block?>'>
									<label><b>Пользователь:</b></label>
									<select class='form-control' name='user'>
										<?php
										$result_user=mysqli_query($mysqli,'SELECT id,name,mail from '.DB_PREFIX.'admin order by id asc');
										while($row_user=mysqli_fetch_array($result_user))
										{
											?><option value='<?=$row_user['id']?>' <?php if($row_user['id']==$row['user']){echo'selected';}?>><?=htmlspecialchars($row_user['name'],ENT_QUOTES)?> / <?=$row_user['mail']?></option><?php
										}
										?>
									</select>
								</div>

							<?php endif; ?>

							<div class='form-group'>
								<label><b>Номер:</b></label>
								<input type='text' class='form-control number' name='number' maxlength='4' value="<?=$row['number']?>" autocomplete="off">
							</div>

							<div class='form-group <?=$data_date_time?>' id='datetime-div'>
								<label class="d-block"><b>Дата создания:</b></label>
								<input type='text' class='form-control datetimepicker' name='datetime' value='<?=$row['date_time']?>' maxlength='19' autocomplete="off">
							</div>

							<div class='form-group'>
								<label><b>Тип элемента:</b></label>
								<select class='form-control' name='data_type'>
									<?php
									$result_data_type=mysqli_query($mysqli,'SELECT id,title from '.DB_PREFIX.'data_types where data_type="elements" order by number asc, id asc');
									while($row_data_type=mysqli_fetch_array($result_data_type))
									{
										?>
										<option value="<?=$row_data_type['id']?>" <?php if($element_data_type==$row_data_type['id']) echo 'selected'; ?>><?=htmlspecialchars($row_data_type['title'],ENT_QUOTES)?></option>
										<?php
									}
									?>
									<option value="0" <?php if($element_data_type==0) echo 'selected'; ?>>Типовой элемент</option>
								</select>
							</div>

							<div class='form-group'>

								<div class="checkbox">
									<label>
										<input type='checkbox' <?php if($row['hide']==1){echo' checked';}?> name='hide' value='1'> <b>Скрыть</b>
									</label>
								</div>

								<div class='checkbox'>
									<label>
										<input type='checkbox' name='data_type_update' value='1'> <span class='text-danger'>Обновить тип данных</span>
									</label>
								</div>

								<div class='checkbox'>
									<label>
										<input type='checkbox' name='record_edit_new' value='1'> <span class='text-danger'>Создать новый элемент</span>
									</label>
								</div>

							</div>

						</blockquote>
					</div>
				</div>

				<input type='hidden' name='hidden' value='<?=$_GET['id']?>'>

				<button type='submit' class='btn btn-primary' name='record_edit'>Записать</button>

			</form>

			<?php

		}
	}

	// Запись отредактированной информации
	elseif(isset($record_edit))
	{
		$title=trim(mysqli_escape_string($mysqli,$title));

		// Заглушки
		if(!isset($hide)){$hide=0;}
		if(!isset($user)){$user=$admin_id;}

		if(trim($datetime)=='' || $datetime=='0000-00-00 00:00:00')
		{
			$row_datetime = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT date_time from '.DB_PREFIX.'elements where id='.$hidden));
			$datetime = $row_datetime['date_time'];
		}

		// Если задан тип данных, меняем настройки страницы
		if(isset($data_type_update) && $data_type!=0)
		{

			$row_data_type = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT dynamic_section from '.DB_PREFIX.'data_types where id='.$data_type));

			$dynamic_section_data_type = $row_data_type['dynamic_section'];

		}

		if(mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'elements SET
		number="'.$number.'",
		user="'.$user.'",
		user_update="'.$admin_id.'",
		title="'.$title.'",
		hide="'.$hide.'",
		data_type="'.$data_type.'",
		date_time="'.$datetime.'",
		date_time_update="'.DATE_TIME.'"

		where id='.$hidden))
		{

			// Запись массива динамических блоков
			if(isset($dynamic_section_data_type))
			{
				mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'elements SET dynamic_section="'.$dynamic_section_data_type.'" where id='.$hidden);
			}
			elseif(!empty($dynamic_section))
			{
				$dynamic_section_implode=implode(' ',$dynamic_section);
				mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'elements SET dynamic_section="'.$dynamic_section_implode.'" where id='.$hidden);
			}
			else
			{
				mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'elements SET dynamic_section="" where id='.$hidden);
			}

			// Запись информации
			if($row=mysqli_fetch_array(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'elements where id='.$hidden)))
			{
				?>

				<ol class='breadcrumb'>
					<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>'><?=$section_title?></a></li>
					<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?id=<?=$hidden?>'>Редактирование</a></li>
					<li class='breadcrumb-item active'>Запись</li>
					<?=elements_nav_plus($hidden)?>
				</ol>

				<?=$block_info?>

				<?php
			}

			// Запись дополнительных полей
			Fields::EditRecord($hidden,DATE_TIME,$admin_id);

			cache_delete();
		}
		else
		{
			echo $block_danger;
		}
	}

	// Список элементов
	else
	{

		// Если задано ограничение редактирования пользователем
		if($profile_access_edit_pages==1)
		{
			$where_all='where user='.$admin_id;
			$where_block='&& user='.$admin_id;
		}
		else
		{
			$where_all='';
			$where_block='';
		}

		// Если задан динамический блок
		if(isset($block))
		{
			if($row_data_base=mysqli_fetch_array(mysqli_query($mysqli,'SELECT code_where, data_base from '.DB_PREFIX.'blocks_dynamic where id='.$block)))
			{

				if($row_data_base['data_base']!=0)
				{
					$reg=$row_data_base['data_base'];
				}
				else
				{
					$reg=$block;
				}

				if($row_data_base['code_where']!=''){$where=$row_data_base['code_where'];}else{$where='dynamic_section REGEXP "'.db_sql('reg_start').$reg.db_sql('reg_end').'"';}

			}
		}

		// Вывод навигации
		?>
		<ol class='breadcrumb'>
			<li class='breadcrumb-item active'><?=$section_title?></li>
			<li class='flex-float-right d-none d-sm-block'><a href='<?=CURRENT_FILE?>?<?=new_type('elements','new_type','new')?>'>+ Создать элемент</a></li>
		</ol>

		<ul class='nav nav-tabs'>

			<li class='nav-item'><a href='<?=CURRENT_FILE?>' class='nav-link <?php if(!isset($block)){echo'active';}?>'>Все элементы <small class='text-muted'><?=$count_elements_all?></small></a></li>

		<?php
		$result_section_title=mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'blocks_dynamic where data_type="elements" && hide_data=0 order by number asc, id asc');
		while($row_section_title=mysqli_fetch_array($result_section_title))
		{

			if($row_section_title['limit2']!=0 && $row_section_title['pagination']==0){$limit='limit '.$row_section_title['limit1'].','.$row_section_title['limit2'];}else{$limit='';}

			if($row_section_title['data_base']!=0)
			{
				if($row_section_title['code_where']!=''){$where_title=$row_section_title['code_where'];}else{$where_title='dynamic_section REGEXP "'.db_sql('reg_start').$row_section_title['data_base'].db_sql('reg_end').'"';}
				$count_elements_section=mysqli_num_rows(mysqli_query($mysqli,'SELECT id from '.DB_PREFIX.'elements where '.$where_title.' '.$where_block.' '.$limit));
			}
			else
			{
				if($row_section_title['code_where']!=''){$where_title=$row_section_title['code_where'];}else{$where_title='dynamic_section REGEXP "'.db_sql('reg_start').$row_section_title['id'].db_sql('reg_end').'"';}
				$count_elements_section=mysqli_num_rows(mysqli_query($mysqli,'SELECT id from '.DB_PREFIX.'elements where '.$where_title.' '.$where_block.' '.$limit));
			}

			?>
			<li class='nav-item'><a href='<?=CURRENT_FILE?>?block=<?=$row_section_title['id']?>' class='nav-link <?php if(isset($block) && $block==$row_section_title['id']){echo'active';}?>'><?=$row_section_title['title']?> <small class='text-muted'><?=$count_elements_section?></small></a></li>
			<?php

		}
		?>

		</ul>

		<br>

		<div class='tab-content'>
		<?php

		// Все элементы
		if(!isset($block))
		{
			?>
			<div class='tab-pane active' id='allpages'>

				<form role='form' action='_numbers.php' method='post' id='form-post'>

					<div class='table-responsive'>
						<table class='table table-hover'>
							<thead>
								<tr>
									<th class='text-center'>ID</th>
									<th class='pl-4'>#</th>
									<th></th>
									<th>Заголовок</th>
									<th class='text-center text-nowrap'>Дата создания</th>
									<th class='text-center text-nowrap'>Дата изменения</th>
									<th class='text-center'>Операции</th>
								</tr>
							</thead>
							<tbody class="dragula-container">

								<?php
								if(count_query('SELECT id from '.DB_PREFIX.'elements order by number asc, id asc')>0)
								{
									$result=mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'elements order by number asc, id asc');
									while($row=mysqli_fetch_array($result))
									{
										?>

										<tr>

											<td class='text-center'><?=$row['id']?></td>

											<td><input type='text' name='<?php echo"id[$row[id]]";?>' value='<?=$row['number']?>' class='form-control form-control-sm number draggable' maxlength='4'></td>

											<td><input type='checkbox' name='checkbox[]' value='<?=$row['id']?>' class="checkbox-element"></td>

											<td>
												<?php
												if($row['hide']==1)
												{
													echo"<b style='color:#aaa;'>".htmlspecialchars($row['title'],ENT_QUOTES)." <span class='glyphicon glyphicon-info-sign tooltip-element' data-toggle='tooltip' data-placement='right' title='Элемент скрыт'></span></b>";
												}
												else
												{
													echo '<b>'.htmlspecialchars($row['title'],ENT_QUOTES).'</b>';
												}
												?>
											</td>

											<td class='text-center text-nowrap'>
												<abbr class='tooltip-element' title='Пользователь: <?=user_detection($row['user'])?>'> <?=date_formated($row['date_time'])?></abbr>
											</td>

											<td class='text-center text-nowrap'>
												<?php
												if($row['date_time_update']=='1000-01-01 00:00:00'){echo'&mdash;';}
												else
												{
													echo"<abbr class='tooltip-element' title='Пользователь: "; user_detection($row['user_update']); echo"'>";
														date_formated($row['date_time_update']);
													echo"</abbr>";
												}
												?>
											</td>

											<td class='text-center text-nowrap'>

												<a href='<?=CURRENT_FILE?>?id=<?=$row['id']?>' class='btn btn-secondary btn-sm'><span class='glyphicon glyphicon-pencil'></span></a>

												<a href='#delete' class='btn btn-secondary btn-sm' data-target='#modal<?=$row['id']?>' data-toggle='modal'>
													<span class='glyphicon glyphicon-remove'></span>
												</a>
												<div class='modal fade' id='modal<?=$row['id']?>' tabindex='-1' role='dialog' aria-hidden='true'>
													<div class='modal-dialog modal-sm'>
														<div class='modal-content'>
															<div class='modal-body'>
																<h5><b><?=htmlspecialchars($row['title'],ENT_QUOTES)?></b></h5>
																<h5>Вы действительно хотите этот элемент?</h5>
															</div>
															<div class='modal-footer'>
																<a href='_delete.php?element_id=<?=$row['id']?>' class='btn btn-danger'>Удалить навсегда</a> <button type='button' class='btn btn-secondary' data-dismiss='modal'>Закрыть</button>
															</div>
														</div>
													</div>
												</div>

										</td>

										</tr>

										<?php
									}
								}
								?>

							</tbody>
						</table>
					</div>


					<?php list_footer('elements'); ?>

				</form>

			</div>
			<?php
		}

		// Вывод элементов для блоков
		elseif(isset($block))
		{
			if($row_section=mysqli_fetch_array(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'blocks_dynamic where id="'.$block.'"')))
			{
				?>
				<div class='tab-pane active' id='<?=$row_section['id']?>'>
					<form role='form' action='_numbers.php' method='post' id='form-post'>


					<div class='table-responsive'>
						<table class='table table-hover'>
							<thead>
								<tr>
									<th class='text-center'>ID</th>
									<th class='pl-4'>#</th>
									<th></th>
									<th>Заголовок</th>
									<th class='text-center text-nowrap'>Дата создания</th>
									<th class='text-center text-nowrap'>Дата изменения</th>
									<th class='text-center'>Операции</th>
								</tr>
							</thead>
							<tbody class="dragula-container">

				<?php


				// Сортировка как в динамическом блоке
				$row_section_block=mysqli_fetch_array(mysqli_query($mysqli,'SELECT code_sorting from '.DB_PREFIX.'blocks_dynamic where id="'.$block.'"'));
				if($row_section_block['code_sorting']!=''){$sorting=$row_section_block['code_sorting'];}else{$sorting='number asc, id asc';}

				// Если задан лимит и нет постраничного разделения, то выводим ограниченное число данных
				if($row_section['limit2']!=0 && $row_section['pagination']==0){$limit='limit '.$row_section['limit1'].','.$row_section['limit2'];}else{$limit='';}
				$q = 'SELECT id from '.DB_PREFIX.'elements where '.$where;

				if(mysqli_num_rows(mysqli_query($mysqli,$q))>0)
				{
					$result=mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'elements where '.$where.' order by '.$sorting.' '.$limit);
					while($row=mysqli_fetch_array($result))
					{
						?>

						<tr>

							<td class='text-center'><?=$row['id']?></td>

							<td><input type='text' name='<?php echo"id[$row[id]]";?>' value='<?=$row['number']?>' class='form-control form-control-sm number draggable' maxlength='4'></td>

							<td><input type='checkbox' name='checkbox[]' value='<?=$row['id']?>' class="checkbox-element"></td>

							<td>
								<?php
								if($row['hide']==1)
								{
									echo"<b style='color:#aaa;'>".htmlspecialchars($row['title'],ENT_QUOTES)." <span class='glyphicon glyphicon-info-sign tooltip-element' data-toggle='tooltip' data-placement='right' title='Элемент скрыт'></span></b>";
								}
								else
								{
									echo '<b>'.htmlspecialchars($row['title'],ENT_QUOTES).'</b>';
								}
								?>
							</td>

							<td class='text-center text-nowrap'>
								<abbr class='tooltip-element' title='Пользователь: <?=user_detection($row['user'])?>'> <?=date_formated($row['date_time'])?></abbr>
							</td>

							<td class='text-center text-nowrap'>
								<?php
								if($row['date_time_update']=='1000-01-01 00:00:00'){echo'&mdash;';}
								else
								{
									echo"<abbr class='tooltip-element' title='Пользователь: "; user_detection($row['user_update']); echo"'>";
									date_formated($row['date_time_update']);
									echo"</abbr>";
								}
								?>
							</td>

							<td class='text-center text-nowrap'>

								<a href='<?=CURRENT_FILE?>?id=<?=$row['id']?>' class='btn btn-secondary btn-sm'><span class='glyphicon glyphicon-pencil'></span></a>

								<a href='#delete' class='btn btn-secondary btn-sm' data-target='#modal<?=$row['id']?>' data-toggle='modal'>
									<span class='glyphicon glyphicon-remove'></span>
								</a>
								<div class='modal fade' id='modal<?=$row['id']?>' tabindex='-1' role='dialog' aria-hidden='true'>
									<div class='modal-dialog modal-sm'>
										<div class='modal-content'>
											<div class='modal-body'>
												<h5><b><?=htmlspecialchars($row['title'],ENT_QUOTES)?></b></h5>
												<h5>Вы действительно хотите этот удалить элемент?</h5>
											</div>
											<div class='modal-footer'>
												<a href='_delete.php?element_id=<?=$row['id']?>' class='btn btn-danger'>Удалить навсегда</a> <button type='button' class='btn btn-secondary' data-dismiss='modal'>Закрыть</button>
											</div>
										</div>
									</div>
								</div>

							</td>

						</tr>

						<?php
					}
				}


				?>

						</tbody>
					</table>
				</div>


				<?php list_footer('elements'); ?>

				</form>

				</div>
				<?php
			}
		}

		?>
		</div>
		<?php
	}
}

require_once('include/footer.php');