<?php

require_once('include/header.php');

// Проверка прав доступа к разделу
if($profile_access_fields==0)
{
	echo $block_profile_danger;
}
else
{

	$title_section='Дополнительные поля';
	$title_new_section='Новая группа';
	$title_new_field='Новое поле';

	// Ссылки на создание групп и полей
	if(isset($_GET['data_type']) && $_GET['data_type'] == 'elements')
	{
		$new_section_link = '=elements';
		$new_field_link = (isset($_GET['section_fields'])) ? '_elements='.$_GET['section_fields'] : '_elements';
	}
	elseif(isset($_GET['elements']) || (isset($_POST['data_type']) && $_POST['data_type'] == 'elements') || (isset($_POST['element_type']) && $_POST['element_type'] == 'elements'))
	{
		$new_section_link = '=elements';
		$new_field_link = '_elements';
	}
	else
	{
		$new_section_link = '';
		$new_field_link = (isset($_GET['section_fields'])) ? '_pages='.$_GET['section_fields'] : '_pages';
	}

	$info_new = "<li class='flex-float-right d-none d-sm-block'><a href='".CURRENT_FILE."?new_section".$new_section_link."'>+ Создать группу</a> &nbsp; <a href='".CURRENT_FILE."?new_field".$new_field_link."'>+ Создать поле</a></li>";

	// Новая группа
	if(isset($_GET['new_section']))
	{

		if($_GET['new_section']=='elements')
		{
			$elements_selected = 'selected';
			$elements_link = '?elements';
			$title_section = 'Дополнительные поля (элементы)';
		}
		else
		{
			$elements_selected = '';
			$elements_link = '';
			$title_section = 'Дополнительные поля (страницы)';
		}

		?>
		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?><?=$elements_link?>'><?=$title_section?></a></li>
			<li class='breadcrumb-item active'><?=$title_new_section?></li>
		</ol>

		<form action='<?=CURRENT_FILE?>' method='post' enctype='multipart/form-data'>

			<div class='form-group' id='title-div'>
				<label><b>Название:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
				<input type='text' class='form-control' id='title' name='title' maxlength='255'>
			</div>

			<div class='form-group'>
				<label><b>Тип данных:</b></label>
				<select name="data_type" class="form-control">
					<option value="pages">Страницы</option>
					<option value="elements" <?=$elements_selected?>>Элементы</option>
				</select>
			</div>

			<button type='submit' class='btn btn-primary' name='record_new_section'>Записать</button>

		</form>
		<?php
	}

	// Запись новой группы
	elseif(isset($_POST['record_new_section']))
	{

		$elements_link = ($_POST['data_type'] == 'elements') ? '?elements' : '';
		$elements_section = ($_POST['data_type'] == 'elements') ? '=elements' : '';
		$title_section = ($_POST['data_type'] == 'elements') ? 'Дополнительные поля (элементы)' : 'Дополнительные поля (страницы)';

		if( count_query('SELECT id from '.DB_PREFIX.'fields_section') > 0 )
		{
			$row_section = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT id from '.DB_PREFIX.'fields_section order by id desc'));
			$section_new = $row_section['id'] + 1;
		}
		else
		{
			$section_new = 1;
		}

		$new_field_link = ($_POST['data_type'] == 'elements') ? '_elements='.$section_new : '_pages='.$section_new;

		$info_new = "<li class='flex-float-right d-none d-sm-block'><a href='".CURRENT_FILE."?new_section".$new_section_link."'>+ Создать группу</a> &nbsp; <a href='".CURRENT_FILE."?new_field".$new_field_link."'>+ Создать поле</a></li>";

		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?><?=$elements_link?>'><?=$title_section?></a></li>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?new_section<?=$elements_section?>'><?=$title_new_section?></a></li>
			<li class='breadcrumb-item active'>Запись</li>
			<?=$info_new?>
		</ol>

		<?php

		$title=mysqli_escape_string($mysqli,$title);

		if(mysqli_query($mysqli,"INSERT INTO ".DB_PREFIX."fields_section (user,title,data_type,date_time) VALUES ('$admin_id','$title','$data_type','".DATE_TIME."')"))
		{
			echo $block_info;
		}
		else
		{
			echo $block_danger;
		}
	}

	// Редактирование группы
	elseif(isset($_GET['section']))
	{

		$row = mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT * from ".DB_PREFIX."fields_section where id='$section'"));

		$nav_section = ($row['data_type']=='elements') ? '?elements' : '';
		$title_section = ($row['data_type'] == 'elements') ? 'Дополнительные поля (элементы)' : 'Дополнительные поля (страницы)';

		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?><?=$nav_section?>'><?=$title_section?></a></li>
			<li class='breadcrumb-item active'>Редактирование</li>
		</ol>

		<form action='<?=CURRENT_FILE?>' method='post' enctype='multipart/form-data'>

			<div class='form-group' id='title-div'>
				<label><b>Название:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
				<input type='text' class='form-control' id='title' name='title' maxlength='255' value="<?=htmlspecialchars($row['title'],ENT_QUOTES)?>">
			</div>

			<input type="hidden" name="hidden" value="<?=$row['id']?>">

			<button type='submit' class='btn btn-primary' name='record_edit_section'>Записать</button>

		</form>

		<?php

		date_time($row['user'],$row['user_update'],$row['date_time'],$row['date_time_update']);

	}

	// Запись отредактированной группы
	elseif(isset($_POST['record_edit_section']))
	{

		$row = mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT data_type from ".DB_PREFIX."fields_section where id='$hidden'"));

		$nav_section = ($row['data_type']=='elements') ? '?elements' : '';
		$title_section = ($row['data_type'] == 'elements') ? 'Дополнительные поля (элементы)' : 'Дополнительные поля (страницы)';
		$new_section_link = ($row['data_type'] == 'elements') ? '=elements' : '=pages';
		$new_field_link = ($row['data_type'] == 'elements') ? '_elements='.$hidden : '_pages='.$hidden;
		$info_new = "<li class='flex-float-right d-none d-sm-block'><a href='".CURRENT_FILE."?new_section".$new_section_link."'>+ Создать группу</a> &nbsp; <a href='".CURRENT_FILE."?new_field".$new_field_link."'>+ Создать поле</a></li>";

		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?><?=$nav_section?>'><?=$title_section?></a></li>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?section=<?=$hidden?>'>Редактирование</a></li>
			<li class='breadcrumb-item active'>Запись</li>
			<?=$info_new?>
		</ol>

		<?php

		$title=mysqli_escape_string($mysqli,$title);

		if(mysqli_query($mysqli,"UPDATE ".DB_PREFIX."fields_section SET
			user_update='$admin_id',
			title='$title',
			date_time_update='".DATE_TIME."'
			where id='$hidden'"))
		{
			echo $block_info;
			cache_delete();
		}
		else
		{
			echo $block_danger;
		}

	}

	// Новое поле: выбор типа данных
	elseif(isset($_GET['new_field']))
	{
		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>'><?=$title_section?></a></li>
			<li class='breadcrumb-item active'><?=$title_new_field?></li>
		</ol>

		<div class="row data-types">

			<div class="col-xl-3 col-lg-4">
				<div class="card">
					<div class="card-body">
						<h5 class="card-title"><a href="<?=CURRENT_FILE?>?new_field_pages">Страницы</a></h5>
						<p class="card-text">Создать поле для страниц</p>
					</div>
				</div>
			</div>

			<div class="col-xl-3 col-lg-4">
				<div class="card">
					<div class="card-body">
						<h5 class="card-title"><a href="<?=CURRENT_FILE?>?new_field_elements">Элементы</a></h5>
						<p class="card-text">Создать поле для элементов</p>
					</div>
				</div>
			</div>

		</div>

		<?php
	}

	// Новое поле
	elseif(isset($_GET['new_field_pages']) || isset($_GET['new_field_elements']) || isset($_GET['new_field_dynamic']))
	{

		if(isset($_GET['new_field_dynamic']))
		{
			$row = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_name where id='.$_GET['new_field_dynamic']));

			if($row_section_nav=mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT title, data_type from ".DB_PREFIX."fields_section where id='$row[section]'")))
			{
				$section_title=$row_section_nav['title'];
			}
			elseif($row['section']==0)
			{
				$section_title='Без группы';
			}
		}

		$current_section = '';
		$data_type = 'fields_elements';
		$elements_link = '';

		if(isset($_GET['new_field_pages']))
		{
			$data_type = 'pages';
			$elements_link = '';
			$title_section = 'Дополнительные поля (страницы)';
			if($_GET['new_field_pages'] > 0)
			{
				$row_section=mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.'fields_section where id = '.$_GET['new_field_pages']));
				$current_section = "<li class='breadcrumb-item'><a href='".CURRENT_FILE."?section_fields=".$_GET['new_field_pages']."&data_type=pages'>".$row_section['title']."</a></li>";
			}
		}
		elseif(isset($_GET['new_field_elements']))
		{
			$data_type = 'elements';
			$elements_link = '?elements';
			$title_section = 'Дополнительные поля (элементы)';
			if($_GET['new_field_elements'] > 0)
			{
				$row_section=mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.'fields_section where id = '.$_GET['new_field_elements']));
				$current_section = "<li class='breadcrumb-item'><a href='".CURRENT_FILE."?section_fields=".$_GET['new_field_elements']."&data_type=elements'>".$row_section['title']."</a></li>";
			}
		}

		?>

		<ol class='breadcrumb'>

			<?php if(isset($_GET['new_field_dynamic'])) { ?>

				<?php

				if($row['element_type'] == 'blocks_static')
				{
					$row_block_static = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.'blocks_static where id='.$row['section']));
				?>
					<li class='breadcrumb-item'><a href='blocks_static.php'>Блоки статические</a></li>
					<li class='breadcrumb-item'><a href='blocks_static.php?block=<?=$row['section']?>'><?=$row_block_static['title']?></a></li>
					<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?dynamic=<?=$_GET['new_field_dynamic']?>'><?=$row['title']?></a></li>
				<?php
				}
				else
				{
					?>
					<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?><?=$elements_link?>'><?=$title_section?></a></li>
					<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?section_fields=<?=$row['section']?>&data_type=<?=$row['element_type']?>'><?=$section_title?></a></li>
					<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?dynamic=<?=$_GET['new_field_dynamic']?>'><?=$row['title']?></a></li>
					<?php
				}
				?>

				<li class='breadcrumb-item active'>Новое поле</li>

			<?php	} else { ?>

				<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?><?=$elements_link?>'><?=$title_section?></a></li>
				<?=$current_section?>
				<li class='breadcrumb-item active'>Новое поле</li>

			<?php } ?>

		</ol>

		<form action='<?=CURRENT_FILE?>' method='post' enctype='multipart/form-data'>

			<div class='form-group' id='title-div'>
				<label><b>Название:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
				<input type='text' class='form-control' id='title' name='title' maxlength='255'>
			</div>

			<div class="form-group">
				<label><b>Пояснение:</b></label>
				<input type='text' name='notice' class='form-control' maxlength="255">
			</div>

			<div class="form-group">
				<label><b>Тип поля:</b></label>
				<select name="field_type" class="form-control">
					<option value="fields_varchar">Строка</option>
					<option value="fields_text">Текст</option>
					<option value="fields_select">Список однозначный</option>
					<option value="fields_select_multiple">Список многозначный</option>
					<option value="fields_boolean">Булево значение</option>
					<option value="fields_int">Целое число</option>
					<option value="fields_decimal">Дробное число</option>
					<option value="fields_date">Дата</option>
					<option value="fields_image">Изображение</option>
					<option value="fields_gallery">Галерея</option>
					<option value="fields_file">Файл</option>
					<option value="fields_archive">Архив</option>
					<option value="fields_array">Массив данных</option>
					<?php if(!isset($_GET['new_field_dynamic'])) {	?>
						<option value="fields_elements">Динамический блок</option>
					<?php } ?>
				</select>
			</div>

			<div class="form-group">
				<label><b>Обработка:</b></label>
				<select name="editor" class="form-control">
					<option value="0">-- Без обработки --</option>
					<option value="1">Html-редактор</option>
					<option value="2">Код</option>
				</select>
			</div>

			<div class="form-group">
				<label><b>Значение по умолчанию:</b></label>
				<input type='text' name='value_default' class='form-control' maxlength="255" value="">
			</div>

			<div class="form-group">
				<label><b>Длина поля:</b></label>
				<input type='text' name='length' class='form-control' maxlength="5" value="0">
				<p class='form-text text-muted'>неограниченно - 0</p>
			</div>

			<div class="form-group">
				<label><b>Ширина большого эскиза:</b></label>
				<input type='text' name='width_big' class='form-control' maxlength="5" value="0">
			</div>

			<div class="form-group">
				<label><b>Ширина малого эскиза:</b></label>
				<input type='text' name='width_small' class='form-control' maxlength="5" value="0">
			</div>

			<div class='form-group'>
				<div class='checkbox checkbox-original'>
					<label>
						<input type='checkbox' name='original' value='1'> <b>Сохранять оригинал</b>
					</label>
				</div>
			</div>

			<div class='form-group'>
				<label><b>Обрамление (начало):</b></label>
				<textarea class='form-control demo codemirror' name='frame1'></textarea>
			</div>

			<div class='form-group'>
				<label><b>Шаблон:</b></label>
				<textarea class='form-control demo codemirror' name='template'></textarea>
			</div>

			<div class='form-group'>
				<label><b>Обрамление (конец):</b></label>
				<textarea class='form-control demo codemirror' name='frame2'></textarea>
			</div>

			<div class='form-group'>
				<label><b>Код сортировки:</b></label>
				<input type=text class='form-control' name='sort_code' value=''>
			</div>

			<div class='form-group'>
				<label><b>Код выборки:</b></label>
				<input type=text class='form-control' name='where_code' value=''>
			</div>

			<div class='form-group'>
				<label><b>Лимит:</b></label>
				<div class='form-inline input-limit'>
					<input type='text' class='form-control mr-sm-2 number' name='limit1' value='0'> <input type='text' class='form-control number' name='limit2' value='0'>
				</div>
			</div>

			<div class='form-group'>
				<div class='checkbox checkbox-pagination'>
					<label>
						<input type='checkbox' name='pagination' value='1'> <b>Постраничное разделение</b>
					</label>
				</div>
			</div>

			<div class='form-group'>
				<div class='checkbox checkbox-lastframe'>
					<label>
						<input type='checkbox' name='last_frame' value='1'> <b>Отобразить последний элемент обрамления</b>
					</label>
				</div>
			</div>

			<?php if(!isset($_GET['new_field_dynamic'])) {

			if(!empty($_GET['new_field_pages']))
			{
				$getfield_section = $_GET['new_field_pages'];
			}
			elseif(!empty($_GET['new_field_elements']))
			{
				$getfield_section = $_GET['new_field_elements'];
			}
			else
			{
				$getfield_section = 0;
			}

			?>

				<div class="form-group">
					<label><b>Группа:</b></label>
					<select name="section" class="form-control" id="fields_section">
						<option value="0">-- Без группы --</option>
						<?php
						$result_section=mysqli_query($mysqli,"SELECT * from ".DB_PREFIX."fields_section where data_type = '".$data_type."' order by number asc, id asc");
						while($row_section=mysqli_fetch_array($result_section))
						{
							?>
							<option value="<?=$row_section['id']?>" <?php if($getfield_section==$row_section['id']) echo 'selected' ?>><?=$row_section['title']?></option>
							<?php
						}
						?>
					</select>
				</div>

				<input type="hidden" name="dynamic_section" value="0">

			<?php } else { ?>

				<input type="hidden" name="section" value="0">

				<input type="hidden" name="dynamic_section" value="<?=$_GET['new_field_dynamic']?>">

			<?php } ?>

			<input type="hidden" name="element_type" value="<?=$data_type?>">

			<button type='submit' class='btn btn-primary' name='record_new_field'>Записать</button>

		</form>

		<?php
	}

	// Запись нового поля
	elseif(isset($_POST['record_new_field']))
	{

		$elements_link = '';
		$current_section = '';

		if($element_type=='pages')
		{
			$title_section = 'Дополнительные поля (страницы)';
			$new_field_link = '_pages='.$_POST['section'];
			if($_POST['section']>0)
			{
				$row_section=mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.'fields_section where id = '.$_POST['section']));
				$current_section = "<li class='breadcrumb-item'><a href='".CURRENT_FILE."?section_fields=".$_POST['section']."&data_type=pages'>".$row_section['title']."</a></li>";
			}
			$block_type_link = '<a href="'.CURRENT_FILE.'?new_field_pages='.$_POST['section'].'">Новое поле</a>';
			$info_new = "<li class='flex-float-right d-none d-sm-block'><a href='".CURRENT_FILE."?new_section'>+ Создать группу</a> &nbsp; <a href='".CURRENT_FILE."?new_field".$new_field_link."'>+ Создать поле</a></li>";
		}
		elseif($element_type=='elements')
		{
			$title_section = 'Дополнительные поля (элементы)';
			$elements_link = '?elements';
			$new_field_link = '_elements='.$_POST['section'];
			if($_POST['section']>0)
			{
				$row_section=mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.'fields_section where id = '.$_POST['section']));
				$current_section = "<li class='breadcrumb-item'><a href='".CURRENT_FILE."?section_fields=".$_POST['section']."&data_type=elements'>".$row_section['title']."</a></li>";
			}
			$block_type_link = '<a href="'.CURRENT_FILE.'?new_field_elements='.$_POST['section'].'">Новое поле</a>';
			$info_new = "<li class='flex-float-right d-none d-sm-block'><a href='".CURRENT_FILE."?new_section=elements'>+ Создать группу</a> &nbsp; <a href='".CURRENT_FILE."?new_field".$new_field_link."'>+ Создать поле</a></li>";
		}

		if($element_type=='fields_elements')
		{

			$info_new = "<li class='flex-float-right d-none d-sm-block'><a href='".CURRENT_FILE."?new_field_dynamic=$dynamic_section'>+ Создать поле</a></li>";

			$row_dynamic = mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT title, section, element_type from ".DB_PREFIX."fields_name where id='".$dynamic_section."'"));

			if($row_section_nav=mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT title, data_type from ".DB_PREFIX."fields_section where id='$row_dynamic[section]'")))
			{
				$section_title=$row_section_nav['title'];
			}
			elseif($row_dynamic['section']==0)
			{
				$section_title='Без группы';
			}

		}

		?>

		<ol class='breadcrumb'>

			<?php

			if($element_type=='fields_elements')
			{

				if($row_dynamic['element_type'] == 'blocks_static')
				{
					$row_block_static = mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT title from ".DB_PREFIX."blocks_static where id='".$row_dynamic['section']."'"));
					?>

					<li class='breadcrumb-item'><a href='blocks_static.php'>Блоки статические</a></li>
					<li class='breadcrumb-item'><a href='blocks_static.php?block=<?=$row_dynamic['section']?>'><?=$row_block_static['title']?></a></li>
					<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?dynamic=<?=$dynamic_section?>'><?=$row_dynamic['title']?></a></li>
					<?php
				}
				else
				{
					?>
					<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?><?=$elements_link?>'><?=$title_section?></a></li>
					<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?section_fields=<?=$row_dynamic['section']?>&data_type=<?=$row_dynamic['element_type']?>'><?=$section_title?></a></li>
					<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?dynamic=<?=$dynamic_section?>'><?=$row_dynamic['title']?></a></li>
					<?php
				}
				?>

				<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?new_field_dynamic=<?=$dynamic_section?>'>Новое поле</a></li>

			<?php } else { ?>

				<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?><?=$elements_link?>'><?=$title_section?></a></li>

				<?=$current_section?>
				<li class='breadcrumb-item'><?=$block_type_link?></li>

			<?php } ?>

			<li class='breadcrumb-item active'>Запись</li>
			<?=$info_new?>
		</ol>

		<?php

		$title=trim(mysqli_escape_string($mysqli,$_POST['title']));
		$notice=trim(mysqli_escape_string($mysqli,$_POST['notice']));
		$value_default=trim(mysqli_escape_string($mysqli,$_POST['value_default']));
		$frame1=mysqli_escape_string($mysqli,$_POST['frame1']);
		$frame2=mysqli_escape_string($mysqli,$_POST['frame2']);
		$template=mysqli_escape_string($mysqli,$_POST['template']);
		$sort_code=trim(mysqli_escape_string($mysqli,$_POST['sort_code']));
		$where_code=trim(mysqli_escape_string($mysqli,$_POST['where_code']));

		$original = (isset($_POST['original'])) ? $_POST['original'] : 0;
		$pagination = (isset($_POST['pagination'])) ? $_POST['pagination'] : 0;
		$last_frame = (isset($_POST['last_frame'])) ? $_POST['last_frame'] : 0;

		if($field_type=='fields_gallery')
		{
			if($width_big==0) $width_big = 1920;
			if($width_small==0) $width_small = 600;
		}

		if($field_type=='fields_image')
		{
			if($width_big == 0 && $width_small != 0)
			{
				$width_big = 1920;
			}
		}

		if($section!=0)
		{
			$row = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT data_type from '.DB_PREFIX.'fields_section where id='.$section));
			$element_type = $row['data_type'];
		}

		if(mysqli_query($mysqli,'INSERT INTO
			'.DB_PREFIX.'fields_name (

			title,
			notice,
			section,
			dynamic_section,
			element_type,
			field_type,
			editor,
			value,
			length,
			width_big,
			width_small,
			original,
			frame1,
			frame2,
			template,
			sort_code,
			where_code,
			limit1,
			limit2,
			pagination,
			last_frame,
			user,
			date_time

			)	VALUES (

			"'.$title.'",
			"'.$notice.'",
			"'.$section.'",
			"'.$dynamic_section.'",
			"'.$element_type.'",
			"'.$field_type.'",
			"'.$editor.'",
			"'.$value_default.'",
			"'.$length.'",
			"'.$width_big.'",
			"'.$width_small.'",
			"'.$original.'",
			"'.$frame1.'",
			"'.$frame2.'",
			"'.$template.'",
			"'.$sort_code.'",
			"'.$where_code.'",
			"'.$limit1.'",
			"'.$limit2.'",
			"'.$pagination.'",
			"'.$last_frame.'",
			"'.$admin_id.'",
			"'.DATE_TIME.'"

			)
			'))
		{
			echo $block_info;
		}
		else
		{
			echo $block_danger;
		}

	}

	// Редактирование поля
	elseif(isset($_GET['field']))
	{

		$row = mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT * from ".DB_PREFIX."fields_name where id='".$_GET['field']."'"));

		if($row['element_type']=='fields_elements')
		{
			$row_dynamic = mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT title, element_type, section from ".DB_PREFIX."fields_name where id='".$row['dynamic_section']."'"));
		}

		$field_section = (isset($row_dynamic['section'])) ? $row_dynamic['section'] : $row['section'];
		$element_type = (isset($row_dynamic['element_type'])) ? $row_dynamic['element_type'] : $row['element_type'];

		if($row_section_nav=mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT title, data_type from ".DB_PREFIX."fields_section where id='$field_section'")))
		{
			$section_title=$row_section_nav['title'];
		}
		elseif($row['section']==0)
		{
			$section_title='Без группы';
		}

		$nav_section = ($element_type=='elements') ? '?elements' : '';
		$title_section = ($element_type=='elements') ? 'Дополнительные поля (элементы)' : 'Дополнительные поля (страницы)';

		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?><?=$nav_section?>'><?=$title_section?></a></li>

			<?php if($row['element_type']=='fields_elements') { ?>

				<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?section_fields=<?=$field_section?>&data_type=<?=$row_dynamic['element_type']?>'><?=$section_title?></a></li>
				<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?dynamic=<?=$row['dynamic_section']?>'><?=$row_dynamic['title']?></a></li>

			<?php } else { ?>

				<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?section_fields=<?=$field_section?>&data_type=<?=$row['element_type']?>'><?=$section_title?></a></li>

			<?php } ?>

			<li class='breadcrumb-item active'>Редактирование</li>
		</ol>

		<form action='<?=CURRENT_FILE?>' method='post' enctype='multipart/form-data'>

			<div class='form-group' id='title-div'>
				<label><b>Название:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
				<input type='text' class='form-control' id='title' name='title' maxlength='255' value="<?=htmlspecialchars($row['title'],ENT_QUOTES)?>">
			</div>

			<div class="form-group">
				<label><b>Пояснение:</b></label>
				<input type='text' name='notice' class='form-control' maxlength="255" value="<?=htmlspecialchars($row['notice'],ENT_QUOTES)?>">
			</div>

			<div class="form-group">
				<label><b>Тип поля:</b></label>
				<select name="field_type" class="form-control">
					<option value="fields_varchar" <?php if($row['field_type']=='fields_varchar') echo 'selected';?>>Строка</option>
					<option value="fields_text" <?php if($row['field_type']=='fields_text') echo 'selected';?>>Текст</option>
					<option value="fields_select" <?php if($row['field_type']=='fields_select') echo 'selected';?>>Список однозначный</option>
					<option value="fields_select_multiple" <?php if($row['field_type']=='fields_select_multiple') echo 'selected';?>>Список многозначный</option>
					<option value="fields_boolean" <?php if($row['field_type']=='fields_boolean') echo 'selected';?>>Булево значение</option>
					<option value="fields_int" <?php if($row['field_type']=='fields_int') echo 'selected';?>>Целое число</option>
					<option value="fields_decimal" <?php if($row['field_type']=='fields_decimal') echo 'selected';?>>Дробное число</option>
					<option value="fields_date" <?php if($row['field_type']=='fields_date') echo 'selected';?>>Дата</option>
					<option value="fields_image" <?php if($row['field_type']=='fields_image') echo 'selected';?>>Изображение</option>
					<option value="fields_gallery" <?php if($row['field_type']=='fields_gallery') echo 'selected';?>>Галерея</option>
					<option value="fields_file" <?php if($row['field_type']=='fields_file') echo 'selected';?>>Файл</option>
					<option value="fields_archive" <?php if($row['field_type']=='fields_archive') echo 'selected';?>>Архив</option>
					<option value="fields_array" <?php if($row['field_type']=='fields_array') echo 'selected';?>>Массив данных</option>
					<?php if($row['element_type']!='fields_elements') { ?>
						<option value="fields_elements" <?php if($row['field_type']=='fields_elements') echo 'selected';?>>Динамический блок</option>
					<?php } ?>
				</select>
			</div>

			<div class="form-group">
				<label><b>Обработка:</b></label>
				<select name="editor" class="form-control">
					<option value="0">-- Без обработки --</option>
					<option value="1" <?php if($row['editor']=='1') echo 'selected';?>>Html-редактор</option>
					<option value="2" <?php if($row['editor']=='2') echo 'selected';?>>Код</option>
				</select>
			</div>

			<div class="form-group">
				<label><b>Значение по умолчанию:</b></label>
				<input type='text' name='value_default' class='form-control' maxlength="255" value="<?=htmlspecialchars($row['value'],ENT_QUOTES)?>">
			</div>

			<div class="form-group">
				<label><b>Длина поля:</b></label>
				<input type='text' name='length' class='form-control' maxlength="5" value="<?=$row['length']?>">
				<p class='form-text text-muted'>неограниченно - 0</p>
			</div>

			<div class="form-group">
				<label><b>Ширина большого эскиза:</b></label>
				<input type='text' name='width_big' class='form-control' maxlength="5" value="<?=$row['width_big']?>">
			</div>

			<div class="form-group">
				<label><b>Ширина малого эскиза:</b></label>
				<input type='text' name='width_small' class='form-control' maxlength="5" value="<?=$row['width_small']?>">
			</div>

			<div class='form-group'>
				<div class='checkbox checkbox-original'>
					<label>
						<input type='checkbox' name='original' value='1' <?php if($row['original']==1) echo 'checked'; ?>> <b>Сохранять оригинал</b>
					</label>
				</div>
			</div>

			<div class='form-group'>
				<label><b>Обрамление (начало):</b></label>
				<textarea class='form-control demo codemirror' name='frame1'><?=htmlspecialchars($row['frame1'],ENT_QUOTES)?></textarea>
			</div>

			<div class='form-group'>
				<label><b>Шаблон:</b></label>
				<textarea class='form-control demo codemirror' name='template'><?=htmlspecialchars($row['template'],ENT_QUOTES)?></textarea>
			</div>

			<div class='form-group'>
				<label><b>Обрамление (конец):</b></label>
				<textarea class='form-control demo codemirror' name='frame2'><?=htmlspecialchars($row['frame2'],ENT_QUOTES)?></textarea>
			</div>

			<div class='form-group'>
				<label><b>Код сортировки:</b></label>
				<input type=text class='form-control' name='sort_code' value='<?=htmlspecialchars($row['sort_code'],ENT_QUOTES)?>'>
			</div>

			<div class='form-group'>
				<label><b>Код выборки:</b></label>
				<input type=text class='form-control' name='where_code' value='<?=htmlspecialchars($row['where_code'],ENT_QUOTES)?>'>
			</div>

			<div class='form-group'>
				<label><b>Лимит:</b></label>
				<div class='form-inline input-limit'>
					<input type='text' class='form-control mr-sm-2 number' name='limit1' value='<?=$row['limit1']?>'> <input type='text' class='form-control number' name='limit2' value='<?=$row['limit2']?>'>
				</div>
			</div>

			<div class='form-group'>
				<div class='checkbox checkbox-pagination'>
					<label>
						<input type='checkbox' name='pagination' value='1' <?php if($row['pagination']==1) echo 'checked'; ?>> <b>Постраничное разделение</b>
					</label>
				</div>
			</div>

			<div class='form-group'>
				<div class='checkbox checkbox-lastframe'>
					<label>
						<input type='checkbox' name='last_frame' value='1' <?php if($row['last_frame']==1) echo 'checked'; ?>> <b>Отобразить последний элемент обрамления</b>
					</label>
				</div>
			</div>

			<?php if($row['element_type']!='fields_elements') {	?>

				<div class="form-group">
					<label><b>Группа:</b></label>
					<select name="section" class="form-control">
						<option value="0">-- Без группы --</option>
						<?php
						$result_section=mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_section where data_type="'.$row['element_type'].'" order by number asc, id asc');
						while($row_section=mysqli_fetch_array($result_section))
						{
							?>
							<option value="<?=$row_section['id']?>" <?php if($row['section']==$row_section['id']) echo 'selected';?>><?=$row_section['title']?></option>
							<?php
						}
						?>
					</select>
				</div>

				<input type="hidden" name="dynamic_section" value="0">

			<?php } else { ?>

				<input type="hidden" name="section" value="0">

				<input type="hidden" name="dynamic_section" value="<?=$row['dynamic_section']?>">

			<?php } ?>

			<input type="hidden" name="hidden" value="<?=$_GET['field']?>">

			<button type='submit' class='btn btn-primary' name='record_edit_field'>Записать</button>

		</form>

		<?php
	}

	// Запись отредактированного поля
	elseif(isset($_POST['record_edit_field']))
	{

		$row = mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT * from ".DB_PREFIX."fields_name where id='$hidden'"));

		if($row['element_type']=='fields_elements')
		{
			$row_dynamic = mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT title, element_type, section from ".DB_PREFIX."fields_name where id='".$row['dynamic_section']."'"));
		}

		$field_section = (isset($row_dynamic['section'])) ? $row_dynamic['section'] : $row['section'];
		$element_type = (isset($row_dynamic['element_type'])) ? $row_dynamic['element_type'] : $row['element_type'];

		if($row_section_nav=mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT title, data_type from ".DB_PREFIX."fields_section where id='$field_section'")))
		{
			$section_title=$row_section_nav['title'];
		}
		elseif($row['section']==0)
		{
			$section_title='Без группы';
		}

		$nav_section = ($element_type=='elements') ? '?elements' : '';
		$title_section = ($element_type=='elements') ? 'Дополнительные поля (элементы)' : 'Дополнительные поля (страницы)';

		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?><?=$nav_section?>'><?=$title_section?></a></li>

			<?php if($row['element_type']=='fields_elements') {	$row_dynamic = mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT title, element_type from ".DB_PREFIX."fields_name where id='".$row['dynamic_section']."'")); ?>

				<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?section_fields=<?=$field_section?>&data_type=<?=$row_dynamic['element_type']?>'><?=$section_title?></a></li>
				<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?dynamic=<?=$row['dynamic_section']?>'><?=$row_dynamic['title']?></a></li>

			<?php } else { ?>

				<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?section_fields=<?=$field_section?>&data_type=<?=$row['element_type']?>'><?=$section_title?></a></li>

			<?php } ?>

			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?field=<?=$hidden?>'>Редактирование</a></li>
			<li class='breadcrumb-item active'>Запись</li>
		</ol>

		<?php

		$title=trim(mysqli_escape_string($mysqli,$_POST['title']));
		$notice=trim(mysqli_escape_string($mysqli,$_POST['notice']));
		$value_default=trim(mysqli_escape_string($mysqli,$_POST['value_default']));
		$frame1=mysqli_escape_string($mysqli,$_POST['frame1']);
		$frame2=mysqli_escape_string($mysqli,$_POST['frame2']);
		$template=mysqli_escape_string($mysqli,$_POST['template']);
		$sort_code=trim(mysqli_escape_string($mysqli,$_POST['sort_code']));
		$where_code=trim(mysqli_escape_string($mysqli,$_POST['where_code']));

		$original = (isset($_POST['original'])) ? $_POST['original'] : 0;
		$pagination = (isset($_POST['pagination'])) ? $_POST['pagination'] : 0;
		$last_frame = (isset($_POST['last_frame'])) ? $_POST['last_frame'] : 0;

		if($field_type=='fields_gallery')
		{
			if($width_big==0) $width_big = 1920;
			if($width_small==0) $width_small = 600;
		}

		if($field_type=='fields_image')
		{
			if($width_big == 0 && $width_small != 0)
			{
				$width_big = 1920;
			}
		}

		if(mysqli_query($mysqli,"UPDATE ".DB_PREFIX."fields_name SET

			title='$title',
			notice='$notice',
			section='$section',
			dynamic_section='$dynamic_section',
			field_type='$field_type',
			editor='$editor',
			value='$value_default',
			length='$length',
			width_big='$width_big',
			width_small='$width_small',
			original='$original',
			frame1='$frame1',
			frame2='$frame2',
			template='$template',
			limit1='$limit1',
			limit2='$limit2',
			sort_code='$sort_code',
			where_code='$where_code',
			pagination='$pagination',
			last_frame='$last_frame',
			user_update='$admin_id',
			date_time_update='".DATE_TIME."'

			where id='$hidden'

			"))
		{
			echo $block_info;
		}
		else
		{
			echo $block_danger;
		}

	}

	// Список значений списка
	elseif(isset($_GET['select']))
	{

		$row_list=mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT section, title, element_type, dynamic_section from ".DB_PREFIX."fields_name where id='".$_GET['select']."'"));

		if($row_section_nav=mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT title, data_type from ".DB_PREFIX."fields_section where id='$row_list[section]'")))
		{
			$section_title=string_cut(htmlspecialchars($row_section_nav['title'],ENT_QUOTES),30);
		}
		elseif($row_list['section']==0)
		{
			$section_title='Без группы';
		}

		$nav_section = ($row_list['element_type']=='elements') ? '?elements' : '';
		$title_section = ($row_list['element_type']=='elements') ? 'Дополнительные поля (элементы)' : 'Дополнительные поля (страницы)';

		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?><?=$nav_section?>'><?=$title_section?></a></li>

			<?php if($row_list['element_type']=='fields_elements'): ?>
				<?php	$row_dynamic = mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT title, element_type from ".DB_PREFIX."fields_name where id='".$row_list['dynamic_section']."'"));?>
				<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?section_fields=<?=$row_list['section']?>&data_type=<?=$row_dynamic['element_type']?>'><?=$section_title?></a></li>
				<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?dynamic=<?=$row_list['dynamic_section']?>'><?=string_cut(htmlspecialchars($row_dynamic['title'],ENT_QUOTES),30)?></a></li>
			<?php else: ?>
				<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?section_fields=<?=$row_list['section']?>&data_type=<?=$row_list['element_type']?>'><?=$section_title?></a></li>
			<?php endif; ?>

			<li class='breadcrumb-item active'><?=$row_list['title']?></li>
			<li class='flex-float-right d-none d-sm-block'><a href='<?=CURRENT_FILE?>?select_new=<?=$_GET['select']?>'>+ Создать значение</a></li>
		</ol>

		<form action='<?=CURRENT_FILE?>' method='post'>
			<div class='table-responsive'>
				<table class='table table-hover table-pages'>
					<thead>
						<tr>
							<th class='pl-4'>#</th>
							<th>Значение</th>
							<th class='text-center'>Операции</th>
						</tr>
					</thead>
					<tbody class="dragula-container">

					<?php
					$result=mysqli_query($mysqli,"SELECT * from ".DB_PREFIX."fields_select_list where name='".$_GET['select']."' order by number asc, id asc");
					while($row=mysqli_fetch_array($result))
					{
						?>

						<tr>
							<td>
								<input type='text' name='id[<?=$row['id']?>]' value='<?=$row['number']?>' class='form-control form-control-sm number draggable' maxlength='10' autocomplete="off">
							</td>
							<td>
								<b><?=htmlspecialchars($row['value'],ENT_QUOTES)?></b>
							</td>
							<td class="text-center">

								<a href='<?=CURRENT_FILE?>?select_edit=<?=$row['id']?>&select_section=<?=$_GET['select']?>' class='btn btn-secondary btn-sm'>
									<span class='glyphicon glyphicon-pencil'></span>
								</a>

								<a href='#delete' class='btn btn-secondary btn-sm' data-target='#modal<?=$row['id']?>' data-toggle='modal'>
									<span class='glyphicon glyphicon-remove'></span>
								</a>
								<div class='modal fade' id='modal<?=$row['id']?>' tabindex='-1' role='dialog' aria-hidden='true'>
									<div class='modal-dialog modal-sm'>
										<div class='modal-content'>
											<div class='modal-body'>
												<h5>Вы действительно хотите удалить это значение?</h5>
											</div>
											<div class='modal-footer'>
												<a href='<?=CURRENT_FILE?>?delete_select=<?=$row['id']?>' class='btn btn-danger'>Удалить навсегда</a> <button type='button' class='btn btn-secondary' data-dismiss='modal'>Закрыть</button>
											</div>
										</div>
									</div>
								</div>

							</td>
						</tr>

						<?php
					}
					?>

					</tbody>
				</table>
				<hr>
				<button type='submit' class='btn btn-secondary btn-sm' name='record_numbers_fields_select'>Изменить порядок</button>
			</div>
		</form>

		<?php

	}

	// Новое значение
	elseif(isset($_GET['select_new']))
	{

		$row_list=mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT section, title, element_type, dynamic_section from ".DB_PREFIX."fields_name where id='".$_GET['select_new']."'"));

		if($row_section_nav=mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT title, data_type from ".DB_PREFIX."fields_section where id='$row_list[section]'")))
		{
			$section_title=$row_section_nav['title'];
		}
		elseif($row_list['section']==0)
		{
			$section_title='Без группы';
		}

		$nav_section = ($row_list['element_type']=='elements') ? '?elements' : '';
		$title_section = ($row_list['element_type']=='elements') ? 'Дополнительные поля (элементы)' : 'Дополнительные поля (страницы)';

		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?><?=$nav_section?>'><?=$title_section?></a></li>

			<?php if($row_list['element_type']=='fields_elements'): ?>
				<?php	$row_dynamic = mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT title, element_type from ".DB_PREFIX."fields_name where id='".$row_list['dynamic_section']."'"));?>
				<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?section_fields=<?=$row_list['section']?>&data_type=<?=$row_dynamic['element_type']?>'><?=$section_title?></a></li>
				<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?dynamic=<?=$row_list['dynamic_section']?>'><?=string_cut(htmlspecialchars($row_dynamic['title'],ENT_QUOTES),30)?></a></li>
			<?php else: ?>
				<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?section_fields=<?=$row_list['section']?>&data_type=<?=$row_list['element_type']?>'><?=$section_title?></a></li>
			<?php endif; ?>

			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?select=<?=$_GET['select_new']?>'><?=$row_list['title']?></a></li>
			<li class='breadcrumb-item active'>Новое значение</li>
		</ol>

		<form action='<?=CURRENT_FILE?>' method='post' enctype='multipart/form-data'>

			<div class='form-group' id='title-div'>
				<label><b>Название:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
				<input type='text' class='form-control' id='title' name='title' maxlength='255'>
			</div>

			<input type="hidden" name="select_id" value="<?=$_GET['select_new']?>">

			<button type='submit' class='btn btn-primary' name='record_new_select'>Записать</button>

		</form>

		<?php

	}

	// Запись нового значения для списка
	elseif(isset($_POST['record_new_select']))
	{

		$row_list=mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT section, title, element_type, dynamic_section from ".DB_PREFIX."fields_name where id='".$_POST['select_id']."'"));

		if($row_section_nav=mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT title, data_type from ".DB_PREFIX."fields_section where id='$row_list[section]'")))
		{
			$section_title=$row_section_nav['title'];
		}
		elseif($row_list['section']==0)
		{
			$section_title='Без группы';
		}

		$nav_section = ($row_list['element_type']=='elements') ? '?elements' : '';
		$title_section = ($row_list['element_type']=='elements') ? 'Дополнительные поля (элементы)' : 'Дополнительные поля (страницы)';

		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?><?=$nav_section?>'><?=$title_section?></a></li>

			<?php if($row_list['element_type']=='fields_elements'): ?>
				<?php	$row_dynamic = mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT title, element_type from ".DB_PREFIX."fields_name where id='".$row_list['dynamic_section']."'"));?>
				<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?section_fields=<?=$row_list['section']?>&data_type=<?=$row_dynamic['element_type']?>'><?=$section_title?></a></li>
				<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?dynamic=<?=$row_list['dynamic_section']?>'><?=string_cut(htmlspecialchars($row_dynamic['title'],ENT_QUOTES),30)?></a></li>
			<?php else: ?>
				<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?section_fields=<?=$row_list['section']?>&data_type=<?=$row_list['element_type']?>'><?=$section_title?></a></li>
			<?php endif; ?>

			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?select=<?=$_POST['select_id']?>'><?=$row_list['title']?></a></li>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?select_new=<?=$_POST['select_id']?>'>Новое значение</a></li>
			<li class='breadcrumb-item active'>Запись</li>
		</ol>

		<?php

		$title=trim(mysqli_escape_string($mysqli,$title));

		if(mysqli_query($mysqli,"INSERT INTO ".DB_PREFIX."fields_select_list (name, value)	VALUES (".$_POST['select_id'].", '$title')"))
		{
			echo $block_info;
		}
		else
		{
			echo $block_danger;
		}

		echo mysqli_error($mysqli);

	}

	// Редактирование значения списка
	elseif(isset($_GET['select_edit'],$_GET['select_section']))
	{

		$row_list=mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT section, title, element_type, dynamic_section from ".DB_PREFIX."fields_name where id='".$_GET['select_section']."'"));

		if($row_section_nav=mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT title, data_type from ".DB_PREFIX."fields_section where id='$row_list[section]'")))
		{
			$section_title=$row_section_nav['title'];
		}
		elseif($row_list['section']==0)
		{
			$section_title='Без группы';
		}

		$nav_section = ($row_list['element_type']=='elements') ? '?elements' : '';
		$title_section = ($row_list['element_type']=='elements') ? 'Дополнительные поля (элементы)' : 'Дополнительные поля (страницы)';

		$row=mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT * from ".DB_PREFIX."fields_select_list where id='".$_GET['select_edit']."'"));

		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?><?=$nav_section?>'><?=$title_section?></a></li>

			<?php if($row_list['element_type']=='fields_elements'): ?>
				<?php	$row_dynamic = mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT title, element_type from ".DB_PREFIX."fields_name where id='".$row_list['dynamic_section']."'"));?>
				<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?section_fields=<?=$row_list['section']?>&data_type=<?=$row_dynamic['element_type']?>'><?=$section_title?></a></li>
				<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?dynamic=<?=$row_list['dynamic_section']?>'><?=string_cut(htmlspecialchars($row_dynamic['title'],ENT_QUOTES),30)?></a></li>
			<?php else: ?>
				<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?section_fields=<?=$row_list['section']?>&data_type=<?=$row_list['element_type']?>'><?=$section_title?></a></li>
			<?php endif; ?>

			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?select=<?=$_GET['select_section']?>'><?=$row_list['title']?></a></li>
			<li class='breadcrumb-item active'>Редактирование значения</li>
		</ol>

		<form action='<?=CURRENT_FILE?>' method='post' enctype='multipart/form-data'>

			<div class='form-group' id='title-div'>
				<label><b>Название:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
				<input type='text' class='form-control' id='title' name='title' maxlength='255' value="<?=htmlspecialchars($row['value'],ENT_QUOTES)?>">
			</div>

			<input type="hidden" name="select_section_id" value="<?=$_GET['select_section']?>">
			<input type="hidden" name="select_edit_id" value="<?=$_GET['select_edit']?>">

			<button type='submit' class='btn btn-primary' name='record_edit_select'>Записать</button>

		</form>

		<?php

	}

	// Запись отредактированного значения списка
	elseif(isset($_POST['record_edit_select']))
	{

		$row_list=mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT section, title, element_type, dynamic_section from ".DB_PREFIX."fields_name where id='".$_POST['select_section_id']."'"));

		if($row_section_nav=mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT title, data_type from ".DB_PREFIX."fields_section where id='$row_list[section]'")))
		{
			$section_title=$row_section_nav['title'];
		}
		elseif($row_list['section']==0)
		{
			$section_title='Без группы';
		}

		$nav_section = ($row_list['element_type']=='elements') ? '?elements' : '';
		$title_section = ($row_list['element_type']=='elements') ? 'Дополнительные поля (элементы)' : 'Дополнительные поля (страницы)';

		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?><?=$nav_section?>'><?=$title_section?></a></li>

			<?php if($row_list['element_type']=='fields_elements'): ?>
				<?php	$row_dynamic = mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT title, element_type from ".DB_PREFIX."fields_name where id='".$row_list['dynamic_section']."'"));?>
				<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?section_fields=<?=$row_list['section']?>&data_type=<?=$row_dynamic['element_type']?>'><?=$section_title?></a></li>
				<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?dynamic=<?=$row_list['dynamic_section']?>'><?=string_cut(htmlspecialchars($row_dynamic['title'],ENT_QUOTES),30)?></a></li>
			<?php else: ?>
				<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?section_fields=<?=$row_list['section']?>&data_type=<?=$row_list['element_type']?>'><?=$section_title?></a></li>
			<?php endif; ?>

			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?select=<?=$_POST['select_section_id']?>'><?=$row_list['title']?></a></li>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?select_edit=<?=$select_edit_id?>&select_section=<?=$select_section_id?>'>Редактирование значения</a></li>
			<li class='breadcrumb-item active'>Запись</li>
		</ol>

		<?php

		$title=trim(mysqli_escape_string($mysqli,$title));

		if(mysqli_query($mysqli,"UPDATE ".DB_PREFIX."fields_select_list SET

			value='$title',
			name='$select_section_id'

			where id='$select_edit_id'

			"))
		{
			echo $block_info;
		}
		else
		{
			echo $block_danger;
		}

	}

	// Изменение порядка в значениях списка
	elseif(isset($_POST['record_numbers_fields_select']))
	{

		foreach($_POST['id'] as $id => $number)
		{
			mysqli_query($mysqli,"UPDATE ".DB_PREFIX."fields_select_list SET number='$number' where id='$id'");
		}

		redirect(REFERER);

	}

	// Удаление значения спика
	elseif(isset($_GET['delete_select']))
	{

		mysqli_query($mysqli,'DELETE FROM '.DB_PREFIX.'fields_select where value='.$_GET['delete_select']);
		mysqli_query($mysqli,'DELETE FROM '.DB_PREFIX.'fields_select_list where id='.$_GET['delete_select']);

		redirect(REFERER);

	}

	// Список полей динамического блока
	elseif(isset($_GET['dynamic']))
	{

		$row_dynamic = mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT section, title, element_type from ".DB_PREFIX."fields_name where id='".$_GET['dynamic']."'"));

		if($row_section_nav = mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT title, data_type from ".DB_PREFIX."fields_section where id='$row_dynamic[section]'")))
		{
			$section_title = $row_section_nav['title'];
		}
		elseif($row_dynamic['section'] == 0)
		{
			$section_title = 'Без группы';
		}

		$nav_section = ($row_dynamic['element_type']=='elements') ? '?elements' : '';
		$title_section = ($row_dynamic['element_type']=='elements') ? 'Дополнительные поля (элементы)' : 'Дополнительные поля (страницы)';

		?>

		<ol class='breadcrumb'>

			<?php
			if($row_dynamic['element_type'] == 'blocks_static')
			{
				$row_block_static = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.'blocks_static where id='.$row_dynamic['section']));
				?>
				<li class='breadcrumb-item'><a href='blocks_static.php'>Блоки статические</a></li>
				<li class='breadcrumb-item'><a href='blocks_static.php?block=<?=$row_dynamic['section']?>'><?=$row_block_static['title']?></a></li>
			<?php } else { ?>
				<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?><?=$nav_section?>'><?=$title_section?></a></li>
				<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?section_fields=<?=$row_dynamic['section']?>&data_type=<?=$row_dynamic['element_type']?>'><?=$section_title?></a></li>
			<?php } ?>

			<li class='breadcrumb-item active'><?=$row_dynamic['title']?></li>
			<li class='flex-float-right d-none d-sm-block'><a href='<?=CURRENT_FILE?>?new_field_dynamic=<?=$_GET['dynamic']?>'>+ Создать поле</a></li>
		</ol>

		<form action='_numbers.php' method='post' id="form-post">
			<div class='table-responsive'>
				<table class='table table-hover table-pages'>
					<thead>
						<tr>
							<th class='pl-4'>#</th>
							<th></th>
							<th>Название</th>
							<th class='text-center'>Тип</th>
							<th class='text-center'>Обработка</th>
							<th class='text-center'>Параметры</th>
							<th class='text-center'>Код вставки</th>
							<th class='text-center d-none d-xl-table-cell'>Дата создания</th>
							<th class='text-center d-none d-xl-table-cell'>Дата изменения</th>
							<th class='text-center'>Операции</th>
						</tr>
					</thead>
					<tbody class="dragula-container">

						<?php

						$result=mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_name where dynamic_section = '.$_GET['dynamic'].' order by number asc, id asc');
						while($row=mysqli_fetch_array($result))
						{
							?>
							<tr>
								<td>
									<input type='text' name='id[<?=$row['id']?>]' value='<?=$row['number']?>' class='form-control form-control-sm number draggable' maxlength='10' autocomplete="off">
								</td>
								<td><input type='checkbox' name='checkbox[]' value='<?=$row['id']?>' class="checkbox-element"></td>
								<td>
									<b><?=htmlspecialchars($row['title'],ENT_QUOTES)?></b>
								</td>
								<td class='text-center'>
									<?php
									if($row['field_type']=='fields_varchar') {echo'Строка';}
									elseif($row['field_type']=='fields_text') {echo'Текст';}
									elseif($row['field_type']=='fields_select') { ?> <a href="<?=CURRENT_FILE?>?select=<?=$row['id']?>">Список однозначный (<?=count_query('SELECT id from '.DB_PREFIX.'fields_select_list where name='.$row['id'])?>)</a> <?php }
									elseif($row['field_type']=='fields_select_multiple') { ?> <a href="<?=CURRENT_FILE?>?select=<?=$row['id']?>">Список многозначный (<?=count_query('SELECT id from '.DB_PREFIX.'fields_select_list where name='.$row['id'])?>)</a> <?php }
									elseif($row['field_type']=='fields_boolean') {echo'Булево значение';}
									elseif($row['field_type']=='fields_int') {echo'Целое число';}
									elseif($row['field_type']=='fields_decimal') {echo'Дробное число';}
									elseif($row['field_type']=='fields_date') {echo'Дата';}
									elseif($row['field_type']=='fields_image') {echo'Изображение';}
									elseif($row['field_type']=='fields_gallery') {echo'Галерея';}
									elseif($row['field_type']=='fields_file') {echo'Файл';}
									elseif($row['field_type']=='fields_archive') {echo'Архив';}
									?>
								</td>
								<td class='text-center'>
									<?php
									if($row['editor']==0) {echo'&mdash;';}
									elseif($row['editor']==1) {echo'Html-редактор';}
									elseif($row['editor']==2) {echo'Код';}
									?>
								</td>
								<td class='text-center'>
									<?php
									if(($row['field_type']=='fields_image' || $row['field_type']=='fields_gallery'))
									{
										if($row['field_type']=='fields_image' && $row['width_big']==0) echo '&mdash;';	elseif($row['width_big']!=0) echo $row['width_big'];
										if($row['width_small']!=0) echo ' / '.$row['width_small'];
									}
									else
									{
										if($row['length']!=0) echo $row['length']; else echo '&mdash;';
									}
									?>
								</td>
								<td class='text-center'>
									<input type='text' class='form-control' value='<?php echo'<?=cms_field($row[&#39;id&#39;],'.$row['id'].')?>'; ?>' onclick='this.select();'>
								</td>
								<td class="text-center text-nowrap d-none d-xl-table-cell">
									<abbr class='tooltip-element' title='Пользователь: <?=user_detection($row['user'])?>'><?=date_formated($row['date_time'])?></abbr>
								</td>
								<td class="text-center text-nowrap d-none d-xl-table-cell">
									<?php
									if($row['date_time_update']=='1000-01-01 00:00:00'){echo'&mdash;';}
									else
									{
										?>
										<abbr class='tooltip-element' title='Пользователь: <?=user_detection($row['user'])?>'><?=date_formated($row['date_time_update'])?></abbr>
										<?php
									}
									?>
								</td>
								<td class="text-center text-nowrap">

									<a href='<?=CURRENT_FILE?>?field=<?=$row['id']?>' class='btn btn-secondary btn-sm'>
										<span class='glyphicon glyphicon-pencil'></span>
									</a>

									<a href='#delete' class='btn btn-secondary btn-sm' data-target='#modal<?=$row['id']?>' data-toggle='modal'>
										<span class='glyphicon glyphicon-remove'></span>
									</a>
									<div class='modal fade' id='modal<?=$row['id']?>' tabindex='-1' role='dialog' aria-hidden='true'>
										<div class='modal-dialog modal-sm'>
											<div class='modal-content'>
												<div class='modal-body'>
													<h5>Вы действительно хотите удалить это поле?</h5>
												</div>
												<div class='modal-footer'>
													<a href='_delete.php?field_id=<?=$row['id']?>&field_type=<?=$row['field_type']?>' class='btn btn-danger'>Удалить навсегда</a> <button type='button' class='btn btn-secondary' data-dismiss='modal'>Закрыть</button>
												</div>
											</div>
										</div>
									</div>

								</td>
							</tr>
							<?php
						}
						?>

					</tbody>
				</table>
			</div>
			<hr>
			<button type='submit' class='btn btn-secondary btn-sm' name='record_numbers_fields'>Изменить порядок</button>
			<button type='submit' class='btn btn-secondary btn-sm' name='delete_numbers_fields' onClick="document.getElementById('form-post').action='_delete.php';">Удалить группу</button>
			<label>
				&nbsp; <input type='checkbox' class='select-checkbox'> Выбрать все
			</label>
		</form>

		<?php
	}

	// Список полей конкретной группы
	elseif(isset($_GET['section_fields'],$_GET['data_type']))
	{

		if($section_fields!=0)
		{
			$row_section_nav=mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.'fields_section where id='.$section_fields));
			$section_title=$row_section_nav['title'];
		}
		else
		{
			$section_title='Без группы';
		}

		$nav_section = ($_GET['data_type']=='elements') ? '?elements' : '';
		$title_section = ($_GET['data_type']=='elements') ? 'Дополнительные поля (элементы)' : 'Дополнительные поля (страницы)';

		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><a href="<?=CURRENT_FILE?><?=$nav_section?>"><?=$title_section?></a></li>
			<li class='breadcrumb-item active'><?=$section_title?></li>
			<?=$info_new?>
		</ol>

		<form action='_numbers.php' method='post' id='form-post'>
			<div class='table-responsive'>
				<table class='table table-hover table-pages'>
					<thead>
						<tr>
							<th class='pl-4'>#</th>
							<th></th>
							<th>Название</th>
							<th class='text-center'>Тип</th>
							<th class='text-center'>Обработка</th>
							<th class='text-center'>Параметры</th>
							<th class='text-center'>Код вставки</th>
							<th class='text-center d-none d-xl-table-cell'>Дата создания</th>
							<th class='text-center d-none d-xl-table-cell'>Дата изменения</th>
							<th class='text-center'>Операции</th>
						</tr>
					</thead>
					<tbody class="dragula-container">

						<?php

						$result=mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_name where section = '.$_GET['section_fields'].' && element_type = "'.$_GET['data_type'].'" order by number asc, id asc');
						while($row=mysqli_fetch_array($result))
						{
							?>
							<tr>
								<td>
									<input type='text' name='id[<?=$row['id']?>]' value='<?=$row['number']?>' class='form-control form-control-sm number draggable' maxlength='10' autocomplete="off">
								</td>
								<td><input type='checkbox' name='checkbox[]' value='<?=$row['id']?>' class="checkbox-element"></td>
								<td>
									<b><?=htmlspecialchars($row['title'],ENT_QUOTES)?></b>
								</td>
								<td class='text-center'>
									<?php
									if($row['field_type']=='fields_varchar') {echo'Строка';}
									elseif($row['field_type']=='fields_text') {echo'Текст';}
									elseif($row['field_type']=='fields_select') { ?> <a href="<?=CURRENT_FILE?>?select=<?=$row['id']?>">Список однозначный (<?=count_query('SELECT id from '.DB_PREFIX.'fields_select_list where name='.$row['id'])?>)</a> <?php }
									elseif($row['field_type']=='fields_select_multiple') { ?> <a href="<?=CURRENT_FILE?>?select=<?=$row['id']?>">Список многозначный (<?=count_query('SELECT id from '.DB_PREFIX.'fields_select_list where name='.$row['id'])?>)</a> <?php }
									elseif($row['field_type']=='fields_boolean') {echo'Булево значение';}
									elseif($row['field_type']=='fields_int') {echo'Целое число';}
									elseif($row['field_type']=='fields_decimal') {echo'Дробное число';}
									elseif($row['field_type']=='fields_date') {echo'Дата';}
									elseif($row['field_type']=='fields_image') {echo'Изображение';}
									elseif($row['field_type']=='fields_gallery') {echo'Галерея';}
									elseif($row['field_type']=='fields_file') {echo'Файл';}
									elseif($row['field_type']=='fields_archive') {echo'Архив';}
									elseif($row['field_type']=='fields_array') {echo'Массив данных';}
									elseif($row['field_type']=='fields_elements') { ?> <a href="<?=CURRENT_FILE?>?dynamic=<?=$row['id']?>">Динамический блок (<?=count_query('SELECT id from '.DB_PREFIX.'fields_name where dynamic_section='.$row['id'])?>)</a> <?php }
									?>
								</td>
								<td class='text-center'>
									<?php
									if($row['editor']==0) {echo'&mdash;';}
									elseif($row['editor']==1) {echo'Html-редактор';}
									elseif($row['editor']==2) {echo'Код';}
									?>
								</td>
								<td class='text-center'>
									<?php
									if(($row['field_type']=='fields_image' || $row['field_type']=='fields_gallery'))
									{
										if($row['field_type']=='fields_image' && $row['width_big']==0) echo '&mdash;';	elseif($row['width_big']!=0) echo $row['width_big'];
										if($row['width_small']!=0) echo ' / '.$row['width_small'];
									}
									else
									{
										if($row['length']!=0) echo $row['length']; else echo '&mdash;';
									}
									?>
								</td>
								<td class='text-center'>
									<input type='text' class='form-control' value='<?php echo'<?=cms_field($row[&#39;id&#39;],'.$row['id'].')?>'; ?>' onclick='this.select();'>
								</td>
								<td class="text-center text-nowrap d-none d-xl-table-cell">
									<abbr class='tooltip-element' title='Пользователь: <?=user_detection($row['user'])?>'><?=date_formated($row['date_time'])?></abbr>
								</td>
								<td class="text-center text-nowrap d-none d-xl-table-cell">
									<?php
									if($row['date_time_update']=='1000-01-01 00:00:00'){echo'&mdash;';}
									else
									{
										?>
										<abbr class='tooltip-element' title='Пользователь: <?=user_detection($row['user'])?>'><?=date_formated($row['date_time_update'])?></abbr>
										<?php
									}
									?>
								</td>
								<td class="text-center text-nowrap">

									<a href='<?=CURRENT_FILE?>?field=<?=$row['id']?>' class='btn btn-secondary btn-sm'>
										<span class='glyphicon glyphicon-pencil'></span>
									</a>

									<a href='#delete' class='btn btn-secondary btn-sm' data-target='#modal<?=$row['id']?>' data-toggle='modal'>
										<span class='glyphicon glyphicon-remove'></span>
									</a>
									<div class='modal fade' id='modal<?=$row['id']?>' tabindex='-1' role='dialog' aria-hidden='true'>
										<div class='modal-dialog modal-sm'>
											<div class='modal-content'>
												<div class='modal-body'>
													<h5>Вы действительно хотите удалить это поле?</h5>
												</div>
												<div class='modal-footer'>
													<a href='_delete.php?field_id=<?=$row['id']?>&field_type=<?=$row['field_type']?>' class='btn btn-danger'>Удалить навсегда</a> <button type='button' class='btn btn-secondary' data-dismiss='modal'>Закрыть</button>
												</div>
											</div>
										</div>
									</div>

								</td>
							</tr>
							<?php
						}
						?>

					</tbody>
				</table>
			</div>
			<hr>
			<button type='submit' class='btn btn-secondary btn-sm' name='record_numbers_fields'>Изменить порядок</button>
			<button type='submit' class='btn btn-secondary btn-sm' name='delete_numbers_fields' onClick="document.getElementById('form-post').action='_delete.php';">Удалить группу</button>
			<label>
				&nbsp; <input type='checkbox' class='select-checkbox'> Выбрать все
			</label>
		</form>

		<?php
	}

	// Общий список групп полей
	else
	{

		if(isset($_GET['elements']))
		{
			$element_type = 'elements';
			$title_section = 'Дополнительные поля (элементы)';
		}
		else
		{
			$element_type = 'pages';
			$title_section = 'Дополнительные поля (страницы)';
		}

		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item active'><?=$title_section?></li>
			<?=$info_new?>
		</ol>

		<ul class='nav nav-tabs'>
			<li class='nav-item'>
				<a href='<?=CURRENT_FILE?>' class='nav-link <?php if(!isset($_GET['elements'])) echo'active';?>'>Страницы <small class='text-muted'><?=count_query('SELECT id from '.DB_PREFIX.'fields_section where data_type="pages"')?> / <?=count_query('SELECT id from '.DB_PREFIX.'fields_name where element_type="pages"')?></small></a>
			</li>
			<li class='nav-item'>
				<a href='<?=CURRENT_FILE?>?elements' class='nav-link <?php if(isset($_GET['elements'])) echo'active';?>'>Элементы <small class='text-muted'><?=count_query('SELECT id from '.DB_PREFIX.'fields_section where data_type="elements"')?> / <?=count_query('SELECT id from '.DB_PREFIX.'fields_name where element_type="elements"')?></small></a>
			</li>
		</ul>

		<br>

		<form action='_numbers.php' method='post'>
			<div class='table-responsive'>
				<table class='table table-hover table-pages'>
					<thead>
						<tr>
							<th class='pl-4'>#</th>
							<th>Группа</th>
							<th class="text-center">Поля</th>
							<th class='text-center'>Дата создания</th>
							<th class='text-center'>Дата изменения</th>
							<th class='text-center'>Операции</th>
						</tr>
					</thead>
					<tbody class="dragula-container">

						<tr>
							<td></td>
							<td class="text-muted">
								<b>Без группы</b>
							</td>
							<td class="text-center">

								<?php

								$count_fields_none=count_query('SELECT id from '.DB_PREFIX.'fields_name where section=0 && element_type="'.$element_type.'"');

								if($count_fields_none>0)
								{
									?>
									<a href="<?=CURRENT_FILE?>?section_fields=0&data_type=<?=$element_type?>"><?=$count_fields_none?></a>
									<?php
								}
								else
								{
									echo $count_fields_none;
								}

								?>

							</td>
							<td></td>
							<td></td>
							<td></td>
						</tr>

						<?php

						if(count_query('SELECT id from '.DB_PREFIX.'fields_section where data_type="'.$element_type.'"')>0)
						{
							$result=mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_section where data_type="'.$element_type.'" order by number asc, id asc');
							while($row=mysqli_fetch_array($result))
							{
								$count_fields=count_query('SELECT id from '.DB_PREFIX.'fields_name where section='.$row['id'].' && element_type="'.$element_type.'"'); // полей в группе
								?>
								<tr>
									<td>
										<input type='text' name='id[<?=$row['id']?>]' value='<?=$row['number']?>' class='form-control form-control-sm number draggable' maxlength='10' autocomplete="off">
									</td>
									<td>
										<b><?=htmlspecialchars($row['title'],ENT_QUOTES)?></b>
									</td>
									<td class="text-center">
										<?php
										if($count_fields>0)
										{
											?>
											<a href="<?=CURRENT_FILE?>?section_fields=<?=$row['id']?>&data_type=<?=$element_type?>"><?=$count_fields?></a>
											<?php
										}
										else
										{
											echo $count_fields;
										}
										?>
									</td>
									<td class="text-center">
										<abbr class='tooltip-element' title='Пользователь: <?=user_detection($row['user'])?>'><?=date_formated($row['date_time'])?></abbr>
									</td>
									<td class="text-center">
										<?php
										if($row['date_time_update']=='1000-01-01 00:00:00'){echo'&mdash;';}
										else
										{
											?>
											<abbr class='tooltip-element' title='Пользователь: <?=user_detection($row['user'])?>'><?=date_formated($row['date_time_update'])?></abbr>
											<?php
										}
										?>
									</td>
									<td class="text-center">

										<a href='<?=CURRENT_FILE?>?section=<?=$row['id']?>' class='btn btn-secondary btn-sm'>
											<span class='glyphicon glyphicon-pencil'></span>
										</a>

										<a href='#delete' class='btn btn-secondary btn-sm' data-target='#modal<?=$row['id']?>' data-toggle='modal'>
											<span class='glyphicon glyphicon-remove'></span>
										</a>
										<div class='modal fade' id='modal<?=$row['id']?>' tabindex='-1' role='dialog' aria-hidden='true'>
											<div class='modal-dialog modal-sm'>
												<div class='modal-content'>
													<div class='modal-body'>
														<h5>Вы действительно хотите удалить эту группу с внутренними полями?</h5>
													</div>
													<div class='modal-footer'>
														<a href='_delete.php?fields_section_id=<?=$row['id']?>' class='btn btn-danger'>Удалить навсегда</a> <button type='button' class='btn btn-secondary' data-dismiss='modal'>Закрыть</button>
													</div>
												</div>
											</div>
										</div>

									</td>
								</tr>
								<?php
							}
						}

				?>

			</tbody>
		</table>
	</div>
	<hr>
	<button type='submit' class='btn btn-secondary btn-sm' name='record_numbers_fields_sections'>Изменить порядок</button>
</form>

<?php
}
}

require_once('include/footer.php');