<?php

/**
* Дополнительные поля
*/

class Fields
{

	// Проверка отображения поля
	private function FieldDisplay( $field_id, $data_fields_name, $page_data_type=0 )
	{

		if($page_data_type==0)
		{
			$field_display = true;
		}
		else
		{
			if($data_fields_name!='')
			{
				$field_display = (preg_match('/\b'.$field_id.'\b/',$data_fields_name)) ? true : false;
			}
			else
			{
				$field_display = false;
			}
		}

		return $field_display;
	}


	// Отображение полей при создании страницы / элемента
	public static function Insert( $element_type, $section_id, $page_data_type=0, $data_fields_name='', $field_dynamic_section=0 )
	{

		$mysqli = db_mysqli();

		$check_fields = new Fields; // метод проверки отображения поля

		$dynamic_section = ($field_dynamic_section!=0) ? '&& dynamic_section='.$field_dynamic_section : '';

		$result_field=mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_name where section='.$section_id.' && element_type="'.$element_type.'" '.$dynamic_section.' order by number asc, id asc');
		while($row_field=mysqli_fetch_array($result_field))
		{

			// Строка
			if($row_field['field_type']=='fields_varchar')
			{

				if($check_fields->FieldDisplay($row_field['id'],$data_fields_name,$page_data_type)!=false)
				{

					$length=($row_field['length']!=0) ? $row_field['length'] : 255;
					$notice=($row_field['notice']!='') ? '<p class="form-text text-muted">'.$row_field['notice'].'</p>' : '';

					?>

					<div class='form-group'>
						<label><b><?=$row_field['title']?>:</b></label>
						<input type="text" name="fields_varchar<?=$row_field['id']?>" class="form-control" maxlength="<?=$length?>">
						<?=$notice?>
					</div>

					<?php

				}

			}

			// Булево значение
			if($row_field['field_type']=='fields_boolean')
			{

				if($check_fields->FieldDisplay($row_field['id'],$data_fields_name,$page_data_type)!=false)
				{

					$notice=($row_field['notice']!='') ? '<p class="form-text text-muted">'.$row_field['notice'].'</p>' : '';

					?>

					<div class='form-group'>
						<div><label><input type='checkbox' name='fields_boolean<?=$row_field['id']?>' value='1'> <b><?=$row_field['title']?></b></label></div>
						<?=$notice?>
					</div>

					<?php

				}

			}

			// Целое число
			if($row_field['field_type']=='fields_int')
			{

				if($check_fields->FieldDisplay($row_field['id'],$data_fields_name,$page_data_type)!=false)
				{

					$value_default=($row_field['value']!='') ? $row_field['value'] : '';
					$length=($row_field['length']!=0) ? $row_field['length'] : 18;
					$notice=($row_field['notice']!='') ? '<p class="form-text text-muted">'.$row_field['notice'].'</p>' : '';

					?>

					<div class='form-group'>
						<label><b><?=$row_field['title']?>:</b></label>
						<input type="text" name="fields_int<?=$row_field['id']?>" class="form-control" maxlength="<?=$length?>" value="<?=$value_default?>">
						<?=$notice?>
					</div>

					<?php

				}

			}

			// Дробное число
			if($row_field['field_type']=='fields_decimal')
			{

				if($check_fields->FieldDisplay($row_field['id'],$data_fields_name,$page_data_type)!=false)
				{

					$value_default=($row_field['value']!='') ? $row_field['value'] : '';
					$length=($row_field['length']!=0) ? $row_field['length'] : 21;
					$notice=($row_field['notice']!='') ? '<p class="form-text text-muted">'.$row_field['notice'].'</p>' : '';

					?>

					<div class='form-group'>
						<label><b><?=$row_field['title']?>:</b></label>
						<input type="text" name="fields_decimal<?=$row_field['id']?>" class="form-control" maxlength="<?=$length?>" value="<?=$value_default?>">
						<?=$notice?>
					</div>

					<?php

				}

			}

			// Текст
			if($row_field['field_type']=='fields_text')
			{

				if($check_fields->FieldDisplay($row_field['id'],$data_fields_name,$page_data_type)!=false)
				{

					$length=($row_field['length']!=0) ? $row_field['length'] : 65535;
					$notice=($row_field['notice']!='') ? '<p class="form-text text-muted">'.$row_field['notice'].'</p>' : '';

					if($row_field['editor']==0)
					{
						$field_class='demo';
					}
					elseif($row_field['editor']==1)
					{
						$field_class='text tinymce';
					}
					elseif($row_field['editor']==2)
					{
						$field_class='demo codemirror';
					}

					?>

					<div class='form-group'>
						<label><b><?=$row_field['title']?>:</b></label>
						<textarea name="fields_text<?=$row_field['id']?>" class="form-control <?=$field_class?>" maxlength="<?=$length?>"></textarea>
						<?=$notice?>
					</div>

					<?php

				}

			}

			// Список однозначный
			if($row_field['field_type']=='fields_select')
			{

				if($check_fields->FieldDisplay($row_field['id'],$data_fields_name,$page_data_type)!=false)
				{

					$notice=($row_field['notice']!='') ? '<p class="form-text text-muted">'.$row_field['notice'].'</p>' : '';

					?>

					<div class='form-group'>
						<label><b><?=$row_field['title']?>:</b></label>

						<select name="fields_select<?=$row_field['id']?>" class="form-control">
							<option value="0">-- Не выбрано --</option>

							<?php

							$result_select=mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_select_list where name='.$row_field['id'].' order by number asc, id asc');
							while($row_select=mysqli_fetch_array($result_select))
							{

								?><option value='<?=$row_select['id']?>'><?=$row_select['value']?></option><?php

							}

							?>

						</select>

						<?=$notice?>

					</div>

					<?php

				}

			}

			// Список многозначный
			if($row_field['field_type']=='fields_select_multiple')
			{

				if($check_fields->FieldDisplay($row_field['id'],$data_fields_name,$page_data_type)!=false)
				{

					$notice=($row_field['notice']!='') ? '<p class="form-text text-muted">'.$row_field['notice'].'</p>' : '';

					?>

					<div class='form-group'>
						<label><b><?=$row_field['title']?>:</b></label>

							<?php

							$result_select=mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_select_list where name='.$row_field['id'].' order by number asc, id asc');
							while($row_select=mysqli_fetch_array($result_select))
							{

								?><div><label><input type='checkbox' name='fields_select_multiple<?=$row_field['id']?>[]' value='<?=$row_select['id']?>'> <?=$row_select['value']?></label></div><?php

							}

							?>

						<?=$notice?>

					</div>

					<?php

				}

			}

			// Дата
			if($row_field['field_type']=='fields_date')
			{

				if($check_fields->FieldDisplay($row_field['id'],$data_fields_name,$page_data_type)!=false)
				{

					$length=($row_field['length']!=0) ? $row_field['length'] : 19;
					$notice=($row_field['notice']!='') ? '<p class="form-text text-muted">'.$row_field['notice'].'</p>' : '';

					?>

					<div class='form-group'>
						<label class="d-block"><b><?=$row_field['title']?>:</b></label>
						<input type="text" name="fields_date<?=$row_field['id']?>" class="form-control datetimepicker" maxlength="<?=$length?>" autocomplete="off">
						<?=$notice?>
					</div>

					<?php

				}

			}

			// Изображение
			if($row_field['field_type']=='fields_image')
			{

				if($check_fields->FieldDisplay($row_field['id'],$data_fields_name,$page_data_type)!=false)
				{

					$width_big = ($row_field['width_big']!=0) ? 'value="'.$row_field['width_big'].'"' : '';
					$width_small = ($row_field['width_small']!=0) ? 'value="'.$row_field['width_small'].'"' : '';
					$block_width_id = ($row_field['width_big']==0 && $row_field['width_small']==0) ? 'id="image-width'.$row_field['id'].'"' : '';
					$notice=($row_field['notice']!='') ? '<p class="form-text text-muted">'.$row_field['notice'].'</p>' : '';

					?>

					<script>
						$(document).ready(function(){
							$('#image<?=$row_field['id']?>').change(function()
							{
								if($(this).val().length > 0)
								{
									$('#image-width<?=$row_field['id']?>').removeClass('d-none');
								}
								else
								{
									$('#image-width<?=$row_field['id']?>').addClass('d-none');
								}
							});
						});
					</script>

					<div class='form-group'>
						<label><b><?=$row_field['title']?>:</b></label>
						<input type='file' name='fields_image<?=$row_field['id']?>' accept='image/*' id='image<?=$row_field['id']?>' class='filestyle' data-buttonBefore='true'>
						<?=$notice?>
					</div>
					<div class='form-group d-none' <?=$block_width_id?>>
						<div class="d-flex">
							<div class="mr-2">
								<input type='text' class='form-control text-center number-width' name='image_width_big<?=$row_field['id']?>' <?=$width_big?> maxlength="5">
								<p class='form-text text-muted text-center'>Большой</p>
							</div>
							<div>
								<input type='text' class='form-control text-center number-width' name='image_width_small<?=$row_field['id']?>' <?=$width_small?> maxlength="5">
								<p class='form-text text-muted text-center'>Малый</p>
							</div>
						</div>

					</div>

					<?php

				}

			}

			// Галерея
			if($row_field['field_type']=='fields_gallery')
			{

				if($check_fields->FieldDisplay($row_field['id'],$data_fields_name,$page_data_type)!=false)
				{

					$notice=($row_field['notice']!='') ? '<p class="form-text text-muted">'.$row_field['notice'].'</p>' : '';

					?>

					<div class='form-group'>
						<label><b><?=$row_field['title']?>:</b></label>
						<div class="form-row">
							<div class='col-md-3'>
								<input type='file' name='fields_gallery<?=$row_field['id']?>[]' multiple accept='image/*' class='filestyle' data-buttonBefore='true' data-buttonText=''>
							</div>
						</div>
						<?=$notice?>
					</div>

					<?php

				}

			}

			// Файл
			if($row_field['field_type']=='fields_file')
			{

				if($check_fields->FieldDisplay($row_field['id'],$data_fields_name,$page_data_type)!=false)
				{

					$notice=($row_field['notice']!='') ? '<p class="form-text text-muted">'.$row_field['notice'].'</p>' : '';

					?>

					<div class='form-group'>
						<label><b><?=$row_field['title']?>:</b></label>
						<input type='file' name='fields_file<?=$row_field['id']?>' class='filestyle' data-buttonBefore='true'>
						<?=$notice?>
					</div>

					<?php

				}

			}

			// Архив
			if($row_field['field_type']=='fields_archive')
			{

				if($check_fields->FieldDisplay($row_field['id'],$data_fields_name,$page_data_type)!=false)
				{

					$notice=($row_field['notice']!='') ? '<p class="form-text text-muted">'.$row_field['notice'].'</p>' : '';

					?>

					<div class='form-group'>
						<label><b><?=$row_field['title']?>:</b></label>
						<div class="form-row">
							<div class='col-md-3'>
								<input type='file' name='fields_archive<?=$row_field['id']?>[]' multiple class='filestyle' data-buttonBefore='true'>
							</div>
						</div>
						<?=$notice?>
					</div>

					<?php

				}

			}

		}

	}


	// Отображение полей при редактировании страницы / элемента / блока статического
	public static function Edit( $element_type, $element_id, $section_id, $page_data_type=0, $data_fields_name='', $field_dynamic_section=0  )
	{

		$mysqli = db_mysqli();

		$check_fields = new Fields; // метод проверки отображения поля

		$dynamic_section = ($field_dynamic_section!=0) ? '&& dynamic_section='.$field_dynamic_section : '';

		$result_field=mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_name where section='.$section_id.' && element_type="'.$element_type.'" '.$dynamic_section.' order by number asc, id asc');
		while($row_field=mysqli_fetch_array($result_field))
		{

			// Строка
			if($row_field['field_type']=='fields_varchar')
			{

				if($check_fields->FieldDisplay($row_field['id'],$data_fields_name,$page_data_type)!=false)
				{

					if(count_query('SELECT id from '.DB_PREFIX.'fields_varchar where name="'.$row_field['id'].'" && element="'.$element_id.'"')>0)
					{
						$row_value=mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT value from '.DB_PREFIX.'fields_varchar where name="'.$row_field['id'].'" && element="'.$element_id.'"'));
						$field_value=htmlspecialchars($row_value['value'],ENT_QUOTES);
					}
					else
					{
						$field_value='';
					}

					$length=($row_field['length']!=0) ? $row_field['length'] : 255;
					$notice=($row_field['notice']!='') ? '<p class="form-text text-muted">'.$row_field['notice'].'</p>' : '';

					?>

					<div class='form-group'>
						<label><b><?=$row_field['title']?>:</b></label>
						<input type="text" name="fields_varchar<?=$row_field['id']?>" value="<?=$field_value?>" class="form-control" maxlength="<?=$length?>">
						<?=$notice?>
					</div>

					<?php
				}

			}

			// Булево значение
			if($row_field['field_type']=='fields_boolean')
			{

				if($check_fields->FieldDisplay($row_field['id'],$data_fields_name,$page_data_type)!=false)
				{

					if(count_query('SELECT id from '.DB_PREFIX.'fields_boolean where name="'.$row_field['id'].'" && element="'.$element_id.'"')>0)
					{
						$field_checked = 'checked';
					}
					else
					{
						$field_checked = '';
					}

					$notice=($row_field['notice']!='') ? '<p class="form-text text-muted">'.$row_field['notice'].'</p>' : '';

					?>

					<div class='form-group'>
						<input type="hidden" name="fields_boolean<?=$row_field['id']?>" value="0" checked>
						<div><label><input type='checkbox' name='fields_boolean<?=$row_field['id']?>' value='1' <?=$field_checked?>> <b><?=$row_field['title']?></b></label></div>
						<?=$notice?>
					</div>

					<?php

				}

			}

			// Целое число
			if($row_field['field_type']=='fields_int')
			{

				if($check_fields->FieldDisplay($row_field['id'],$data_fields_name,$page_data_type)!=false)
				{

					if(count_query('SELECT id from '.DB_PREFIX.'fields_int where name="'.$row_field['id'].'" && element="'.$element_id.'"')>0)
					{
						$row_value=mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT value from '.DB_PREFIX.'fields_int where name="'.$row_field['id'].'" && element="'.$element_id.'"'));
						$field_value=htmlspecialchars($row_value['value'],ENT_QUOTES);
					}
					else
					{
						$field_value=($row_field['value']!='') ? $row_field['value'] : '';
					}

					$length=($row_field['length']!=0) ? $row_field['length'] : 18;
					$notice=($row_field['notice']!='') ? '<p class="form-text text-muted">'.$row_field['notice'].'</p>' : '';

					?>

					<div class='form-group'>
						<label><b><?=$row_field['title']?>:</b></label>
						<input type="text" name="fields_int<?=$row_field['id']?>" value="<?=$field_value?>" class="form-control" maxlength="<?=$length?>">
						<?=$notice?>
					</div>

					<?php

				}

			}

			// Дробное число
			if($row_field['field_type']=='fields_decimal')
			{

				if($check_fields->FieldDisplay($row_field['id'],$data_fields_name,$page_data_type)!=false)
				{

					if(count_query('SELECT id from '.DB_PREFIX.'fields_decimal where name="'.$row_field['id'].'" && element="'.$element_id.'"')>0)
					{
						$row_value=mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT value from '.DB_PREFIX.'fields_decimal where name="'.$row_field['id'].'" && element="'.$element_id.'"'));
						$field_value=htmlspecialchars($row_value['value'],ENT_QUOTES);
					}
					else
					{
						$field_value=($row_field['value']!='') ? htmlspecialchars($row_field['value'],ENT_QUOTES) : '';
					}

					$length=($row_field['length']!=0) ? $row_field['length'] : 21;
					$notice=($row_field['notice']!='') ? '<p class="form-text text-muted">'.$row_field['notice'].'</p>' : '';

					?>

					<div class='form-group'>
						<label><b><?=$row_field['title']?>:</b></label>
						<input type="text" name="fields_decimal<?=$row_field['id']?>" value="<?=$field_value?>" class="form-control" maxlength="<?=$length?>">
						<?=$notice?>
					</div>

					<?php

				}

			}

			// Текст
			if($row_field['field_type']=='fields_text')
			{

				if($check_fields->FieldDisplay($row_field['id'],$data_fields_name,$page_data_type)!=false)
				{

					if(count_query('SELECT id from '.DB_PREFIX.'fields_text where name="'.$row_field['id'].'" && element="'.$element_id.'"')>0)
					{
						$row_value=mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT value from '.DB_PREFIX.'fields_text where name="'.$row_field['id'].'" && element="'.$element_id.'"'));
						$field_value=htmlspecialchars($row_value['value'],ENT_QUOTES);
					}
					else
					{
						$field_value='';
					}

					$length=($row_field['length']!=0) ? $row_field['length'] : 65535;
					$notice=($row_field['notice']!='') ? '<p class="form-text text-muted">'.$row_field['notice'].'</p>' : '';

					if($row_field['editor']==0)
					{
						$field_class='demo';
					}
					elseif($row_field['editor']==1)
					{
						$field_class='text tinymce';
					}
					elseif($row_field['editor']==2)
					{
						$field_class='demo codemirror';
					}

					?>

					<div class='form-group'>
						<label><b><?=$row_field['title']?>:</b></label>
						<textarea name="fields_text<?=$row_field['id']?>" class="form-control <?=$field_class?>" maxlength="<?=$length?>"><?=$field_value?></textarea>
						<?=$notice?>
					</div>

					<?php

				}

			}

			// Список однозначный
			if($row_field['field_type']=='fields_select')
			{

				if($check_fields->FieldDisplay($row_field['id'],$data_fields_name,$page_data_type)!=false)
				{

					$notice=($row_field['notice']!='') ? '<p class="form-text text-muted">'.$row_field['notice'].'</p>' : '';

					?>

					<div class='form-group'>
						<label><b><?=$row_field['title']?>:</b></label>

						<select name="fields_select<?=$row_field['id']?>" class="form-control">
							<option value="0">-- Не выбрано --</option>

							<?php

							$result_select=mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_select_list where name='.$row_field['id'].' order by number asc, id asc');
							while($row_select=mysqli_fetch_array($result_select))
							{

								?><option value='<?=$row_select['id']?>'<?php

								if(count_query('SELECT id from '.DB_PREFIX.'fields_select where name='.$row_field['id'].' && element='.$element_id.' && value='.$row_select['id'])>0)
								{
									echo 'selected';
								}

								?>><?=$row_select['value']?></option><?php

							}

							?>

						</select>

						<?=$notice?>

					</div>

					<?php

				}

			}

			// Список многозначный
			if($row_field['field_type']=='fields_select_multiple')
			{

				if($check_fields->FieldDisplay($row_field['id'],$data_fields_name,$page_data_type)!=false)
				{

					if(count_query('SELECT id from '.DB_PREFIX.'fields_select_multiple where name="'.$row_field['id'].'" && element="'.$element_id.'"')>0)
					{
						$row_value=mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT value from '.DB_PREFIX.'fields_select_multiple where name="'.$row_field['id'].'" && element="'.$element_id.'"'));
						$field_value=$row_value['value'];
					}
					else
					{
						$field_value='';
					}

					$notice=($row_field['notice']!='') ? '<p class="form-text text-muted">'.$row_field['notice'].'</p>' : '';

					?>

					<div class='form-group'>
						<label><b><?=$row_field['title']?>:</b></label>

						<input type='hidden' name="fields_select_multiple<?=$row_field['id']?>" value="">

						<?php

						$result_select=mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_select_list where name='.$row_field['id'].' order by number asc, id asc');
						while($row_select=mysqli_fetch_array($result_select))
						{

							?>

							<div><label><input type='checkbox' name='fields_select_multiple<?=$row_field['id']?>[]' value='<?=$row_select['id']?>'

								<?php if(preg_match('/\b'.$row_select['id'].'\b/',$field_value)){echo'checked';} ?>

								> <?=$row_select['value']?></label></div>

								<?php

							}

							?>

							<?=$notice?>

					</div>

					<?php

				}

			}

			// Дата
			if($row_field['field_type']=='fields_date')
			{

				if($check_fields->FieldDisplay($row_field['id'],$data_fields_name,$page_data_type)!=false)
				{

					if(count_query('SELECT id from '.DB_PREFIX.'fields_date where name="'.$row_field['id'].'" && element="'.$element_id.'"')>0)
					{
						$row_value=mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT value from '.DB_PREFIX.'fields_date where name="'.$row_field['id'].'" && element="'.$element_id.'"'));
						$field_value=htmlspecialchars($row_value['value'],ENT_QUOTES);
					}
					else
					{
						$field_value='';
					}

					$length=($row_field['length']!=0) ? $row_field['length'] : 19;
					$notice=($row_field['notice']!='') ? '<p class="form-text text-muted">'.$row_field['notice'].'</p>' : '';

					?>

					<div class='form-group'>
						<label class="d-block"><b><?=$row_field['title']?>:</b></label>
						<input type="text" name="fields_date<?=$row_field['id']?>" value="<?=$field_value?>" class="form-control datetimepicker" maxlength="<?=$length?>" autocomplete="off">
						<?=$notice?>
					</div>

					<?php

				}

			}

			// Изображение
			if($row_field['field_type']=='fields_image')
			{

				if($check_fields->FieldDisplay($row_field['id'],$data_fields_name,$page_data_type)!=false)
				{

					$row_value=mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_image where name="'.$row_field['id'].'" && element="'.$element_id.'"'));

					if(count_query('SELECT id from '.DB_PREFIX.'fields_image where name="'.$row_field['id'].'" && element="'.$element_id.'"')>0)
					{
						$image_big = $row_value['image_big'];
						$image_small = $row_value['image_small'];
						$image_original = $row_value['image_original'];
					}
					else
					{
						$image_big = '';
						$image_small = '';
						$image_original = '';
					}

					$width_big = ($row_field['width_big']!=0) ? 'value="'.$row_field['width_big'].'"' : '';
					$width_small = ($row_field['width_small']!=0) ? 'value="'.$row_field['width_small'].'"' : '';
					$block_width_id = ($row_field['width_big']==0 && $row_field['width_small']==0) ? 'id="image-width'.$row_field['id'].'"' : '';
					$notice=($row_field['notice']!='') ? '<p class="form-text text-muted">'.$row_field['notice'].'</p>' : '';

					?>

					<script>
						$(document).ready(function(){
							$('#image<?=$row_field['id']?>').change(function()
							{
								if($(this).val().length > 0)
								{
									$('#image-width<?=$row_field['id']?>').removeClass('d-none');
								}
								else
								{
									$('#image-width<?=$row_field['id']?>').addClass('d-none');
								}
							});
						});
					</script>

					<div class='form-group'>
						<label><b><?=$row_field['title']?>:</b></label>

						<?php	if($image_small!=''): ?>
							&nbsp;<a href='/cms/pages-images/<?=$image_small?>' target='_blank' data-fancybox data-caption='<a href="_delete.php?file_name=<?=$image_small?>&field_type=fields_image&field_type_value=image_small&field_id=<?=$row_value['id']?>" class="btn btn-danger">Удалить</a>' class="tooltip-element" title="Малый эскиз"><span class='glyphicon glyphicon-picture'></span></a>
						<?php endif; ?>
						<?php	if($image_big!=''): ?>
							&nbsp;<a href='/cms/pages-images/<?=$image_big?>' target='_blank' data-fancybox data-caption='<a href="_delete.php?file_name=<?=$image_big?>&field_type=fields_image&field_type_value=image_big&field_id=<?=$row_value['id']?>" class="btn btn-danger">Удалить</a>' class="tooltip-element" title="Большой эскиз"><span class='glyphicon glyphicon-picture'></span></a>
						<?php endif; ?>
						<?php	if($image_original!=''): ?>
							&nbsp;<a href='/cms/pages-images/<?=$image_original?>' target='_blank' data-fancybox data-caption='<a href="_delete.php?file_name=<?=$image_original?>&field_type=fields_image&field_type_value=image_original&field_id=<?=$row_value['id']?>" class="btn btn-danger">Удалить</a>' class="tooltip-element" title="Оригинальное изображение"><span class='glyphicon glyphicon-picture'></span></a>
						<?php endif; ?>

						<input type='file' name='fields_image<?=$row_field['id']?>' accept='image/*' id='image<?=$row_field['id']?>' class='filestyle' data-buttonBefore='true'>
						<?=$notice?>
					</div>
					<div class='form-group d-none' <?=$block_width_id?>>
						<div class="d-flex">
							<div class="mr-2">
								<input type='text' class='form-control text-center number-width' name='image_width_big<?=$row_field['id']?>' <?=$width_big?> maxlength="5">
								<p class='form-text text-muted text-center'>Большой</p>
							</div>
							<div>
								<input type='text' class='form-control text-center number-width' name='image_width_small<?=$row_field['id']?>' <?=$width_small?> maxlength="5">
								<p class='form-text text-muted text-center'>Малый</p>
							</div>
						</div>
					</div>

					<?php

				}

			}

			// Галерея
			if($row_field['field_type']=='fields_gallery')
			{

				if($check_fields->FieldDisplay($row_field['id'],$data_fields_name,$page_data_type)!=false)
				{

					$notice=($row_field['notice']!='') ? '<p class="form-text text-muted">'.$row_field['notice'].'</p>' : '';
					$count_images = count_query('SELECT id from '.DB_PREFIX.'fields_gallery where name = '.$row_field['id'].' && element = '.$element_id)

					?>

					<div class='form-group'>
						<label><a href='gallery.php?field=<?=$row_field['id']?>&element=<?=$element_id?>'><b><?=$row_field['title']?> (<?=$count_images?>):</b></a></label>
						<div class="form-row">
							<div class='col-md-3'>
								<input type='file' name='fields_gallery<?=$row_field['id']?>[]' multiple accept='image/*' class='filestyle' data-buttonBefore='true' data-buttonText=''>
							</div>
						</div>
						<?=$notice?>
					</div>

					<?php

				}

			}

			// Файл
			if($row_field['field_type']=='fields_file')
			{

				if($check_fields->FieldDisplay($row_field['id'],$data_fields_name,$page_data_type)!=false)
				{

					if(count_query('SELECT id from '.DB_PREFIX.'fields_file where name="'.$row_field['id'].'" && element="'.$element_id.'"')>0)
					{
						$row_value=mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT value from '.DB_PREFIX.'fields_file where name="'.$row_field['id'].'" && element="'.$element_id.'"'));
						$field_value=$row_value['value'];
					}
					else
					{
						$field_value='';
					}

					$notice=($row_field['notice']!='') ? '<p class="form-text text-muted">'.$row_field['notice'].'</p>' : '';

					?>

					<div class='form-group'>
						<label><b><?=$row_field['title']?>:</b></label>
						<?php	if($field_value!=''): ?>

							<a href='/cms/pages-files/<?=$field_value?>' target='_blank' download><span class='glyphicon glyphicon-download-alt'></span></a> <a href='#' class='text-danger' data-target='#modal<?=$row_field['id']?>' data-toggle='modal'><span class='glyphicon glyphicon-remove'></span></a>

							<div class='modal fade' id='modal<?=$row_field['id']?>' tabindex='-1' role='dialog' aria-hidden='true'>
								<div class='modal-dialog modal-sm'>
									<div class='modal-content'>
										<div class='modal-body'>
											<h5 class="text-center">Вы действительно хотите удалить этот файл?</h5>
										</div>
										<div class='modal-footer'>
											<a href='_delete.php?file_name=<?=$field_value?>&field_type=fields_file' class='btn btn-danger'>Удалить навсегда</a> <button type='button' class='btn btn-secondary' data-dismiss='modal'>Закрыть</button>
										</div>
									</div>
								</div>
							</div>

						<?php endif; ?>
						<input type='file' name='fields_file<?=$row_field['id']?>' class='filestyle' data-buttonBefore='true'>
						<?=$notice?>
					</div>

					<?php

				}

			}

			// Архив
			if($row_field['field_type']=='fields_archive')
			{

				if($check_fields->FieldDisplay($row_field['id'],$data_fields_name,$page_data_type)!=false)
				{

					$notice=($row_field['notice']!='') ? '<p class="form-text text-muted">'.$row_field['notice'].'</p>' : '';
					$count_files = count_query('SELECT id from '.DB_PREFIX.'fields_archive where name = '.$row_field['id'].' && element = '.$element_id);

					?>

					<div class='form-group'>
						<label><a href='archive.php?field=<?=$row_field['id']?>&element=<?=$element_id?>'><b><?=$row_field['title']?> (<?=$count_files?>):</b></a></label>
						<div class="form-row">
							<div class='col-md-3'>
								<input type='file' name='fields_archive<?=$row_field['id']?>[]' multiple class='filestyle' data-buttonBefore='true' data-buttonText=''>
							</div>
						</div>
						<?=$notice?>
					</div>

					<?php

				}

			}

			// Массив данных
			if($row_field['field_type']=='fields_array')
			{

				if($check_fields->FieldDisplay($row_field['id'],$data_fields_name,$page_data_type)!=false)
				{

					$notice=($row_field['notice']!='') ? '<p class="form-text text-muted mb-0">'.$row_field['notice'].'</p>' : '';

					if(count_query('SELECT id from '.DB_PREFIX.'fields_array where name = '.$row_field['id'].' && element = '.$element_id) > 0)
					{
						$row_array = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT value from '.DB_PREFIX.'fields_array where name = '.$row_field['id'].' && element = '.$element_id));
						$array_value = explode(' ',$row_array['value']);
						$count_elements = count($array_value);
					}
					else
					{
						$count_elements = 0;
					}

					?>

					<div class='form-group'>
						<blockquote>
							<label><b><?=$row_field['title']?></b></label><br>
							<a href="fields_array.php?add&field=<?=$row_field['id']?>&element=<?=$element_id?>">Добавить</a> |
							<a href='fields_array.php?field=<?=$row_field['id']?>&element=<?=$element_id?>'>Редактировать (<?=$count_elements?>)</a>
							<?=$notice?>
						</blockquote>
					</div>

					<?php

				}

			}

			// Динамический блок
			if($row_field['field_type']=='fields_elements')
			{

				if($check_fields->FieldDisplay($row_field['id'],$data_fields_name,$page_data_type)!=false)
				{

					$notice=($row_field['notice']!='') ? '<p class="form-text text-muted mb-0">'.$row_field['notice'].'</p>' : '';
					$count_elements = count_query('SELECT id from '.DB_PREFIX.'fields_elements where name = '.$row_field['id'].' && element = '.$element_id);

					?>

					<div class='form-group'>
						<blockquote>
							<label><b><?=$row_field['title']?></b></label><br>
							<a href="fields_elements.php?new&field=<?=$row_field['id']?>&element=<?=$element_id?>">Добавить</a> |
							<a href='fields_elements.php?field=<?=$row_field['id']?>&element=<?=$element_id?>'>Редактировать (<?=$count_elements?>)</a>
							<?=$notice?>
						</blockquote>
					</div>

					<?php

				}

			}

		}

	}


	// Запись данных при создании страницы / элемента
	public static function InsertRecord( $element_id, $date_time_default, $admin_id )
	{

		$mysqli = db_mysqli();

		// Запись дополнительных полей: текст
		foreach ($_POST as $field_key=>$field_value)
		{

			// Строка
			$field_pos=strpos($field_key,'fields_varchar');
			if($field_pos!==false)
			{
				if(trim($field_value)!='')
				{
					mysqli_query($mysqli,"INSERT INTO ".DB_PREFIX."fields_varchar (name, element, value)
						VALUES ('".str_replace('fields_varchar','',$field_key)."', '$element_id', '".mysqli_escape_string($mysqli,$field_value)."')");
				}
			}

			// Булево значение
			$field_pos=strpos($field_key,'fields_boolean');
			if($field_pos!==false && $field_value==1)
			{
				mysqli_query($mysqli,"INSERT INTO ".DB_PREFIX."fields_boolean (name, element, value)
					VALUES ('".str_replace('fields_boolean','',$field_key)."', '$element_id', '".mysqli_escape_string($mysqli,$field_value)."')");
			}

			// Целое число
			$field_pos=strpos($field_key,'fields_int');
			if($field_pos!==false)
			{

				// Значение по умолчанию
				$row_int=mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT value from '.DB_PREFIX.'fields_name where id = '.str_replace('fields_int','',$field_key)));

				// Удаление лишних символов
				$field_value = preg_replace('/[^0-9]/','',$field_value);

				// Если в поле введено значение
				if(trim($field_value)!='')
				{
					// Запись в базу
					mysqli_query($mysqli,"INSERT INTO ".DB_PREFIX."fields_int (name, element, value)
						VALUES ('".str_replace('fields_int','',$field_key)."', '$element_id', '".mysqli_escape_string($mysqli,$field_value)."')");
				}
				// Если в поле не введено значение, то существует значение по умолчанию
				elseif(trim($row_int['value'])!='')
				{
					$field_value = preg_replace('/[^0-9]/','',trim($row_int['value']));

					mysqli_query($mysqli,"INSERT INTO ".DB_PREFIX."fields_int (name, element, value)
						VALUES ('".str_replace('fields_int','',$field_key)."', '$element_id', '".mysqli_escape_string($mysqli,$field_value)."')");
				}
			}

			// Дробное число
			$field_pos=strpos($field_key,'fields_decimal');
			if($field_pos!==false)
			{

				// Значение по умолчанию
				$row_decimal=mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT value from '.DB_PREFIX.'fields_name where id = '.str_replace('fields_decimal','',$field_key)));

				// Если в поле введено значение
				if(trim($field_value)!='')
				{
					// Удаление лишних символов
					$field_value = str_replace(',','.',$field_value);
					$field_value = preg_replace('/[^0-9.]/','',$field_value);

					// Запись в базу
					mysqli_query($mysqli,"INSERT INTO ".DB_PREFIX."fields_decimal (name, element, value)
						VALUES ('".str_replace('fields_decimal','',$field_key)."', '$element_id', '".mysqli_escape_string($mysqli,$field_value)."')");
				}
				// Если в поле не введено значение, то существует значение по умолчанию
				elseif(trim($row_decimal['value'])!='')
				{
					$field_value = str_replace(',','.',trim($row_decimal['value']));
					$field_value = preg_replace('/[^0-9.]/','',$field_value);

					mysqli_query($mysqli,"INSERT INTO ".DB_PREFIX."fields_decimal (name, element, value)
						VALUES ('".str_replace('fields_decimal','',$field_key)."', '$element_id', '".mysqli_escape_string($mysqli,$field_value)."')");
				}
			}

			// Текст
			$field_pos=strpos($field_key,'fields_text');
			if($field_pos!==false)
			{
				if(trim($field_value)!='')
				{
					mysqli_query($mysqli,"INSERT INTO ".DB_PREFIX."fields_text (name, element, value)
						VALUES ('".str_replace('fields_text','',$field_key)."', '$element_id', '".mysqli_escape_string($mysqli,$field_value)."')");
				}
			}

			// Список однозначный
			$field_pos=strpos($field_key,'fields_select');
			if($field_pos!==false)
			{
				if(!is_array($field_value))
				{
					if(trim($field_value)!=0)
					{
						mysqli_query($mysqli,"INSERT INTO ".DB_PREFIX."fields_select (name, element, value)
							VALUES ('".str_replace('fields_select','',$field_key)."', '$element_id', '".mysqli_escape_string($mysqli,$field_value)."')");
					}
				}
			}

			// Список многозначный
			$field_pos=strpos($field_key,'fields_select_multiple');
			if($field_pos!==false)
			{
				if(!empty($field_value))
				{
					mysqli_query($mysqli,"INSERT INTO ".DB_PREFIX."fields_select_multiple (name, element, value)
						VALUES ('".str_replace('fields_select_multiple','',$field_key)."', '$element_id', '".mysqli_escape_string($mysqli,implode(' ',$field_value))."')");
				}
			}

			// Дата
			$field_pos=strpos($field_key,'fields_date');
			if($field_pos!==false)
			{
				if(trim($field_value)!='')
				{
					mysqli_query($mysqli,"INSERT INTO ".DB_PREFIX."fields_date (name, element, value)
						VALUES ('".str_replace('fields_date','',$field_key)."', '$element_id', '".mysqli_escape_string($mysqli,$field_value)."')");
				}
			}

		}

		// Запись дополнительных полей: файлы
		foreach ($_FILES as $field_key=>$field_value)
		{

			// Изображение
			$field_pos=strpos($field_key,'fields_image');
			if($field_pos!==false)
			{

				if($_FILES[$field_key]['name']!='' && is_uploaded_file($_FILES[$field_key]['tmp_name']))
				{

					// Проверка, является ли загруженный файл изображением
					if( file_check( $_FILES[$field_key]['tmp_name'], 'img' ) )
					{

						$field_number = str_replace('fields_image','',$field_key);

						$field_image_width_big = 'image_width_big'.str_replace('fields_image','',$field_key); // значение ширины большого эскиза
						$field_image_width_small = 'image_width_small'.str_replace('fields_image','',$field_key); // значение ширины малого эскиза

						$image_width_big = trim($_POST[$field_image_width_big]);
						$image_width_small = trim($_POST[$field_image_width_small]);

						$file_extension = ( $image_width_big=='' || $image_width_big==0 || $image_width_small=='' || $image_width_small==0 ) ? pathinfo($_FILES[$field_key]['name'],PATHINFO_EXTENSION) : 'jpg';

						mysqli_query($mysqli,"INSERT INTO ".DB_PREFIX."fields_image (name, element)
							VALUES ('".str_replace('fields_image','',$field_key)."', '$element_id')");

						// Определяем последний ID
						$row_last_id=mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT id from '.DB_PREFIX.'fields_image order by id desc'));
						$field_last_id=$row_last_id['id'];

						$row_original = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT original from '.DB_PREFIX.'fields_name where id = '.$field_number));

						// Большой эскиз
						if( $image_width_big!='' && $image_width_big!=0 )
						{
							// Имя нового изображения
							$file_name = $field_last_id.'-'.$image_width_big.'.jpg';

							mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'fields_image SET	image_big="'.mysqli_escape_string($mysqli,$file_name).'"
								where name="'.str_replace('fields_image','',$field_key).'" && element="'.$element_id.'"');

							// Загрузка и обработка изображения
							$field_string=
							[
								'image_id' => $field_last_id,
								'image_name' => $_FILES[$field_key]['name'],
								'image_tmp_name' => $_FILES[$field_key]['tmp_name'],
								'image_width' => $image_width_big,
								'image_type' => 'big'
							];

							upload_image($field_string);
						}

						// Малый эскиз
						if( $image_width_small!='' && $image_width_small!=0 )
						{
							// Имя нового изображения
							$file_name = $field_last_id.'-'.$image_width_small.'.jpg';

							mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'fields_image SET	image_small="'.mysqli_escape_string($mysqli,$file_name).'"
								where name="'.str_replace('fields_image','',$field_key).'" && element="'.$element_id.'"');

							// Загрузка и обработка изображения
							$field_string=
							[
								'image_id' => $field_last_id,
								'image_name' => $_FILES[$field_key]['name'],
								'image_tmp_name' => $_FILES[$field_key]['tmp_name'],
								'image_width' => $image_width_small,
								'image_type' => 'small'
							];

							upload_image($field_string);
						}

						// Сохраняем оригинал
						if(
							($image_width_big == '' && $image_width_small == '') ||
							$row_original['original'] == 1
						)
						{
							// Имя нового изображения
							$file_name = $field_last_id.'.'.pathinfo($_FILES[$field_key]['name'],PATHINFO_EXTENSION);

							mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'fields_image SET	image_original="'.mysqli_escape_string($mysqli,$file_name).'"
								where name="'.str_replace('fields_image','',$field_key).'" && element="'.$element_id.'"');

							// Загрузка и обработка изображения
							$field_string=
							[
								'image_id' => $field_last_id,
								'image_name' => $_FILES[$field_key]['name'],
								'image_tmp_name' => $_FILES[$field_key]['tmp_name'],
								'image_width' => '',
								'image_type' => 'original'
							];

							upload_image($field_string);
						}

					}
					else
					{
						?>

						<div class='bd-callout'>
							<h4>Файл <?=$_FILES[$field_key]['name']?> не является изображением!</h4>
						</div>

						<?php
					}

				}

			}

			// Галерея
			$field_pos=strpos($field_key,'fields_gallery');
			if($field_pos!==false)
			{

				$field_number = str_replace('fields_gallery','',$field_key);

				$row_settings = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT width_big, width_small, original from '.DB_PREFIX.'fields_name where id = '.$field_number));

				$array_string = [
				'field_number' => $field_number,
				'image_name' => $_FILES[$field_key]['name'],
				'image_tmp_name' => $_FILES[$field_key]['tmp_name'],
				'image_big_width' => $row_settings['width_big'],
				'image_small_width' => $row_settings['width_small'],
				'image_original' => $row_settings['original'],
				'element_id' => $element_id,
				'date_time_default' => $date_time_default,
				'admin_id' => $admin_id
				];

				upload_gallery($array_string);

			}

			// Файл
			$field_pos=strpos($field_key,'fields_file');
			if($field_pos!==false)
			{

				if($_FILES[$field_key]['name']!='' && is_uploaded_file($_FILES[$field_key]['tmp_name']))
				{

					$file_extension=pathinfo($_FILES[$field_key]['name'],PATHINFO_EXTENSION);

					mysqli_query($mysqli,"INSERT INTO ".DB_PREFIX."fields_file (name, element)
						VALUES ('".str_replace('fields_file','',$field_key)."', '$element_id')");

					// Определяем последний ID
					$row_last_id=mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT id from '.DB_PREFIX.'fields_file order by id desc'));
					$field_last_id=$row_last_id['id'];

					// Имя нового файла
					$file_name=$field_last_id.'.'.$file_extension;

					mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'fields_file SET	value="'.mysqli_escape_string($mysqli,$file_name).'"
						where name="'.str_replace('fields_file','',$field_key).'" && element="'.$element_id.'"');

					// Загрузка и обработка изображения
					$field_string=
					[
						'file_id' => $field_last_id,
						'file_name' => $_FILES[$field_key]['name'],
						'file_tmp_name' => $_FILES[$field_key]['tmp_name'],
					];

					upload_file($field_string);

				}

			}

			// Архив
			$field_pos=strpos($field_key,'fields_archive');
			if($field_pos!==false)
			{

				$field_number = str_replace('fields_archive','',$field_key);

				$array_string = [
				'field_number' => $field_number,
				'f_name' => $_FILES[$field_key]['name'],
				'f_tmp_name' => $_FILES[$field_key]['tmp_name'],
				'element_id' => $element_id,
				'date_time_default' => $date_time_default,
				'admin_id' => $admin_id
				];

				upload_archive($array_string);

			}

		}

	}

	// Запись данных при редактировании страницы / элемента / блока статического
	public static function EditRecord( $element_id, $date_time_default, $admin_id  )
	{

		$mysqli = db_mysqli();

		// Запись дополнительных полей: текст
		foreach ($_POST as $field_key=>$field_value)
		{

			// Строка
			$field_pos=strpos($field_key,'fields_varchar');
			if($field_pos!==false)
			{
				// Если запись существует в базе, перезаписываем
				if(count_query('SELECT id from '.DB_PREFIX.'fields_varchar where name="'.str_replace('fields_varchar','',$field_key).'" && element="'.$element_id.'"')>0)
				{
					if(trim($field_value)!='')
					{
						mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'fields_varchar SET	value="'.mysqli_escape_string($mysqli,$field_value).'"
						where name="'.str_replace('fields_varchar','',$field_key).'" && element="'.$element_id.'"');
					}
					else
					{
						mysqli_query($mysqli,'DELETE from '.DB_PREFIX.'fields_varchar where name="'.str_replace('fields_varchar','',$field_key).'" && element="'.$element_id.'"');
					}
				}
				// Если запись отсутствует в базе, создаем
				else
				{
					if(trim($field_value)!='')
					{
						mysqli_query($mysqli,"INSERT INTO ".DB_PREFIX."fields_varchar (name, element, value)
							VALUES ('".str_replace('fields_varchar','',$field_key)."', '$element_id', '".mysqli_escape_string($mysqli,$field_value)."')");
					}
				}
			}

			// Булево значение
			$field_pos=strpos($field_key,'fields_boolean');
			if($field_pos!==false)
			{
				// Предварительно очищаем поля
				mysqli_query($mysqli,'DELETE from '.DB_PREFIX.'fields_boolean where name="'.str_replace('fields_boolean','',$field_key).'" && element="'.$element_id.'"');

				// Если значение задано, создаем запись
				if($field_value==1)
				{
					mysqli_query($mysqli,"INSERT INTO ".DB_PREFIX."fields_boolean (name, element, value)
						VALUES ('".str_replace('fields_boolean','',$field_key)."', '$element_id', '".mysqli_escape_string($mysqli,$field_value)."')");
				}
			}

			// Целое число
			$field_pos=strpos($field_key,'fields_int');
			if($field_pos!==false)
			{

				// Значение по умолчанию
				$row_int=mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT value from '.DB_PREFIX.'fields_name where id = '.str_replace('fields_int','',$field_key)));

				// Удаление лишних символов
				$field_value = preg_replace('/[^0-9]/','',$field_value);

				// Если запись существует в базе, перезаписываем
				if(count_query('SELECT id from '.DB_PREFIX.'fields_int where name="'.str_replace('fields_int','',$field_key).'" && element="'.$element_id.'"')>0)
				{
					// Если поле не пустое
					if(trim($field_value)!='')
					{
						mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'fields_int SET	value="'.mysqli_escape_string($mysqli,$field_value).'"
						where name="'.str_replace('fields_int','',$field_key).'" && element="'.$element_id.'"');
					}
					// Если поле пустое
					else
					{
						// Если существует значение по умолчанию, записываем его
						if(trim($row_int['value'])!='')
						{
							$field_value = preg_replace('/[^0-9]/','',trim($row_int['value']));

							mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'fields_int SET	value="'.mysqli_escape_string($mysqli,$field_value).'"
							where name="'.str_replace('fields_int','',$field_key).'" && element="'.$element_id.'"');
						}
						// Если нет, удаляем запись
						else
						{
							mysqli_query($mysqli,'DELETE from '.DB_PREFIX.'fields_int where name="'.str_replace('fields_int','',$field_key).'" && element="'.$element_id.'"');
						}
					}
				}
				// Если запись отсутствует в базе, создаем
				else
				{
					// Если в поле введено значение
					if(trim($field_value)!='')
					{
						// Удаление лишних символов
						$field_value = preg_replace('/[^0-9]/','',$field_value);

						// Запись в базу
						mysqli_query($mysqli,"INSERT INTO ".DB_PREFIX."fields_int (name, element, value)
							VALUES ('".str_replace('fields_int','',$field_key)."', '$element_id', '".mysqli_escape_string($mysqli,$field_value)."')");
					}
					// Если в поле не введено значение, то существует значение по умолчанию
					elseif(trim($row_int['value'])!='')
					{
						$field_value = preg_replace('/[^0-9]/','',trim($row_int['value']));

						mysqli_query($mysqli,"INSERT INTO ".DB_PREFIX."fields_int (name, element, value)
							VALUES ('".str_replace('fields_int','',$field_key)."', '$element_id', '".mysqli_escape_string($mysqli,$field_value)."')");
					}
				}

			}

			// Дробное число
			$field_pos=strpos($field_key,'fields_decimal');
			if($field_pos!==false)
			{

				// Значение по умолчанию
				$row_decimal=mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT value from '.DB_PREFIX.'fields_name where id = '.str_replace('fields_decimal','',$field_key)));

				// Удаление лишних символов
				$field_value = str_replace(',','.',$field_value);
				$field_value = preg_replace('/[^0-9.]/','',$field_value);

				// Если запись существует в базе, перезаписываем
				if(count_query('SELECT id from '.DB_PREFIX.'fields_decimal where name="'.str_replace('fields_decimal','',$field_key).'" && element="'.$element_id.'"')>0)
				{
					if(trim($field_value)!='')
					{
						mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'fields_decimal SET	value="'.mysqli_escape_string($mysqli,$field_value).'"
						where name="'.str_replace('fields_decimal','',$field_key).'" && element="'.$element_id.'"');
					}
					else
					{
						mysqli_query($mysqli,'DELETE from '.DB_PREFIX.'fields_decimal where name="'.str_replace('fields_decimal','',$field_key).'" && element="'.$element_id.'"');
					}
				}
				// Если запись отсутствует в базе, создаем
				else
				{
					// Если в поле введено значение
					if(trim($field_value)!='')
					{
						// Запись в базу
						mysqli_query($mysqli,"INSERT INTO ".DB_PREFIX."fields_decimal (name, element, value)
							VALUES ('".str_replace('fields_decimal','',$field_key)."', '$element_id', '".mysqli_escape_string($mysqli,$field_value)."')");
					}
					// Если в поле не введено значение, то существует значение по умолчанию
					elseif(trim($row_decimal['value'])!='')
					{
						$field_value = str_replace(',','.',trim($row_decimal['value']));
						$field_value = preg_replace('/[^0-9.]/','',$field_value);

						mysqli_query($mysqli,"INSERT INTO ".DB_PREFIX."fields_decimal (name, element, value)
							VALUES ('".str_replace('fields_decimal','',$field_key)."', '$element_id', '".mysqli_escape_string($mysqli,$field_value)."')");
					}
				}
			}

			// Текст
			$field_pos=strpos($field_key,'fields_text');
			if($field_pos!==false)
			{
				// Если запись существует в базе, перезаписываем
				if(count_query('SELECT id from '.DB_PREFIX.'fields_text where name="'.str_replace('fields_text','',$field_key).'" && element="'.$element_id.'"')>0)
				{
					if(trim($field_value)=='')
					{
						mysqli_query($mysqli,'DELETE from '.DB_PREFIX.'fields_text where name="'.str_replace('fields_text','',$field_key).'" && element="'.$element_id.'"');
					}
					else
					{
						mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'fields_text SET	value="'.mysqli_escape_string($mysqli,$field_value).'"
						where name="'.str_replace('fields_text','',$field_key).'" && element="'.$element_id.'"');
					}
				}
				// Если запись отсутствует в базе, создаем
				else
				{
					if(trim($field_value)!='')
					{
						mysqli_query($mysqli,"INSERT INTO ".DB_PREFIX."fields_text (name, element, value)
							VALUES ('".str_replace('fields_text','',$field_key)."', '$element_id', '".mysqli_escape_string($mysqli,$field_value)."')");
					}
				}
			}

			// Список однозначный
			$field_pos=strpos($field_key,'fields_select');
			if($field_pos!==false)
			{
				if(!is_array($field_value))
				{
					// Если запись существует в базе, перезаписываем
					if(count_query('SELECT id from '.DB_PREFIX.'fields_select where name="'.str_replace('fields_select','',$field_key).'" && element="'.$element_id.'"')>0)
					{
						if(trim($field_value)==0)
						{
							mysqli_query($mysqli,'DELETE from '.DB_PREFIX.'fields_select where name="'.str_replace('fields_select','',$field_key).'" && element="'.$element_id.'"');
						}
						else
						{
							mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'fields_select SET value="'.mysqli_escape_string($mysqli,$field_value).'"
								where name="'.str_replace('fields_select','',$field_key).'" && element="'.$element_id.'"');
						}
					}
					// Если запись отсутствует в базе, создаем
					else
					{
						if(trim($field_value)!=0)
						{
							mysqli_query($mysqli,"INSERT INTO ".DB_PREFIX."fields_select (name, element, value)
								VALUES ('".str_replace('fields_select','',$field_key)."', '$element_id', '".mysqli_escape_string($mysqli,$field_value)."')");
						}
					}
				}
			}

			// Список многозначный
			$field_pos=strpos($field_key,'fields_select_multiple');
			if($field_pos!==false)
			{
				// Если запись существует в базе, перезаписываем
				if(count_query('SELECT id from '.DB_PREFIX.'fields_select_multiple where name="'.str_replace('fields_select_multiple','',$field_key).'" && element="'.$element_id.'"')>0)
				{
					if(empty($field_value))
					{
						mysqli_query($mysqli,'DELETE from '.DB_PREFIX.'fields_select_multiple where name="'.str_replace('fields_select_multiple','',$field_key).'" && element="'.$element_id.'"');
					}
					else
					{
						mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'fields_select_multiple SET value="'.mysqli_escape_string($mysqli,implode(' ',$field_value)).'"
							where name="'.str_replace('fields_select_multiple','',$field_key).'" && element="'.$element_id.'"');
					}
				}
				// Если запись отсутствует в базе, создаем
				else
				{
					if(!empty($field_value))
					{
						mysqli_query($mysqli,"INSERT INTO ".DB_PREFIX."fields_select_multiple (name, element, value)
							VALUES ('".str_replace('fields_select_multiple','',$field_key)."', '$element_id', '".mysqli_escape_string($mysqli,implode(' ',$field_value))."')");
					}
				}
			}

			// Дата
			$field_pos=strpos($field_key,'fields_date');
			if($field_pos!==false)
			{
				// Если запись существует в базе, перезаписываем
				if(count_query('SELECT id from '.DB_PREFIX.'fields_date where name="'.str_replace('fields_date','',$field_key).'" && element="'.$element_id.'"')>0)
				{
					if(trim($field_value)!='')
					{
						mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'fields_date SET	value="'.mysqli_escape_string($mysqli,$field_value).'"
						where name="'.str_replace('fields_date','',$field_key).'" && element="'.$element_id.'"');
					}
					else
					{
						mysqli_query($mysqli,'DELETE from '.DB_PREFIX.'fields_date where name="'.str_replace('fields_date','',$field_key).'" && element="'.$element_id.'"');
					}
				}
				// Если запись отсутствует в базе, создаем
				else
				{
					if(trim($field_value)!='')
					{
						mysqli_query($mysqli,"INSERT INTO ".DB_PREFIX."fields_date (name, element, value)
							VALUES ('".str_replace('fields_date','',$field_key)."', '$element_id', '".mysqli_escape_string($mysqli,$field_value)."')");
					}
				}
			}

		}

		// Запись дополнительных полей: файлы
		foreach ($_FILES as $field_key=>$field_value)
		{

			// Изображение
			$field_pos=strpos($field_key,'fields_image');
			if($field_pos!==false)
			{

				if($_FILES[$field_key]['name']!='' && is_uploaded_file($_FILES[$field_key]['tmp_name']))
				{

					// Проверка, является ли загруженный файл изображением
					if( file_check( $_FILES[$field_key]['tmp_name'], 'img' ) )
					{

						$field_number = str_replace('fields_image','',$field_key);

						$field_image_width_big = 'image_width_big'.str_replace('fields_image','',$field_key); // значение ширины большого эскиза
						$field_image_width_small = 'image_width_small'.str_replace('fields_image','',$field_key); // значение ширины малого эскиза

						$image_width_big = trim($_POST[$field_image_width_big]);
						$image_width_small = trim($_POST[$field_image_width_small]);

						// Если запись существует в базе, удаляем
						if(count_query('SELECT id from '.DB_PREFIX.'fields_image where name="'.str_replace('fields_image','',$field_key).'" && element="'.$element_id.'"')>0)
						{

							// Удаляем старое изображение
							$row_file_old=mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_image where name="'.str_replace('fields_image','',$field_key).'" && element="'.$element_id.'"'));

							if($row_file_old['image_small']!='' && file_exists('../cms/pages-images/'.$row_file_old['image_small'])) unlink('../cms/pages-images/'.$row_file_old['image_small']);

							if($row_file_old['image_big']!='' && file_exists('../cms/pages-images/'.$row_file_old['image_big'])) unlink('../cms/pages-images/'.$row_file_old['image_big']);

							if($row_file_old['image_original']!='' && file_exists('../cms/pages-images/'.$row_file_old['image_original'])) unlink('../cms/pages-images/'.$row_file_old['image_original']);

							mysqli_query($mysqli,'DELETE FROM '.DB_PREFIX.'fields_image where id="'.$row_file_old['id'].'"');

						}

						mysqli_query($mysqli,"INSERT INTO ".DB_PREFIX."fields_image (name, element) VALUES ('".str_replace('fields_image','',$field_key)."', '$element_id')");

						// Определяем последний ID
						$row_last_id=mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT id from '.DB_PREFIX.'fields_image order by id desc'));
						$field_last_id=$row_last_id['id'];

						$row_original = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT original from '.DB_PREFIX.'fields_name where id = '.$field_number));

						// Большой эскиз
						if( $image_width_big!='' && $image_width_big!=0 )
						{
							// Имя нового изображения
							$file_name = $field_last_id.'-'.$image_width_big.'.jpg';

							mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'fields_image SET	image_big="'.mysqli_escape_string($mysqli,$file_name).'"
								where name="'.str_replace('fields_image','',$field_key).'" && element="'.$element_id.'"');

							// Загрузка и обработка изображения
							$field_string=
							[
								'image_id' => $field_last_id,
								'image_name' => $_FILES[$field_key]['name'],
								'image_tmp_name' => $_FILES[$field_key]['tmp_name'],
								'image_width' => $image_width_big,
								'image_type' => 'big'
							];

							upload_image($field_string);
						}

						// Малый эскиз
						if( $image_width_small!='' && $image_width_small!=0 )
						{
							// Имя нового изображения
							$file_name = $field_last_id.'-'.$image_width_small.'.jpg';

							mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'fields_image SET	image_small="'.mysqli_escape_string($mysqli,$file_name).'"
								where name="'.str_replace('fields_image','',$field_key).'" && element="'.$element_id.'"');

							// Загрузка и обработка изображения
							$field_string=
							[
								'image_id' => $field_last_id,
								'image_name' => $_FILES[$field_key]['name'],
								'image_tmp_name' => $_FILES[$field_key]['tmp_name'],
								'image_width' => $image_width_small,
								'image_type' => 'small'
							];

							upload_image($field_string);
						}

						// Сохраняем оригинал
						if(
							($image_width_big == '' && $image_width_small == '') ||
							$row_original['original'] == 1
						)
						{
							// Имя нового изображения
							$file_name = $field_last_id.'.'.pathinfo($_FILES[$field_key]['name'],PATHINFO_EXTENSION);

							mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'fields_image SET	image_original="'.mysqli_escape_string($mysqli,$file_name).'"
								where name="'.str_replace('fields_image','',$field_key).'" && element="'.$element_id.'"');

							// Загрузка и обработка изображения
							$field_string=
							[
								'image_id' => $field_last_id,
								'image_name' => $_FILES[$field_key]['name'],
								'image_tmp_name' => $_FILES[$field_key]['tmp_name'],
								'image_width' => '',
								'image_type' => 'original'
							];

							upload_image($field_string);
						}

					}
					else
					{
						?>

						<div class='bd-callout'>
							<h4>Файл <?=$_FILES[$field_key]['name']?> не является изображением!</h4>
						</div>

						<?php
					}

				}

			}

			// Галерея
			$field_pos=strpos($field_key,'fields_gallery');
			if($field_pos!==false)
			{

				$field_number = str_replace('fields_gallery','',$field_key);

				$row_settings = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT width_big, width_small, original from '.DB_PREFIX.'fields_name where id = '.$field_number));

				$array_string = [
				'field_number' => $field_number,
				'image_name' => $_FILES[$field_key]['name'],
				'image_tmp_name' => $_FILES[$field_key]['tmp_name'],
				'image_big_width' => $row_settings['width_big'],
				'image_small_width' => $row_settings['width_small'],
				'image_original' => $row_settings['original'],
				'element_id' => $element_id,
				'date_time_default' => $date_time_default,
				'admin_id' => $admin_id
				];

				upload_gallery($array_string);

			}

			// Файл
			$field_pos=strpos($field_key,'fields_file');
			if($field_pos!==false)
			{

				if($_FILES[$field_key]['name']!='' && is_uploaded_file($_FILES[$field_key]['tmp_name']))
				{

					$file_extension=pathinfo($_FILES[$field_key]['name'],PATHINFO_EXTENSION);

					// Если запись существует в базе, перезаписываем
					if(count_query('SELECT id from '.DB_PREFIX.'fields_file where name="'.str_replace('fields_file','',$field_key).'" && element="'.$element_id.'"')>0)
					{

						// Удаляем старый файл
						$row_file_old=mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT value from '.DB_PREFIX.'fields_file where name="'.str_replace('fields_file','',$field_key).'" && element="'.$element_id.'"'));
						unlink('../cms/pages-files/'.$row_file_old['value']);
						mysqli_query($mysqli,'DELETE FROM '.DB_PREFIX.'fields_file where value="'.$row_file_old['value'].'"');

					}

					mysqli_query($mysqli,"INSERT INTO ".DB_PREFIX."fields_file (name, element)
						VALUES ('".str_replace('fields_file','',$field_key)."', '$element_id')");

					// Определяем последний ID
					$row_last_id=mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT id from '.DB_PREFIX.'fields_file order by id desc'));
					$field_last_id=$row_last_id['id'];

					// Имя нового файла
					$file_name=$field_last_id.'.'.$file_extension;

					mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'fields_file SET	value="'.mysqli_escape_string($mysqli,$file_name).'" where name="'.str_replace('fields_file','',$field_key).'" && element="'.$element_id.'"');

					// Загрузка и обработка изображения
					$field_string=
					[
						'file_id' => $field_last_id,
						'file_name' => $_FILES[$field_key]['name'],
						'file_tmp_name' => $_FILES[$field_key]['tmp_name'],
					];
					upload_file($field_string);

				}

			}

			// Архив
			$field_pos=strpos($field_key,'fields_archive');
			if($field_pos!==false)
			{

				$field_number = str_replace('fields_archive','',$field_key);

				$array_string = [
				'field_number' => $field_number,
				'f_name' => $_FILES[$field_key]['name'],
				'f_tmp_name' => $_FILES[$field_key]['tmp_name'],
				'element_id' => $element_id,
				'date_time_default' => $date_time_default,
				'admin_id' => $admin_id
				];

				upload_archive($array_string);

			}

		}

	}

	// Удаление полей
	public static function Delete( $field_id, $field_type )
	{

		$mysqli = db_mysqli();

		// Удаление списка однозначного
		if($field_type == 'fields_select')
		{
			mysqli_query($mysqli,'DELETE FROM '.DB_PREFIX.'fields_select_list where name='.$field_id);
			mysqli_query($mysqli,'DELETE FROM '.DB_PREFIX.'fields_name where id='.$field_id);
		}

		// Удаление списка многозначного
		elseif($field_type == 'fields_select_multiple')
		{
			mysqli_query($mysqli,'DELETE FROM '.DB_PREFIX.'fields_select_list where name='.$field_id);
			mysqli_query($mysqli,'DELETE FROM '.DB_PREFIX.'fields_select_multiple where name='.$field_id);
			mysqli_query($mysqli,'DELETE FROM '.DB_PREFIX.'fields_name where id='.$field_id);
		}

		// Удаление изображений
		elseif($field_type == 'fields_image')
		{
			$result_img=mysqli_query($mysqli,'SELECT id from '.DB_PREFIX.$field_type.' where name = '.$field_id);
			while($row_img=mysqli_fetch_array($result_img))
			{
				array_map('unlink', glob('../cms/pages-images/'.$row_img['id'].'-*'));
				array_map('unlink', glob('../cms/pages-images/'.$row_img['id'].'.*'));
			}

			mysqli_query($mysqli,'DELETE FROM '.DB_PREFIX.$field_type.' where name='.$field_id);
			mysqli_query($mysqli,'DELETE FROM '.DB_PREFIX.'fields_name where id='.$field_id);
		}

		// Удаление изображений галереи
		elseif($field_type == 'fields_gallery')
		{
			$result_img=mysqli_query($mysqli,'SELECT id from '.DB_PREFIX.$field_type.' where name = '.$field_id);
			while($row_img=mysqli_fetch_array($result_img))
			{
				array_map('unlink', glob('../cms/pages-images/gallery/'.$row_img['id'].'-*'));
				array_map('unlink', glob('../cms/pages-images/gallery/'.$row_img['id'].'.*'));
			}

			mysqli_query($mysqli,'DELETE FROM '.DB_PREFIX.$field_type.' where name='.$field_id);
			mysqli_query($mysqli,'DELETE FROM '.DB_PREFIX.'fields_name where id='.$field_id);
		}

		// Удаление файлов
		elseif($field_type == 'fields_file')
		{
			$result_file=mysqli_query($mysqli,'SELECT value from '.DB_PREFIX.$field_type.' where name = '.$field_id);
			while($row_file=mysqli_fetch_array($result_file))
			{
				if(file_exists('../cms/pages-files/'.$row_file['value'])) unlink('../cms/pages-files/'.$row_file['value']);
			}

			mysqli_query($mysqli,'DELETE FROM '.DB_PREFIX.$field_type.' where name='.$field_id);
			mysqli_query($mysqli,'DELETE FROM '.DB_PREFIX.'fields_name where id='.$field_id);
		}

		// Удаление файлов архива
		elseif($field_type == 'fields_archive')
		{
			$result_file=mysqli_query($mysqli,'SELECT file from '.DB_PREFIX.$field_type.' where name = '.$field_id);
			while($row_file=mysqli_fetch_array($result_file))
			{
				if(file_exists('../cms/pages-files/archive/'.$row_file['file'])) unlink('../cms/pages-files/archive/'.$row_file['file']);
			}

			mysqli_query($mysqli,'DELETE FROM '.DB_PREFIX.$field_type.' where name='.$field_id);
			mysqli_query($mysqli,'DELETE FROM '.DB_PREFIX.'fields_name where id='.$field_id);
		}

		// Удаление динамического блока
		elseif($field_type == 'fields_elements')
		{
			mysqli_query($mysqli,'DELETE FROM '.DB_PREFIX.'fields_elements where name = '.$field_id);
			mysqli_query($mysqli,'DELETE FROM '.DB_PREFIX.'fields_name where id = '.$field_id);

			$result_block=mysqli_query($mysqli,'SELECT id, field_type from '.DB_PREFIX.'fields_name where element_type = "fields_elements" && dynamic_section = '.$field_id);
			while($row_block=mysqli_fetch_array($result_block))
			{
				self::Delete( $row_block['id'], $row_block['field_type'] );
			}
		}

		// Удаление типовых полей из базы
		else
		{
			mysqli_query($mysqli,'DELETE FROM '.DB_PREFIX.$field_type.' where name = '.$field_id);
			mysqli_query($mysqli,'DELETE FROM '.DB_PREFIX.'fields_name where id = '.$field_id);
		}

	}

	// Удаление значений полей при удалении страницы или элемента
	public static function DeleteValues( $element_type, $element_id )
	{

		$mysqli = db_mysqli();

		$result = mysqli_query($mysqli,'SELECT id, field_type from '.DB_PREFIX.'fields_name where element_type = "'.$element_type.'"');
		while($row = mysqli_fetch_array($result))
		{

			// Удаление цифровых и текстовых полей
			if(
				$row['field_type'] != 'fields_image' &&
				$row['field_type'] != 'fields_file' &&
				$row['field_type'] != 'fields_gallery' &&
				$row['field_type'] != 'fields_archive' &&
				$row['field_type'] != 'fields_elements'
			)
			{

				mysqli_query( $mysqli, 'DELETE FROM '.DB_PREFIX.$row['field_type'].' where name = '.$row['id'].' && element = '.$element_id );

			}

			// Удаление изображения
			elseif( $row['field_type'] == 'fields_image' )
			{

				if( count_query('SELECT id from '.DB_PREFIX.$row['field_type'].' where name = '.$row['id'].' && element = '.$element_id) > 0 )
				{

					$row_field = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT id from '.DB_PREFIX.$row['field_type'].' where name = '.$row['id'].' && element = '.$element_id ));

					if(mysqli_query($mysqli,'DELETE FROM '.DB_PREFIX.'fields_image where id = '.$row_field['id']))
					{
						array_map('unlink', glob('../cms/pages-images/'.$row_field['id'].'-*'));
						array_map('unlink', glob('../cms/pages-images/'.$row_field['id'].'.*'));
					}

				}

			}

			// Удаление файла
			elseif( $row['field_type'] == 'fields_file' )
			{

				if( count_query('SELECT id from '.DB_PREFIX.$row['field_type'].' where name = '.$row['id'].' && element = '.$element_id) > 0 )
				{

					$row_field = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT value from '.DB_PREFIX.$row['field_type'].' where name = '.$row['id'].' && element = '.$element_id ));

					if(mysqli_query( $mysqli, 'DELETE FROM '.DB_PREFIX.$row['field_type'].' where name = '.$row['id'].' && element = '.$element_id ))
					{
						if( file_exists('../cms/pages-files/'.$row_field['value']) ) unlink('../cms/pages-files/'.$row_field['value']);
					}

				}

			}

			// Удаление галереи
			elseif( $row['field_type'] == 'fields_gallery' )
			{

				$result_field = mysqli_query($mysqli,'SELECT id from '.DB_PREFIX.'fields_gallery where name = '.$row['id'].' && element = '.$element_id);
				while($row_field = mysqli_fetch_array($result_field))
				{
					array_map('unlink', glob('../cms/pages-images/gallery/'.$row_field['id'].'-*'));
					array_map('unlink', glob('../cms/pages-images/gallery/'.$row_field['id'].'.*'));
				}

				mysqli_query( $mysqli, 'DELETE FROM '.DB_PREFIX.$row['field_type'].' where name = '.$row['id'].' && element = '.$element_id );

			}

			// Удаление архива
			elseif( $row['field_type'] == 'fields_archive' )
			{

				$result_field = mysqli_query($mysqli,'SELECT file from '.DB_PREFIX.'fields_archive where name = '.$row['id'].' && element = '.$element_id);
				while($row_field = mysqli_fetch_array($result_field))
				{

					if( file_exists('../cms/pages-files/archive/'.$row_field['file']) ) unlink('../cms/pages-files/archive/'.$row_field['file']);

				}

				mysqli_query( $mysqli, 'DELETE FROM '.DB_PREFIX.$row['field_type'].' where name = '.$row['id'].' && element = '.$element_id );

			}

		}

	}

}