<?php

/**
* SEO поля для страниц
*/

class SEO
{

	// Отображение полей при создании страницы
	public static function Insert( $page_id = 0 )
	{

		$mysqli = db_mysqli();

		$result_lang = mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'lang where active = 1 order by value asc');
		while($row_lang = mysqli_fetch_array($result_lang))
		{

			// Если страница редактируется, отображаем значения полей
			$value_seo_title = '';
			$value_seo_meta_description = '';
			$value_seo_meta_keywords = '';
			$value_seo_link_canonical = '';
			$value_seo_meta_noindex = '';
			$value_seo_og_title = '';
			$value_seo_og_description = '';
			$value_seo_og_image = '';
			$value_seo_og_type = '';

			// Если задан ID страницы, ищем существующие значения полей
			if($page_id!=0)
			{

				// Title
				$query_seo_title = 'SELECT value from '.DB_PREFIX.'seo where type="title" && lang = "'.$row_lang['value'].'" && page = '.$page_id;
				if(count_query($query_seo_title)>0)
				{
					$row_seo_title = mysqli_fetch_assoc(mysqli_query($mysqli,$query_seo_title));
					$value_seo_title = htmlspecialchars($row_seo_title['value'],ENT_QUOTES);
				}

				// Meta description
				$query_seo_meta_description = 'SELECT value from '.DB_PREFIX.'seo where type="meta_description" && lang = "'.$row_lang['value'].'" && page = '.$page_id;
				if(count_query($query_seo_meta_description)>0)
				{
					$row_seo_meta_description = mysqli_fetch_assoc(mysqli_query($mysqli,$query_seo_meta_description));
					$value_seo_meta_description = htmlspecialchars($row_seo_meta_description['value'],ENT_QUOTES);
				}

				// Meta keywords
				$query_seo_meta_keywords = 'SELECT value from '.DB_PREFIX.'seo where type="meta_keywords" && lang = "'.$row_lang['value'].'" && page = '.$page_id;
				if(count_query($query_seo_meta_keywords)>0)
				{
					$row_seo_meta_keywords = mysqli_fetch_assoc(mysqli_query($mysqli,$query_seo_meta_keywords));
					$value_seo_meta_keywords = htmlspecialchars($row_seo_meta_keywords['value'],ENT_QUOTES);
				}

				// Каноническая ссылка
				$query_seo_link_canonical = 'SELECT value from '.DB_PREFIX.'seo where type="link_canonical" && lang = "'.$row_lang['value'].'" && page = '.$page_id;
				if(count_query($query_seo_link_canonical)>0)
				{
					$row_seo_link_canonical = mysqli_fetch_assoc(mysqli_query($mysqli,$query_seo_link_canonical));
					$value_seo_link_canonical = htmlspecialchars($row_seo_link_canonical['value'],ENT_QUOTES);
				}

				// og:Title
				$query_seo_og_title = 'SELECT value from '.DB_PREFIX.'seo where type="og_title" && lang = "'.$row_lang['value'].'" && page = '.$page_id;
				if(count_query($query_seo_og_title)>0)
				{
					$row_seo_og_title = mysqli_fetch_assoc(mysqli_query($mysqli,$query_seo_og_title));
					$value_seo_og_title = htmlspecialchars($row_seo_og_title['value'],ENT_QUOTES);
				}

				// og:Description
				$query_seo_og_description = 'SELECT value from '.DB_PREFIX.'seo where type="og_description" && lang = "'.$row_lang['value'].'" && page = '.$page_id;
				if(count_query($query_seo_og_description)>0)
				{
					$row_seo_og_description = mysqli_fetch_assoc(mysqli_query($mysqli,$query_seo_og_description));
					$value_seo_og_description = htmlspecialchars($row_seo_og_description['value'],ENT_QUOTES);
				}

				// og:Image
				$query_seo_og_image = 'SELECT value from '.DB_PREFIX.'seo where type="og_image" && lang = "'.$row_lang['value'].'" && page = '.$page_id;
				if(count_query($query_seo_og_image)>0)
				{
					$row_seo_og_image = mysqli_fetch_assoc(mysqli_query($mysqli,$query_seo_og_image));
					$value_seo_og_image = htmlspecialchars($row_seo_og_image['value'],ENT_QUOTES);
				}

				// og:Type
				$query_seo_og_type = 'SELECT value from '.DB_PREFIX.'seo where type="og_type" && lang = "'.$row_lang['value'].'" && page = '.$page_id;
				if(count_query($query_seo_og_type)>0)
				{
					$row_seo_og_type = mysqli_fetch_assoc(mysqli_query($mysqli,$query_seo_og_type));
					$value_seo_og_type = htmlspecialchars($row_seo_og_type['value'],ENT_QUOTES);
				}

				// Meta noindex
				$query_seo_meta_noindex = 'SELECT value from '.DB_PREFIX.'seo where type="meta_noindex" && lang = "'.$row_lang['value'].'" && page = '.$page_id;
				if(count_query($query_seo_meta_noindex)>0)
				{
					$value_seo_meta_noindex = 'checked';
				}

			}

			?>

			<div class='form-group'>
				<label><b>Title:</b> <sup><?=$row_lang['value']?></sup></label>
				<textarea class='form-control demo' name='<?=$row_lang['value']?>_seo_title' maxlength='255'><?=$value_seo_title?></textarea>
			</div>

			<div class='form-group'>
				<label><b>Meta description:</b> <sup><?=$row_lang['value']?></sup></label>
				<textarea class='form-control demo' name='<?=$row_lang['value']?>_seo_meta_description' maxlength='255'><?=$value_seo_meta_description?></textarea>
			</div>

			<div class='form-group'>
				<label><b>Meta keywords:</b> <sup><?=$row_lang['value']?></sup></label>
				<textarea class='form-control demo' name='<?=$row_lang['value']?>_seo_meta_keywords' maxlength='255'><?=$value_seo_meta_keywords?></textarea>
			</div>

			<div class='form-group'>
				<label><b>og:Title:</b> <sup><?=$row_lang['value']?></sup></label>
				<textarea class='form-control demo' name='<?=$row_lang['value']?>_seo_og_title' maxlength='255'><?=$value_seo_og_title?></textarea>
			</div>

			<div class='form-group'>
				<label><b>og:Description:</b> <sup><?=$row_lang['value']?></sup></label>
				<textarea class='form-control demo' name='<?=$row_lang['value']?>_seo_og_description' maxlength='255'><?=$value_seo_og_description?></textarea>
			</div>

			<div class='form-group'>
				<label><b>og:Image:</b> <sup><?=$row_lang['value']?></sup></label>
				<select class='form-control' name='<?=$row_lang['value']?>_seo_og_image'>
					<option value="">-- Не задано --</option>
					<?php
					$result_img=mysqli_query($mysqli,'SELECT id, title from '.DB_PREFIX.'fields_name where field_type = "fields_image" order by number asc, id asc');
					while($row_img=mysqli_fetch_array($result_img))
					{
						?>
						<option value="<?=$row_img['id']?>" <?php if($value_seo_og_image == $row_img['id']) echo 'selected'; ?>><?=htmlspecialchars($row_img['title'],ENT_QUOTES)?></option>
						<?php
					}
					?>
				</select>
			</div>

			<div class='form-group'>
				<label><b>og:Type:</b> <sup><?=$row_lang['value']?></sup></label>
				<input type='text' class='form-control' name='<?=$row_lang['value']?>_seo_og_type' maxlength='255' value="<?=$value_seo_og_type?>">
			</div>

			<div class='form-group'>
				<label><b>Каноническая ссылка:</b> <sup><?=$row_lang['value']?></sup></label>
				<input type='text' class='form-control' name='<?=$row_lang['value']?>_seo_link_canonical' maxlength='255' value="<?=$value_seo_link_canonical?>">
			</div>

			<div class='form-group'>
				<div class='checkbox'>
					<label>
						<input type='checkbox' name='<?=$row_lang['value']?>_seo_meta_noindex' value='1' <?=$value_seo_meta_noindex?>> <span class="text-danger">Запретить индексацию страницы</span> <sup><?=$row_lang['value']?></sup>
					</label>
				</div>
			</div>

			<?php
		}

	}

	// Запись полей
	public static function Record( $page_id )
	{

		$mysqli = db_mysqli();

		// Очищаем все записи по данной странице
		mysqli_query($mysqli,'DELETE from '.DB_PREFIX.'seo where page = '.$page_id);

		// Добавляем записи в зависимости от языковой версии
		foreach ($_POST as $field_key=>$field_value)
		{

			$result_lang = mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'lang where active = 1');
			while($row_lang = mysqli_fetch_array($result_lang))
			{

				// Title
				$field_pos=strpos($field_key,'seo_title');
				if($field_pos!==false)
				{
					$seo_pos=strpos($field_key,$row_lang['value'].'_');
					if($seo_pos!==false)
					{
						if(trim($field_value)!='')
						{
							mysqli_query($mysqli,'INSERT INTO '.DB_PREFIX.'seo ( lang, page, type, value ) VALUES ( "'.$row_lang['value'].'", '.$page_id.', "title", "'.mysqli_escape_string($mysqli,trim($field_value)).'")');
						}
					}
				}

				// Meta description
				$field_pos=strpos($field_key,'seo_meta_description');
				if($field_pos!==false)
				{
					$seo_pos=strpos($field_key,$row_lang['value'].'_');
					if($seo_pos!==false)
					{
						if(trim($field_value)!='')
						{
							mysqli_query($mysqli,'INSERT INTO '.DB_PREFIX.'seo ( lang, page, type, value ) VALUES ( "'.$row_lang['value'].'", '.$page_id.', "meta_description", "'.mysqli_escape_string($mysqli,trim($field_value)).'")');
						}
					}
				}

				// Meta keywords
				$field_pos=strpos($field_key,'seo_meta_keywords');
				if($field_pos!==false)
				{
					$seo_pos=strpos($field_key,$row_lang['value'].'_');
					if($seo_pos!==false)
					{
						if(trim($field_value)!='')
						{
							mysqli_query($mysqli,'INSERT INTO '.DB_PREFIX.'seo ( lang, page, type, value ) VALUES ( "'.$row_lang['value'].'", '.$page_id.', "meta_keywords", "'.mysqli_escape_string($mysqli,trim($field_value)).'")');
						}
					}
				}

				// og:Title
				$field_pos=strpos($field_key,'seo_og_title');
				if($field_pos!==false)
				{
					$seo_pos=strpos($field_key,$row_lang['value'].'_');
					if($seo_pos!==false)
					{
						if(trim($field_value)!='')
						{
							mysqli_query($mysqli,'INSERT INTO '.DB_PREFIX.'seo ( lang, page, type, value ) VALUES ( "'.$row_lang['value'].'", '.$page_id.', "og_title", "'.mysqli_escape_string($mysqli,trim($field_value)).'")');
						}
					}
				}

				// og:Description
				$field_pos=strpos($field_key,'seo_og_description');
				if($field_pos!==false)
				{
					$seo_pos=strpos($field_key,$row_lang['value'].'_');
					if($seo_pos!==false)
					{
						if(trim($field_value)!='')
						{
							mysqli_query($mysqli,'INSERT INTO '.DB_PREFIX.'seo ( lang, page, type, value ) VALUES ( "'.$row_lang['value'].'", '.$page_id.', "og_description", "'.mysqli_escape_string($mysqli,trim($field_value)).'")');
						}
					}
				}

				// og:Image
				$field_pos=strpos($field_key,'seo_og_image');
				if($field_pos!==false)
				{
					$seo_pos=strpos($field_key,$row_lang['value'].'_');
					if($seo_pos!==false)
					{
						if(trim($field_value)!='')
						{
							mysqli_query($mysqli,'INSERT INTO '.DB_PREFIX.'seo ( lang, page, type, value ) VALUES ( "'.$row_lang['value'].'", '.$page_id.', "og_image", "'.mysqli_escape_string($mysqli,trim($field_value)).'")');
						}
					}
				}

				// og:Type
				$field_pos=strpos($field_key,'seo_og_type');
				if($field_pos!==false)
				{
					$seo_pos=strpos($field_key,$row_lang['value'].'_');
					if($seo_pos!==false)
					{
						if(trim($field_value)!='')
						{
							mysqli_query($mysqli,'INSERT INTO '.DB_PREFIX.'seo ( lang, page, type, value ) VALUES ( "'.$row_lang['value'].'", '.$page_id.', "og_type", "'.mysqli_escape_string($mysqli,trim($field_value)).'")');
						}
					}
				}

				// Каноническая ссылка
				$field_pos=strpos($field_key,'seo_link_canonical');
				if($field_pos!==false)
				{
					$seo_pos=strpos($field_key,$row_lang['value'].'_');
					if($seo_pos!==false)
					{
						if(trim($field_value)!='')
						{
							mysqli_query($mysqli,'INSERT INTO '.DB_PREFIX.'seo ( lang, page, type, value ) VALUES ( "'.$row_lang['value'].'", '.$page_id.', "link_canonical", "'.mysqli_escape_string($mysqli,trim($field_value)).'")');
						}
					}
				}

				// Meta noindex
				$field_pos=strpos($field_key,'seo_meta_noindex');
				if($field_pos!==false)
				{
					$seo_pos=strpos($field_key,$row_lang['value'].'_');
					if($seo_pos!==false)
					{
						if(trim($field_value)!='')
						{
							mysqli_query($mysqli,'INSERT INTO '.DB_PREFIX.'seo ( lang, page, type, value ) VALUES ( "'.$row_lang['value'].'", '.$page_id.', "meta_noindex", "'.mysqli_escape_string($mysqli,trim($field_value)).'")');
						}
					}
				}

			}

		}

	}

}