<?php

/**
 * Работа с ZIP-архивами с помощью класса ZipArchive
 */

class ZIP
{

	// Архивация
	public static function Add( $source, $destination )
	{

		if (!extension_loaded('zip') || !file_exists($source))
		{
			return false;
		}

		$zip = new ZipArchive();

		if (!$zip->open($destination, ZIPARCHIVE::CREATE))
		{
			return false;
		}

		$source = str_replace('\\', '/', realpath($source));

		if (is_dir($source) === true)
		{

			$files = new RecursiveIteratorIterator(new RecursiveDirectoryIterator($source), RecursiveIteratorIterator::SELF_FIRST);

			foreach ($files as $file)
			{

				$file = str_replace('\\', '/', $file);

				// Ignore "." and ".." folders
				if( in_array(substr($file, strrpos($file, '/')+1), array('.', '..')) ) continue;

				$file = realpath($file);
				$file = str_replace('\\', '/', $file);

				if (is_dir($file) === true)
				{
					$zip->addEmptyDir(str_replace($source . '/', '', $file . '/'));
				}
				elseif(is_file($file) === true)
				{
					$zip->addFromString(str_replace($source . '/', '', $file), file_get_contents($file));
				}

			}

		}
		elseif (is_file($source) === true)
		{

			$zip->addFromString(basename($source), file_get_contents($source));

		}

		return $zip->close();

	}

	// Разархивация ZIP-файлов
	public static function Extract( $file, $destination )
	{

		$zip = new ZipArchive;

		if( is_dir($destination) && file_check($file,'zip') && true === $zip->open($file) )
		{
			$zip->extractTo( $destination );
			$zip->close();
		}

	}

}