<?php

/**
 * Транслитерация
 */

function translit( $translit_text )
{

	$title = mb_strtolower($translit_text); // перевод в нижний регистр

	// шаблон транслитерации русских символов в латинские
	$ruslat = array(
		'а'=>'a',
		'б'=>'b',
		'в'=>'v',
		'г'=>'g',
		'д'=>'d',
		'е'=>'e',
		'ё'=>'e',
		'ж'=>'zh',
		'з'=>'z',
		'и'=>'i',
		'ый'=>'iy',
		'й'=>'y',
		'к'=>'k',
		'л'=>'l',
		'м'=>'m',
		'н'=>'n',
		'о'=>'o',
		'п'=>'p',
		'р'=>'r',
		'с'=>'s',
		'т'=>'t',
		'у'=>'u',
		'ф'=>'f',
		'х'=>'h',
		'ц'=>'c',
		'ч'=>'ch',
		'ш'=>'sh',
		'щ'=>'sch',
		'ъ'=>'',
		'ы'=>'y',
		'ь'=>'',
		'э'=>'e',
		'ю'=>'yu',
		'я'=>'ya',
		' - '=>'-',
		' '=>'-',
		'–'=>'-',
		'—'=>'-'
	);

	$translit = strtr($title,$ruslat); // замена русских символов на латинские согласно шаблону
	$translit = preg_replace('~[^a-zA-Z0-9-_]~','-',$translit); // удаление не входящих в шаблон символов
	$translit = preg_replace('/(\-){2,}/','$1',$translit); // удаление повторяющихся дефисов
	$translit = trim($translit,'-'); // удаление дефисов по краям строки
	$translit = trim($translit,'_'); // удаление нижнего подчеркивания по краям строки

	return $translit; // вывод транслита

}