<?php

require_once('include/header.php');

// Проверка прав доступа к разделу
if($profile_access_pages_search==0)
{
	echo $block_profile_danger;
}
else
{
		if(isset($keyword))
		{
			$keyword=htmlspecialchars(trim($keyword),ENT_QUOTES);
			$page_id='';
			$nav="<li class='breadcrumb-item active'>Результаты поиска для <b>$keyword</b></li>";
		}
		elseif(isset($page_id))
		{
			$keyword='';
			$nav="<li class='breadcrumb-item active'>Результаты поиска для <b>$page_id</b></li>";
		}
		else
		{
			$keyword='';
			$page_id='';
			$nav='';
		}
?>

	<ol class='breadcrumb'>
		<li class='breadcrumb-item'><a href='pages.php'>Страницы</a></li>
		<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>'>Поиск</a></li>
		<?=$nav?>
	</ol>

	<form action='<?=CURRENT_FILE?>' class='mb-3' method='get'>
		<div class='form-group'>
			<div class='input-group'>
				<input type='text' class='form-control' name='keyword' value='<?=$keyword?>' placeholder='Поиск по контексту страницы'>
				<div class='input-group-append'>
					<input type='submit' class='btn btn-primary' value='Найти'>
				</div>
			</div>
		</div>
	</form>

	<form action='<?=CURRENT_FILE?>' method='get'>
		<div class='form-group'>
			<div class='input-group'>
				<input type='text' class='form-control' name='page_id' value='<?=$page_id?>' placeholder='Поиск по ID страницы'>
				<div class='input-group-append'>
					<input type='submit' class='btn btn-primary' value='Найти'>
				</div>
			</div>
		</div>
	</form>

<?php

		// Ключевое слово
		if(isset($keyword) && $keyword!='')
		{

			$keyword = rawurldecode($keyword); // декодирование/
			$keyword = trim($keyword); // обрезание пробелов
			$keyword = preg_replace('~[^а-яА-ЯеЁa-zA-Z0-9- ]/u~','',$keyword); // удаление лишних символов
			$keyword = str_replace(" ","%",$keyword); // замена пробелов на %

			if(mb_strlen($keyword,'UTF-8')<3)
			{
				echo"<span class='text-danger'><b>Введен некорректный запрос!</b></span>";
			}
			elseif(mysqli_num_rows(mysqli_query($mysqli,"SELECT id from ".DB_PREFIX."pages where title like '%$keyword%'	or tip like '%$keyword%' or demo like '%$keyword%' or text like '%$keyword%'	or tags like '%$keyword%'"))==0)
			{
				echo"<span class='text-danger'><b>По данному запросу ничего не найдено!</b></span>";
			}
			else
			{

				echo"
				<form role='form' action='_delete.php' method='post' id='form-post'>
				";
				pages_sort();
				pages_list_header();
				$result=mysqli_query($mysqli,"SELECT * from ".DB_PREFIX."pages where
				title like '%$keyword%'
				or tip like '%$keyword%'
				or demo like '%$keyword%'
				or text like '%$keyword%'
				or tags like '%$keyword%'
				order by $sorting");
				while($row=mysqli_fetch_array($result))
				{
					$array_body = [
						'page_id' => $row['id'],
						'page_number' => $row['number'],
						'page_hide' => $row['hide'],
						'page_user' => $row['user'],
						'page_user_update' => $row['user_update'],
						'page_date' => $row['date_time'],
						'page_date_update' => $row['date_time_update'],
						'page_index' => $row['page_index'],
						'page_faq' => $row['page_faq'],
						'page_tags' => $row['page_tags'],
						'page_comments' => $row['comments'],
						'page_title' => $row['title'],
						'page_translit' => $row['translit'],
						'page_text' => $row['text'],
						];
					pages_list_body($array_body);
				}
				pages_list_footer();

				list_footer('pages');

			}
		}

		// ID страницы
		elseif(isset($page_id) && $page_id!='')
		{
			if(mb_strlen($page_id,'UTF-8')<1)
			{
				echo"<span class='text-danger'><b>Введен некорректный запрос!</b></span>";
			}
			elseif(mysqli_num_rows(mysqli_query($mysqli,"SELECT id from ".DB_PREFIX."pages where id='$page_id'"))==0)
			{
				echo"<span class='text-danger'><b>По данному запросу ничего не найдено!</b></span>";
			}
			else
			{
				pages_sort();
				pages_list_header();
				if($row=mysqli_fetch_array(mysqli_query($mysqli,"SELECT * from ".DB_PREFIX."pages where id='$page_id'")))
				{
					$array_body = [
						'page_id' => $row['id'],
						'page_number' => $row['number'],
						'page_hide' => $row['hide'],
						'page_user' => $row['user'],
						'page_user_update' => $row['user_update'],
						'page_date' => $row['date_time'],
						'page_date_update' => $row['date_time_update'],
						'page_index' => $row['page_index'],
						'page_faq' => $row['page_faq'],
						'page_tags' => $row['page_tags'],
						'page_comments' => $row['comments'],
						'page_title' => $row['title'],
						'page_translit' => $row['translit'],
						'page_text' => $row['text'],
						];
					pages_list_body($array_body);
				}
				pages_list_footer();
			}
		}

	}

require_once('include/footer.php');