<?php

require_once('include/header.php');

// Запись текущего профиля
if(isset($record))
{
	echo"
	<ol class='breadcrumb'>
		<li class='breadcrumb-item'><a href='".CURRENT_FILE."'>Профиль</a></li>
		<li class='breadcrumb-item active'>Запись</li>
	</ol>
	";

	$name = trim($name);
	$mail = trim($mail);

	// Проверка имени пользователя
	if( mb_strlen($name) == 0 )
	{
		?>
		<div class='bd-callout bd-callout-danger'>
			<h4>Некорретное имя пользователя!</h4>
			<p><a href="<?=REFERER?>">Введите другое</a></p>
		</div>
		<?php
	}

	// Проверка корректности e-mail
	elseif( !preg_match("/^([A-Za-z0-9_\-\.])+\@([A-Za-z0-9_\-\.])+\.([A-Za-z]{2,20})$/",$mail) )
	{
		?>
		<div class='bd-callout bd-callout-danger'>
			<h4>Некорретный e-mail!</h4>
			<p><a href="<?=REFERER?>">Введите другой</a></p>
		</div>
		<?php
	}

	// Если пользователь с таким e-mail уже существует
	elseif( count_query('SELECT id from '.DB_PREFIX.'admin where mail="'.$mail.'"') > 0 && $mail != $_SESSION['login'] )
	{
		?>
		<div class='bd-callout bd-callout-danger'>
			<h4>Пользователь <?=$mail?> уже существует!</h4>
			<p><a href="<?=REFERER?>">Введите другой e-mail</a></p>
		</div>
		<?php
	}

	// Если пользователь ввел некорректный пароль
	elseif( mb_strlen($password) < 6 || mb_strlen($password) > 16 )
	{
		?>
		<div class='bd-callout bd-callout-danger'>
			<h4>Некорретный пароль!</h4>
			<p><a href="<?=REFERER?>">Введите другой</a></p>
		</div>
		<?php
	}

	// Иначе - вносим в базу нового пользователя
	else
	{

		$name=mysqli_escape_string($mysqli,$name);
		$mail=mysqli_escape_string($mysqli,$mail);
		$password=mysqli_escape_string($mysqli,$password);

		if(mysqli_query($mysqli,"UPDATE ".DB_PREFIX."admin SET name='$name',mail='$mail',password='$password' where mail='$admin_login'"))
		{
			$_SESSION['login'] = $mail;
			$_SESSION['password'] = $password;
			echo $block_info;
		}
		else
		{
			echo $block_danger;
		}

	}

}

// Новый пользователь (только для администратора)
elseif(isset($new) and $profile_admin==1)
{
	echo"
	<ol class='breadcrumb'>
		<li class='breadcrumb-item'><a href='".CURRENT_FILE."'>Профиль</a></li>
		<li class='breadcrumb-item'><a href='".CURRENT_FILE."?users'>Пользователи</a></li>
		<li class='breadcrumb-item active'>Новый пользователь</li>
	</ol>

	<form role='form' action='".CURRENT_FILE."' method='post'>

		<div class='form-group' id='title-div'>
			<label><b>Имя:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
			<input type='text' class='form-control' id='title' name='name' maxlength='255'>
		</div>

		<div class='form-group' id='admin-mail-div'>
			<label><b>E-mail:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
			<input type='text' class='form-control' id='admin-mail' name='mail' maxlength='255'>
			<p class='form-text text-muted'>используется для авторизации и восстановления доступа</p>
		</div>

		<div class='form-group' id='admin-password-div'>
			<label><b>Пароль:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
			<div class='input-group'>
				<input type='password' class='form-control' id='admin-password' name='password' maxlength='16'>
				<div class='input-group-append'>
				<button class='btn btn-outline-secondary d-none' type='button' id='generate-password'><span class='glyphicon glyphicon-refresh'></span></button>
					<button class='btn btn-secondary' type='button' id='show-hide-password'><span class='glyphicon glyphicon-eye-open'></span></button>
				</div>
			</div>
			<p class='form-text text-muted'>от 6 до 16 символов</p>
		</div>

		<div class='form-group'>
			<label><b>Разделы доступа:</b></label>
			<div class='checkbox'>
				<label>
					<input type='checkbox' name='login_pages' value='1'> Страницы
				</label>
			</div>
			<div class='checkbox'>
				<label>
					<input type='checkbox' name='login_elements' value='1'> Элементы
				</label>
			</div>
			<div class='checkbox'>
				<label>
					<input type='checkbox' name='login_catalog' value='1'> Каталог
				</label>
			</div>
			<div class='checkbox'>
				<label>
					<input type='checkbox' name='login_pages_search' value='1'> Поиск по страницам
				</label>
			</div>
			<div class='checkbox'>
				<label>
					<input type='checkbox' name='login_pages_comments' value='1'> Комментарии к страницам
				</label>
			</div>
			<div class='checkbox'>
				<label>
					<input type='checkbox' name='login_faq' value='1'> Вопрос-ответ
				</label>
			</div>
			<div class='checkbox'>
				<label>
					<input type='checkbox' name='login_blocks_static' value='1'> Блоки (статические)
				</label>
			</div>
			<div class='checkbox'>
				<label>
					<input type='checkbox' name='login_blocks_dynamic' value='1'> Блоки (динамические)
				</label>
			</div>
			<div class='checkbox'>
				<label>
					<input type='checkbox' name='login_fields' value='1'> Дополнительные поля
				</label>
			</div>
			<div class='checkbox'>
				<label>
					<input type='checkbox' name='login_data_types' value='1'> Типы данных
				</label>
			</div>
			<div class='checkbox'>
			<label>
				<input type='checkbox' name='login_templates' value='1'> Шаблоны
				</label>
		</div>
			<div class='checkbox' style='margin-top:0;'>
				<label>
					<input type='checkbox' name='login_settings' value='1'> Настройки
				</label>
			</div>
		</div>

		<div class='form-group'>
			<label><b>Редактировать только созданные:</b></label>
			<div class='checkbox' style='margin-top:0;'>
				<label>
					<input type='checkbox' name='edit_pages' value='1'> Страницы
				</label>
			</div>
		</div>

		<button type='submit' class='btn btn-primary' name='record_new'>Записать</button>

	</form>
	";
}

// Запись нового пользователя (только для администратора)
elseif(isset($record_new) and $profile_admin==1)
{
	echo"
	<ol class='breadcrumb'>
		<li class='breadcrumb-item'><a href='".CURRENT_FILE."'>Профиль</a></li>
		<li class='breadcrumb-item'><a href='".CURRENT_FILE."?users'>Пользователи</a></li>
		<li class='breadcrumb-item'><a href='".CURRENT_FILE."?new'>Новый пользователь</a></li>
		<li class='breadcrumb-item active'>Запись</li>
	</ol>
	";

	$name = trim($name);
	$mail = trim($mail);

	// Проверка имени пользователя
	if( mb_strlen($name) == 0 )
	{
		?>
		<div class='bd-callout bd-callout-danger'>
			<h4>Некорретное имя пользователя!</h4>
			<p><a href="<?=REFERER?>">Введите другое</a></p>
		</div>
		<?php
	}

	// Проверка корректности e-mail
	elseif( !preg_match("/^([A-Za-z0-9_\-\.])+\@([A-Za-z0-9_\-\.])+\.([A-Za-z]{2,20})$/",$mail) )
	{
		?>
		<div class='bd-callout bd-callout-danger'>
			<h4>Некорретный e-mail!</h4>
			<p><a href="<?=REFERER?>">Введите другой</a></p>
		</div>
		<?php
	}

	// Если пользователь с таким же e-mail уже существует
	elseif( count_query('SELECT id from '.DB_PREFIX.'admin where mail="'.$mail.'"') > 0 )
	{
		?>
		<div class='bd-callout bd-callout-danger'>
			<h4>Пользователь <?=$mail?> уже существует!</h4>
			<p><a href="<?=REFERER?>">Введите другой e-mail</a></p>
		</div>
		<?php
	}

	// Если пользователь ввел некорректный пароль
	elseif( mb_strlen($password) < 6 || mb_strlen($password) > 16 )
	{
		?>
		<div class='bd-callout bd-callout-danger'>
			<h4>Некорретный пароль!</h4>
			<p><a href="<?=REFERER?>">Введите другой</a></p>
		</div>
		<?php
	}

	// Иначе - вносим в базу нового пользователя
	else
	{
		$name=mysqli_escape_string($mysqli,$name);
		$mail=mysqli_escape_string($mysqli,$mail);
		$password=mysqli_escape_string($mysqli,$password);
		if(!isset($login_settings)){$login_settings=0;}
		if(!isset($login_fields)){$login_fields=0;}
		if(!isset($login_data_types)){$login_data_types=0;}
		if(!isset($login_pages)){$login_pages=0;}
		if(!isset($login_elements)){$login_elements=0;}
		if(!isset($login_pages_search)){$login_pages_search=0;}
		if(!isset($login_pages_comments)){$login_pages_comments=0;}
		if(!isset($login_blocks_static)){$login_blocks_static=0;}
		if(!isset($login_blocks_dynamic)){$login_blocks_dynamic=0;}
		if(!isset($login_catalog)){$login_catalog=0;}
		if(!isset($login_faq)){$login_faq=0;}
		if(!isset($login_templates)){$login_templates=0;}
		if(!isset($edit_pages)){$edit_pages=0;}

		if(mysqli_query($mysqli,"INSERT INTO ".DB_PREFIX."admin (
		name,
		mail,
		password,
		login_settings,
		login_fields,
		login_data_types,
		login_pages,
		login_elements,
		login_pages_search,
		login_pages_comments,
		login_catalog,
		login_faq,
		login_templates,
		login_blocks_static,
		login_blocks_dynamic,
		edit_pages
		) VALUES (
		'$name',
		'$mail',
		'$password',
		'$login_settings',
		'$login_fields',
		'$login_data_types',
		'$login_pages',
		'$login_elements',
		'$login_pages_search',
		'$login_pages_comments',
		'$login_catalog',
		'$login_faq',
		'$login_templates',
		'$login_blocks_static',
		'$login_blocks_dynamic',
		'$edit_pages'
		)"))
		{
			echo $block_info;
		}
		else
		{
			echo $block_danger;
		}
	}
}

// Редактирование пользователя (только для администратора)
elseif(isset($id) and $profile_admin==1)
{
	echo"
	<ol class='breadcrumb'>
		<li class='breadcrumb-item'><a href='".CURRENT_FILE."'>Профиль</a></li>
		<li class='breadcrumb-item'><a href='".CURRENT_FILE."?users'>Пользователи</a></li>
		<li class='breadcrumb-item active'>Редактирование</li>
	</ol>
	";

	if($row=mysqli_fetch_array(mysqli_query($mysqli,"SELECT * from ".DB_PREFIX."admin where id='$id'")))
	{
		$quotes_name=htmlspecialchars($row['name'],ENT_QUOTES);
		$quotes_mail=htmlspecialchars($row['mail'],ENT_QUOTES);
		$quotes_password=htmlspecialchars($row['password'],ENT_QUOTES);

		echo"
		<form role='form' action='".CURRENT_FILE."' method='post'>

			<div class='form-group' id='title-div'>
				<label><b>Имя:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
				<input type='text' class='form-control' id='title' name='name' value='$quotes_name' maxlength='255'>
			</div>

			<div class='form-group' id='admin-mail-div'>
				<label><b>E-mail:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
				<input type='text' class='form-control' id='admin-mail' name='mail' value='$quotes_mail' maxlength='255'>
				<p class='form-text text-muted'>используется для авторизации и восстановления доступа</p>
			</div>

			<div class='form-group' id='admin-password-div'>
				<label><b>Пароль:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
				<div class='input-group'>
					<input type='password' class='form-control' id='admin-password' name='password' value='$quotes_password' maxlength='16'>
					<div class='input-group-append'>
						<button class='btn btn-outline-secondary d-none' type='button' id='generate-password'><span class='glyphicon glyphicon-refresh'></span></button>
						<button class='btn btn-secondary' type='button' id='show-hide-password'><span class='glyphicon glyphicon-eye-open'></span></button>
					</div>
				</div>
				<p class='form-text text-muted'>от 6 до 16 символов (латинские буквы и/или цифры)</p>
			</div>

			<div class='form-group'>
				<label><b>Разделы доступа:</b></label>
				<div class='checkbox'>
					<label>
						<input type='checkbox' name='login_pages' value='1' ";if($row['login_pages']==1){echo'checked';}echo"> Страницы
					</label>
				</div>
				<div class='checkbox'>
					<label>
						<input type='checkbox' name='login_elements' value='1' ";if($row['login_elements']==1){echo'checked';}echo"> Элементы
					</label>
				</div>
				<div class='checkbox'>
					<label>
						<input type='checkbox' name='login_pages_search' value='1' ";if($row['login_pages_search']==1){echo'checked';}echo"> Поиск по страницам
					</label>
				</div>
				<div class='checkbox'>
					<label>
						<input type='checkbox' name='login_catalog' value='1' ";if($row['login_catalog']==1){echo'checked';}echo"> Каталог
					</label>
				</div>
				<div class='checkbox'>
					<label>
						<input type='checkbox' name='login_pages_comments' value='1' ";if($row['login_pages_comments']==1){echo'checked';}echo"> Комментарии к страницам
					</label>
				</div>
				<div class='checkbox'>
					<label>
						<input type='checkbox' name='login_faq' value='1' ";if($row['login_faq']==1){echo'checked';}echo"> Вопрос-ответ
					</label>
				</div>
				<div class='checkbox'>
					<label>
						<input type='checkbox' name='login_blocks_static' value='1' ";if($row['login_blocks_static']==1){echo'checked';}echo"> Блоки (статические)
					</label>
				</div>
				<div class='checkbox'>
					<label>
						<input type='checkbox' name='login_blocks_dynamic' value='1' ";if($row['login_blocks_dynamic']==1){echo'checked';}echo"> Блоки (динамические)
					</label>
				</div>
				<div class='checkbox'>
					<label>
						<input type='checkbox' name='login_fields' value='1' ";if($row['login_fields']==1){echo'checked';}echo"> Дополнительные поля
					</label>
				</div>
				<div class='checkbox'>
					<label>
						<input type='checkbox' name='login_data_types' value='1' ";if($row['login_data_types']==1){echo'checked';}echo"> Типы данных
					</label>
				</div>
				<div class='checkbox'>
					<label>
						<input type='checkbox' name='login_templates' value='1' ";if($row['login_templates']==1){echo'checked';}echo"> Шаблоны
					</label>
				</div>
				<div class='checkbox' style='margin-top:0;'>
					<label>
						<input type='checkbox' name='login_settings' value='1' ";if($row['login_settings']==1){echo'checked';}echo"> Настройки
					</label>
				</div>
			</div>

			<div class='form-group'>
				<label><b>Редактировать только созданные:</b></label>
				<div class='checkbox' style='margin-top:0;'>
					<label>
						<input type='checkbox' name='edit_pages' value='1' ";if($row['edit_pages']==1){echo'checked';}echo"> Страницы
					</label>
				</div>
			</div>

			<input type='hidden' name='mail_old' value='$quotes_mail'>
			<input type='hidden' name='hidden' value='$id'>

			<button type='submit' class='btn btn-primary' name='record_edit'>Записать</button>

		</form>
		";
	}
}

// Запись отредактированного пользователя (только для администратора)
elseif(isset($record_edit) and $profile_admin==1)
{
	echo"
	<ol class='breadcrumb'>
		<li class='breadcrumb-item'><a href='".CURRENT_FILE."'>Профиль</a></li>
		<li class='breadcrumb-item'><a href='".CURRENT_FILE."?users'>Пользователи</a></li>
		<li class='breadcrumb-item'><a href='".CURRENT_FILE."?id=$hidden'>Редактирование</a></li>
		<li class='breadcrumb-item active'>Запись</li>
	</ol>
	";

	$name = trim($name);
	$mail = trim($mail);

	// Проверка имени пользователя
	if( mb_strlen($name) == 0 )
	{
		?>
		<div class='bd-callout bd-callout-danger'>
			<h4>Некорретное имя пользователя!</h4>
			<p><a href="<?=REFERER?>">Введите другое</a></p>
		</div>
		<?php
	}

	// Проверка корректности e-mail
	elseif( !preg_match("/^([A-Za-z0-9_\-\.])+\@([A-Za-z0-9_\-\.])+\.([A-Za-z]{2,20})$/",$mail) )
	{
		?>
		<div class='bd-callout bd-callout-danger'>
			<h4>Некорретный e-mail!</h4>
			<p><a href="<?=REFERER?>">Введите другой</a></p>
		</div>
		<?php
	}

	// Если пользователь с таким e-mail уже существует
	elseif( count_query('SELECT id from '.DB_PREFIX.'admin where mail="'.$mail.'"') > 0 && $mail != $mail_old )
	{
		?>
		<div class='bd-callout bd-callout-danger'>
			<h4>Пользователь <?=$mail?> уже существует!</h4>
			<p><a href="<?=REFERER?>">Введите другой e-mail</a></p>
		</div>
		<?php
	}

	// Если пользователь ввел некорректный пароль
	elseif( mb_strlen($password) < 6 || mb_strlen($password) > 16 )
	{
		?>
		<div class='bd-callout bd-callout-danger'>
			<h4>Некорретный пароль!</h4>
			<p><a href="<?=REFERER?>">Введите другой</a></p>
		</div>
		<?php
	}

	// Иначе - вносим изменения в базу
	else
	{

		$name=mysqli_escape_string($mysqli,$name);
		$mail=mysqli_escape_string($mysqli,$mail);
		$password=mysqli_escape_string($mysqli,$password);
		if(!isset($login_settings)){$login_settings=0;}
		if(!isset($login_fields)){$login_fields=0;}
		if(!isset($login_data_types)){$login_data_types=0;}
		if(!isset($login_pages)){$login_pages=0;}
		if(!isset($login_elements)){$login_elements=0;}
		if(!isset($login_pages_search)){$login_pages_search=0;}
		if(!isset($login_pages_comments)){$login_pages_comments=0;}
		if(!isset($login_blocks_static)){$login_blocks_static=0;}
		if(!isset($login_blocks_dynamic)){$login_blocks_dynamic=0;}
		if(!isset($login_catalog)){$login_catalog=0;}
		if(!isset($login_faq)){$login_faq=0;}
		if(!isset($login_templates)){$login_templates=0;}
		if(!isset($edit_pages)){$edit_pages=0;}

		if(mysqli_query($mysqli,"UPDATE ".DB_PREFIX."admin SET
		name='$name',
		mail='$mail',
		password='$password',
		login_settings='$login_settings',
		login_fields='$login_fields',
		login_data_types='$login_data_types',
		login_pages='$login_pages',
		login_elements='$login_elements',
		login_pages_search='$login_pages_search',
		login_pages_comments='$login_pages_comments',
		login_catalog='$login_catalog',
		login_faq='$login_faq',
		login_templates='$login_templates',
		login_blocks_static='$login_blocks_static',
		login_blocks_dynamic='$login_blocks_dynamic',
		edit_pages='$edit_pages'
		where id='$hidden'"))
		{
			echo $block_info;
		}
		else
		{
			echo $block_danger;
		}

	}

}

// Список пользователей (только для администратора)
elseif(isset($users) and $profile_admin==1)
{
	echo"
	<ol class='breadcrumb'>
		<li class='breadcrumb-item'><a href='".CURRENT_FILE."'>Профиль</a></li>
		<li class='breadcrumb-item active'>Пользователи</li>
		<li class='flex-float-right d-none d-sm-block'><a href='".CURRENT_FILE."?new'>+ Создать пользователя</a></li>
	</ol>

	<div class='table-responsive'>
		<table class='table table-hover table-pages'>
			<thead>
				<tr>
					<th>Имя</th>
					<th>E-mail</th>
					<th>Пароль</th>
					<th class='text-center'>Последний доступ</th>
					<th class='text-center'>Доступные разделы</th>
					<th class='text-center'>Операции</th>
				</tr>
			</thead>
			<tbody>
	";
	$result=mysqli_query($mysqli,"SELECT * from ".DB_PREFIX."admin where admin='0' order by id asc");
	while($row=mysqli_fetch_array($result))
	{
		echo"
		<tr>
			<td>".htmlspecialchars($row['name'],ENT_QUOTES)."</td>
			<td>$row[mail]</td>
			<td>$row[password]</td>
			<td class=text-center>
		";
		if($row['date_time_update']=='1000-01-01 00:00:00'){echo"Не был использован";}else{date_formated($row['date_time_update']);}
		echo"
			</td>
		<td class='text-center'>";
		if($row['login_settings']==1){echo'Настройки<br>';}
		if($row['login_pages']==1){echo'Страницы<br>';}
		if($row['login_elements']==1){echo'Элементы<br>';}
		if($row['login_pages_search']==1){echo'Поиск по страницам<br>';}
		if($row['login_pages_comments']==1){echo'Комментарии к страницам<br>';}
		if($row['login_catalog']==1){echo'Каталог<br>';}
		if($row['login_faq']==1){echo'Вопрос-ответ<br>';}
		if($row['login_templates']==1){echo'Шаблоны<br>';}
		if($row['login_blocks_static']==1){echo'Блоки статические<br>';}
		if($row['login_blocks_dynamic']==1){echo'Блоки динамические<br>';}
		if($row['login_fields']==1){echo'Дополнительные поля<br>';}
		if($row['login_data_types']==1){echo'Типы данных';}
		echo"</td>
			<td class='text-center text-nowrap'>
				<a href='".CURRENT_FILE."?id=$row[id]' class='btn btn-secondary btn-sm'>
					<span class='glyphicon glyphicon-pencil'></span>
				</a>

				<a href='#delete' class='btn btn-secondary btn-sm' data-target='#modal$row[id]' data-toggle='modal'>
					<span class='glyphicon glyphicon-remove'></span>
				</a>
				<div class='modal fade' id='modal$row[id]' tabindex='-1' role='dialog' aria-hidden='true'>
					<div class='modal-dialog modal-sm'>
						<div class='modal-content'>
							<div class='modal-body'>
								<h4>Вы действительно хотите удалить пользователя <b>$row[mail]</b>?</h4>
							</div>
							<div class='modal-footer'>
								<a href='_delete.php?user_id=$row[id]' class='btn btn-danger'>Удалить навсегда</a>
								<button type='button' class='btn btn-secondary' data-dismiss='modal'>Закрыть</button>
							</div>
						</div>
					</div>
				</div>
			</td>
		</tr>
		";
	}
	echo"
			</tbody>
		</table>
	</div>
	";
}

// Данные текущего профиля
else
{

	echo"
	<ol class='breadcrumb'>
		<li class='breadcrumb-item active'>Профиль</li>
	</ol>
	";

	if($row=mysqli_fetch_array(mysqli_query($mysqli,"SELECT * from ".DB_PREFIX."admin where mail='$admin_login'")))
	{
		$quotes_name=htmlspecialchars($row['name'],ENT_QUOTES);
		$quotes_mail=htmlspecialchars($row['mail'],ENT_QUOTES);
		$quotes_password=htmlspecialchars($row['password'],ENT_QUOTES);

		echo"
		<form role='form' action='".CURRENT_FILE."' method='post'>

			<div class='form-group' id='title-div'>
				<label><b>Имя:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
				<input type='text' class='form-control' id='title' name='name' value='$quotes_name' maxlength='255'>
			</div>

			<div class='form-group' id='admin-mail-div'>
				<label><b>E-mail:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
				<input type='text' class='form-control' id='admin-mail' name='mail' value='$quotes_mail' maxlength='255'>
				<p class='form-text text-muted'>используется для авторизации и восстановления доступа</p>
			</div>

			<div class='form-group' id='admin-password-div'>
				<label><b>Пароль:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
				<div class='input-group'>
					<input type='password' class='form-control' id='admin-password' name='password' value='$quotes_password' maxlength='16'>
					<div class='input-group-append'>
						<button class='btn btn-outline-secondary d-none' type='button' id='generate-password'><span class='glyphicon glyphicon-refresh'></span></button>
				    <button class='btn btn-secondary' type='button' id='show-hide-password'><span class='glyphicon glyphicon-eye-open'></span></button>
				  </div>
				</div>
				<p class='form-text text-muted'>от 6 до 16 символов</p>
			</div>

			<button type='submit' class='btn btn-primary' name='record'>Записать</button>

		</form>
		";
	}

}

require_once('include/footer.php');