<?php

/**
* Модуль проверки страниц сайта перед запуском
*/

// Проверка языковой версии сайта
if(isset($_GET['cms_lang']))
{

	// Если текущий язык не задан в настройках CMS, редирект на главную
	$row_lang = cms_pdo()->prepare('SELECT id FROM '.DB_PREFIX.'lang where value = :lang && active = 1');
	$row_lang->execute([
		'lang' => $_GET['cms_lang']
	]);
	$count_lang = $row_lang->rowCount();

	/**
	* Если текущий язык не задан в настройках CMS, редирект на соответствующую страницу без языка
	* Если основной язык сайта указан в адресной строке браузера, редирект на соответствующую страницу без языка
	*/
	if($count_lang == 0 || ($_GET['cms_lang'] == cmsLang::Display('index')) )
	{
		cms_redirect(cmsPageURI::Display(['uri'=>'nolang']),'php');
	}

}

// Проверка существования внутренних страниц
if(isset($_GET['cms_translit']))
{

	$catalog_prefix = cms_field_value('catalog_prefix',DB_PREFIX.'settings','where','id','=','1');

	$translits = array_reverse( explode('/', $_GET['cms_translit']) );

	if(count($translits) > 1)
	{
		if($catalog_prefix == 0)
		{
			http_response_code(404);
			$_GET['cms_translit'] = '404';
			include 'index.php';
			die();
		}
	}

	foreach ($translits as $translit)
	{

		$row_translit = cms_pdo()->prepare('SELECT id FROM '.DB_PREFIX.'pages where translit = :translit');
		$row_translit->execute([
			'translit' => $translit
		]);
		$count_translit = $row_translit->rowCount();

		if($count_translit == 0)
		{
			http_response_code(404);
			$_GET['cms_translit'] = '404';
			include 'index.php';
			die();
		}

	}

	// Если URI не соответствует настройкам, редирект на нужную страницу
	if( trim(cmsPageURI::Display(['uri'=>'nolang']),'/') != $_GET['cms_translit'] && $catalog_prefix == 1 )
	{
		cms_redirect(cmsPageURI::Display(),'php');
	}

}