<?php

/**
* Обработка массива
 */

class cmsArray
{
  
  /* Добавление значения полей к массиву */
  public static function ArrayAdd( $array_data, $array_fields, $array_base = '' )
  {

    $mysqli = cms_mysqli();
    $page_id = cms_page_id();

    if($array_base == 'blocks_dynamic')
    {

      foreach ($array_data as &$row_new)
      {
        foreach ($array_fields as $array_field)
        {
          $row_new[$array_field] = cms_field($row_new['id'], $array_field);
        }
      }

    }
    else
    {

      $position = [];

      foreach ($array_data as $key => $element)
      {

        $position[(int)$element['id']] = $key;

        foreach ($array_fields as $array_field)
        {
          $array_data[$key][intval($array_field)] = '';
        }

      }

      foreach ($array_fields as $array_field)
      {

        $row_field = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_name where id='.$array_field));

        // Если поле правильного типа, добавляем его значение в массив
        if(
          $row_field['field_type'] == 'fields_varchar' ||
          ($row_field['field_type'] == 'fields_text' && $row_field['editor']!=2) ||
          $row_field['field_type'] == 'fields_select' ||
          $row_field['field_type'] == 'fields_boolean' ||
          $row_field['field_type'] == 'fields_int' ||
          $row_field['field_type'] == 'fields_decimal' ||
          $row_field['field_type'] == 'fields_date'
        )
        {

          if($row_field['field_type'] == 'fields_select')
          {

            $row = cms_pdo()->query('
              SELECT
              '.DB_PREFIX.'pages.id,
              '.DB_PREFIX.'fields_select_list.value as f'.$array_field.'
              FROM
              '.DB_PREFIX.'pages,
              '.DB_PREFIX.$row_field['field_type'].',
              '.DB_PREFIX.'fields_select_list
              WHERE
              '.DB_PREFIX.$row_field['field_type'].'.name = '.$array_field.' and
              '.DB_PREFIX.'pages.id = '.DB_PREFIX.$row_field['field_type'].'.element and
              '.DB_PREFIX.$row_field['field_type'].'.value = '.DB_PREFIX.'fields_select_list.id and
              '.DB_PREFIX.'pages.sections regexp "'.cms_sql('reg_start').$page_id.cms_sql('reg_end').'" and
              '.DB_PREFIX.'pages.section_index = 0 and
              '.DB_PREFIX.'pages.hide = 0
            ')->fetchAll();

          }
          else
          {

            $row = cms_pdo()->query('
              SELECT
              '.DB_PREFIX.'pages.id,
              '.DB_PREFIX.$row_field['field_type'].'.value as f'.$array_field.'
              FROM
              '.DB_PREFIX.'pages,
              '.DB_PREFIX.$row_field['field_type'].'
              WHERE
              '.DB_PREFIX.$row_field['field_type'].'.name = '.$array_field.' and '.DB_PREFIX.'pages.id = '.DB_PREFIX.$row_field['field_type'].'.element and
              '.DB_PREFIX.'pages.sections regexp "'.cms_sql('reg_start').$page_id.cms_sql('reg_end').'" and
              '.DB_PREFIX.'pages.section_index = 0 and
              '.DB_PREFIX.'pages.hide = 0
            ')->fetchAll();

          }

          foreach ($row as $element)
          {

            $id = (int)$element['id'];

            foreach($element as $index => $value)
            {

              if($index !== 'id')
              {
                $key = intval(preg_replace("/[a-zA-Z]/", "", $index));
                $array_data[ $position[$id] ] [$key] = $value;
              }

            }
          }

        }

      }

    }

    return $array_data;

  }

  /* Сортировка по полям */
  public static function ArraySort( $array_data, $array_fields )
  {

    // Формирование порядка сортировки
    $array_order = [];

    foreach ($array_fields as $array_field => $array_field_key)
    {
      $array_order[$array_field] = $array_field_key;
    }

    // Сортирование массива
    usort($array_data,
      function ($a, $b) use ($array_order)
      {

        $t = array(true => -1, false => 1);
        $r = true;
        $k = 1;

        foreach ($array_order as $key => $value)
        {

          $k = ($value === 'asc') ? 1 : -1;
          $r = ($a[$key] < $b[$key]);

          if ($a[$key] !== $b[$key])
          {
            return $t[$r] * $k;
          }

        }

        return $t[$r] * $k;

      }
    );

    return $array_data;

  }

  /* Фильтрация по полям */
  public static function ArrayFilter( $array_data, $array_fields )
  {

    $request = $array_fields['fields_filter'];
    $request = str_replace('{', '$array_data[\'', $request);
    $request = str_replace('}', '\']', $request);

    $temporary_file = $_SERVER['DOCUMENT_ROOT'].'/cms/app/core/'.md5(microtime().rand()).'.txt';

    file_put_contents($temporary_file, '<?php return '.$request.';');

    $array_data = array_filter($array_data, function ($array_data) use ($temporary_file)
    {
      return require $temporary_file;
    });

    unlink($temporary_file);

    return $array_data;

  }

  /* Лимитирование массива */
  public static function ArrayLimit ( $array_data, $limit1, $limit2 )
  {

    if ($limit1 !== '' && $limit2 !== '')
    {
      $array_data = array_slice($array_data, $limit1, $limit2);
    }

    return $array_data;

  }

}