<?php

/**
 * Возвращает язык страницы в формате ISO 639-1 / выводит контент для конкретной языковой версии
 *
 * $settings - принимает параметр 'index' для метода Display, вывод язык сайта по умолчанию. По умолчанию обрабатывает язык текущей страницы. Необязательный параметр.
 * $array - аргумент метода Content в виде массива, выводящий контент в зависимости от языковой версии. Обязательный параметр.
 *
 * Пример:
 * cmsLang::Display( 'index' );
 * cmsLang::Content([ 'ru' => 'Русский', 'en' => 'English' ]);
 */

class cmsLang
{

  // Вывод языка текущей страницы
  public static function Display( $settings = '' )
	{

    // Вывод языка, заданного по умолчанию для сайта
    if( $settings == 'index' )
    {

      $row = mysqli_fetch_assoc(mysqli_query(cms_mysqli(),'SELECT value from '.DB_PREFIX.'lang where lang_index = 1'));
      return $row['value'];

    }
    else
    {

      // Если задана языковая переменная в адресной строке, выводим ее значение
      if(isset($_GET['cms_lang']))
      {
        return $_GET['cms_lang'];
      }

      // Если не задана языковая переменная в адресной строке, выбираем язык сайта по умолчанию
      else
      {
        return self::Display('index');
      }

    }

  }

  // Вывод контента в зависимости от языковой версии
  public static function Content( $array )
  {

    if(is_array($array))
    {
      foreach( $array as $lang => $value )
      {
        if(self::Display() == $lang)
        {
          return $value;
        }
      }
    }

  }

}