<?php

/**
 * Формирует URI страницы
 *
 * $settings - аргумент из массива значений.
 * $settings['page'] - ID обрабатываемой страницы. По умолчанию обрабатывает текущую страницу. Необязательный параметр.
 * $settings['frame'] - определяет обрамление URI слэшами. По умолчанию обрамляет. Значение 0 убирает обрамление. Необязательный параметр.
 * $settings['uri'] - по умолчанию выводит полный URI. Необязательный параметр.
 * $settings['uri'] = 'prefix' - возвращает URI родительских страниц при включенном параметре "Префикс для URI страниц каталога"
 * $settings['uri'] = 'prefix_nolang' - возвращает URI родительских страниц без языкового параметра
 * $settings['uri'] = 'translit' - возвращает Транслит конкретной страницы
 * $settings['uri'] = 'nolang' - возвращает URI страницы без языкового параметра
 *
 * Пример:
 * cmsPageURI::Display([ 'page' => 100, 'frame' => 0, 'uri' => 'translit' ]);
 */

class cmsPageURI
{

  private static function getCategoryParentList($id,$ind1)
  {

    $mysqli = cms_mysqli();

    $row = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT id, title, tip, translit, page_index, section from '.DB_PREFIX.'pages where id='.$id));

    $template_default = $row['translit'].'/';
    $template_index = '/';

    if($ind1!=0)
    {
      if($row['page_index']==1)
      {
        $categoryList=$template_index;
      }
      else
      {
        $categoryList=$template_default;
      }
    }
    else
    {
      $categoryList='';
    }

    if($row['section'] > 0)
    {
      $ind1++;
      $parent = self::getCategoryParentList($row['section'],$ind1);
      $categoryList=$parent.$categoryList;
    }

    return eval(' ?>'.$categoryList.'<?php ');

  }

  public static function Display( $settings = [] )
	{

    $mysqli = cms_mysqli();

    $page_id = ( isset($settings['page']) ) ? $settings['page'] : cms_page_id();
    $frame = ( isset($settings['frame']) && $settings['frame'] == 0 ) ? '' : '/';

    $row_page = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT translit, page_index from '.DB_PREFIX.'pages where id='.$page_id));

    $row_prefix = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT catalog_prefix from '.DB_PREFIX.'settings where id = 1'));

    ob_start();

    if( isset($settings['uri']) && ($settings['uri'] == 'prefix' || $settings['uri'] == 'prefix_nolang') )
    {
      if( $row_prefix['catalog_prefix'] == 1 )
      {
        self::getCategoryParentList($page_id,0);
      }
      else
      {
        echo '';
      }
    }
    elseif( isset($settings['uri']) && $settings['uri'] == 'translit' )
    {
      echo $row_page['translit'];
    }
    else
    {
      if( $row_prefix['catalog_prefix'] == 1 )
      {
        self::getCategoryParentList($page_id,1);
      }
      else
      {
        echo $row_page['translit'];
      }
    }

    $cache_uri = ob_get_contents();
    ob_end_clean();

    if(isset($_GET['cms_lang']))
    {
      if(isset($settings['uri']) && ($settings['uri'] == 'nolang' || $settings['uri'] == 'prefix_nolang' || $settings['uri'] == 'translit'))
      {
        $lang_uri = '';
      }
      else
      {
        $lang_uri = $_GET['cms_lang'].'/';
      }

    }
    else
    {
      $lang_uri = '';
    }

    $cache_uri = trim($cache_uri, '/');

    if( $row_page['page_index'] == 1 )
    {
      if(isset($settings['uri']) && $settings['uri'] == 'translit')
      {
        $cache_uri = $frame.$row_page['translit'].$frame;
      }
      else
      {
        $cache_uri = $frame.$lang_uri;
      }
    }
    elseif( $row_page['page_index'] != 1 )
    {
      if( $row_prefix['catalog_prefix'] == 0 && isset($settings['uri']) && ($settings['uri'] == 'prefix' || $settings['uri'] == 'prefix_nolang') )
      {
        if($frame == '')
        {
          $cache_uri = trim($lang_uri, '/');
        }
        else
        {
          $cache_uri = $frame.$lang_uri;
        }
      }
      else
      {
        $cache_uri = $frame.$lang_uri.$cache_uri.$frame;
      }
    }
    else
    {
      $cache_uri = $lang_uri.$cache_uri;
    }

    return $cache_uri;

  }

}