<?php

/**
 * Вывод каталога страниц относительно конкретной страницы
 *
 * $array['display'] - массив значений. Необязательный аргумент, по умолчанию = ['sections', 'elements']
 * $array['display'] = ['sections'] - выводит только подразделы
 * $array['display'] = ['elements'] - выводит только элементы
 * ['sections_all'] - выводит все разделы, входящие в текущий раздел, работает только вместе с ['sections'], не работает с ['fields']
 * ['elements_all'] - выводит все элементы, входящие в текущий раздел, работает только вместе с ['sections'] и ['elements'], не работает с ['fields']
 *
 * $array['fields','fields_sort','fields_filter'] = массивы для работы с полями каталога (необязательный аргумент)
 * 'fields' => [ '10' => '0' ] = регистрация дополнительных полей в массиве, где ключ - ID поля, его значение - значение поля по умолчанию
 * 'fields_sort' => [ '10' => 'asc', 'title' => 'desc'  ] = сортировка массива по дополнительным и дефолтным полям
 * 'fields_filter' => '{id} > 5 && {10} > 100 && {title} != "Some text page"' = фильтрация массива по дополнительным и дефолтным полям, названия полей заключаются в фигурные скобки
 */

function cms_catalog( $array = [] )
{

	if( empty($array['display']) )
	{
		$array['display'] = ['sections', 'elements'];
	}

	$pdo = cms_pdo();

	$page_id = cms_page_id();

	// Выбор шаблона
	$row_template = $pdo->query('SELECT template_catalog FROM '.DB_PREFIX.'pages where id = '.$page_id)->fetch();
	$template_id=$row_template['template_catalog'];

  // Собираем все id категорий для дальнейшего выбора элементов этих категорий
  $sections_id = array(0 => $page_id);

  if(cms_count_query('SELECT id FROM '.DB_PREFIX.'templates_catalog where id='.$row_template['template_catalog'])==0)
	{
		echo '<pre>[Шаблон каталога не найден!]</pre>';
	}
	else
	{

		// Вывод разделов
		$row_section = $pdo->query('SELECT * FROM '.DB_PREFIX.'templates_catalog where id = '.$template_id)->fetch();

		// Сортировка массива
		$sorting = ($row_section['section_sort_code']!='') ? $row_section['section_sort_code'] : 'number asc, id asc';

		// Подсчет и обработка страниц, входящих в разделы каталога
		if(isset($array['fields']))
		{
			$rows = $pdo->query('SELECT * from '.DB_PREFIX.'pages where sections regexp "'.cms_sql('reg_start').$page_id.cms_sql('reg_end').'" && section_index = 1 && hide = 0')->fetchAll(); // формируем отдельный массив для сортировки
			$count_sections = count($rows);
		}
		else
		{
			$count_sections = $pdo->query('SELECT id from '.DB_PREFIX.'pages where sections regexp "'.cms_sql('reg_start').$page_id.cms_sql('reg_end').'" and section_index = 1 and hide = 0')->rowCount();
		}

		// Если количество страниц больше нуля, то выводим разделы
		if( $count_sections != 0 && in_array('sections', $array['display']) )
		{
			// Предварительные переменные постраничного разделения
			if($row_section['section_pagination']==1 && $row_section['section_limit2']>0)
			{
				$links=$row_section['section_limit2']; // количество данных на странице
				$show_link=8; // количество отображаемых ссылок; нагляднее будет, когда это число будет парное
				$last_text="&laquo;"; // текст для ссылки на первую страницу
				$next_text="&raquo;"; // текст для ссылки на последнюю страницу
				$separator=""; // разделитель ссылок
				$page_string = 'page';

				// Шаблон пути ссылки (начало)
				if($_SERVER['REQUEST_URI']=='/' || $_SERVER['REQUEST_URI']=='/index.php' || !isset($_GET['cms_translit']))
				{
					$template_pages1="/";
				}
				else
				{
					$template_pages1='/'.$_GET['cms_translit'].'/';
				}

				$template_pages2=""; // шаблон пути ссылки (конец)

				if(!isset($_GET[$page_string]) || ($page=intval($_GET[$page_string]))<1)
				{
					$page=1;
				}
				else
				{
					$page=(int)$page;
				}

				$pages_count=ceil($count_sections/$links); // Количество страниц
				if($page>$pages_count) $page = $pages_count;
				$page_for_query = $page-1;
				$lpos = $page_for_query * $links;

			}

			// Если не указано постраничное разделение
			if($row_section['section_pagination']==0 && $row_section['section_limit2']>0)
			{
				$limit="limit $row_section[section_limit1],$row_section[section_limit2]";
				$limit_sort1 = $row_section['section_limit1'];
				$limit_sort2 = $row_section['section_limit2'];
			}
			// Если указано постраничное разделение, то проверяем лимит
			elseif($row_section['section_pagination']==1 && $row_section['section_limit2']>0)
			{
				$limit="limit $lpos,$row_section[section_limit2]";
				$limit_sort1 = $lpos;
				$limit_sort2 = $row_section['section_limit2'];
			}
			else
			{
				$limit='';
				$limit_sort1 = '';
				$limit_sort2 = '';
			}

			// Обрамление (начало)
			if($row_section['section_frame1']!='')
			{
				eval(' ?>'.$row_section['section_frame1'].'<?php ');
			}

			$subsections = array();

			// Кастомное лимитирование
			if (isset($array['fields']))
			{
				$rows = cmsArray::ArrayLimit( $rows, $limit_sort1, $limit_sort2 );
			}

			// Лимитирование из админки
			else
			{
				$rows = $pdo->query('SELECT * from '.DB_PREFIX.'pages where sections regexp "'.cms_sql('reg_start').$page_id.cms_sql('reg_end').'" && section_index = 1 && hide = 0 order by '.$sorting.' '.$limit)->fetchAll();
			}

			foreach ($rows as $row)
			{
				eval(' ?>'.$row_section['section_template'].'<?php ');

				$sections_id[] = $row['id'];

				getAllChildCategories($row['id'], $sections_id, $subsections);
			}

			// Вывод всех подразделов для текущего раздела
			if(in_array('sections_all',$array['display']))
			{
				foreach($subsections as $subsection)
				{
					$row = $subsection;
					eval(' ?>'.$row_section['section_template'].'<?php ');
				}
			}

			// Обрамление (конец)
			if($row_section['section_frame2']!='')
			{
				eval(' ?>'.$row_section['section_frame2'].'<?php ');
			}

			// Постраничный вывод
			if($row_section['section_pagination']==1 && $row_section['section_limit2']>0 && $count_sections>$row_section['section_limit2'])
			{

				$array_pagination =
				[
					'page' => $page,
					'page_string' => $page_string,
					'template_pages1' => $template_pages1,
					'template_pages2' => $template_pages2,
					'pages_count' => $pages_count,
					'show_link' => $show_link,
					'separator' => $separator,
					'last_text' => $last_text,
					'next_text' => $next_text
				];

				cms_pagination( $array_pagination );

			}
		}

		$sections_id = implode(',', $sections_id);

		// Вывод элементов разделов
		$row_element = $pdo->query('SELECT * FROM '.DB_PREFIX.'templates_catalog where id = '.$template_id)->fetch();

		// Сортировка массива
		$sorting = ($row_element['element_sort_code']!='') ? $row_element['element_sort_code'] : 'number asc, id asc';

		$query = '';

		$query_id = (isset($array['fields'])) ? '*' : 'id';

		if( in_array('elements_all', $array['display']) )
		{
			$query = "SELECT DISTINCT $query_id from ".DB_PREFIX."pages where (section IN ($sections_id) OR sections regexp '".cms_sql('reg_start').$page_id.cms_sql('reg_end')."') and section_index='0' and hide='0'";
		}
		else
		{
			$query = "SELECT $query_id from ".DB_PREFIX."pages where sections regexp '".cms_sql('reg_start').$page_id.cms_sql('reg_end')."' and section_index='0' and hide='0'";
		}

		// Подсчет и обработка страниц, входящих в элементы каталога
		if(isset($array['fields']))
		{
			$rows = $pdo->query($query)->fetchAll(); // формируем отдельный массив для сортировки
			$rows = cmsArray::ArrayAdd( $rows, $array['fields'] ); // регистрация дополнительных полей
			if(isset($array['fields_sort'])) $rows = cmsArray::ArraySort( $rows, $array['fields_sort'] ); // сортировка массива
			if(isset($array['fields_filter'])) $rows = cmsArray::ArrayFilter( $rows, $array ); // фильтрация массива
			$count_elements = count($rows);
		}
		else
		{
			$count_elements = $pdo->query($query)->rowCount();
		}

		// Если количество страниц больше нуля, то выводим элементы раздела
		if( $count_elements != 0 && in_array('elements', $array['display']) )
		{
			// Предварительные переменные постраничного разделения
			if($row_element['element_pagination']==1 && $row_element['element_limit2']>0)
			{

				$links=$row_element['element_limit2']; // количество данных на странице
				$show_link=8; // количество отображаемых ссылок; нагляднее будет, когда это число будет парное
				$last_text="&laquo;"; // текст для ссылки на первую страницу
				$next_text="&raquo;"; // текст для ссылки на последнюю страницу
				$separator=""; // разделитель ссылок
				$page_string = 'page';

				// Шаблон пути ссылки (начало)
				if($_SERVER['REQUEST_URI']=='/' || $_SERVER['REQUEST_URI']=='/index.php' || !isset($_GET['cms_translit']))
				{
					$template_pages1="/";
				}
				else
				{
					$template_pages1='/'.$_GET['cms_translit'].'/';
				}

				$template_pages2=""; // шаблон пути ссылки (конец)

				if(!isset($_GET[$page_string]) || ($page=intval($_GET[$page_string]))<1)
				{
					$page=1;
				}
				else
				{
					$page=(int)$page;
				}

				$pages_count=ceil($count_elements/$links); // Количество страниц
				if($page>$pages_count) $page = $pages_count;
				$page_for_query = $page-1;
				$lpos = $page_for_query * $links;

			}

			// Если не указано постраничное разделение
			if($row_element['element_pagination']==0 && $row_element['element_limit2']>0)
			{
				$limit="limit $row_element[element_limit1],$row_element[element_limit2]";
				$limit_sort1 = $row_section['element_limit1'];
				$limit_sort2 = $row_section['element_limit2'];
			}
			// Если указано постраничное разделение, то проверяем лимит
			elseif($row_element['element_pagination']==1 && $row_element['element_limit2']>0)
			{
				$limit="limit $lpos,$row_element[element_limit2]";
				$limit_sort1 = $lpos;
				$limit_sort2 = $row_section['element_limit2'];
			}
			else
			{
				$limit="";
				$limit_sort1 = '';
				$limit_sort2 = '';
			}

			// Обрамление (начало)
			if($row_element['element_frame1']!='')
			{
				eval(' ?>'.$row_element['element_frame1'].'<?php ');
			}

			/*
			// Кастомное лимитирование
			if (isset($array['fields']))
			{
				$rows = cmsArray::ArrayLimit( $rows, $limit_sort1, $limit_sort2 );
			}

			// Лимитирование из админки
			else
			{
				$rows = $pdo->query('SELECT * from '.DB_PREFIX.'pages where sections regexp "'.cms_sql('reg_start').$page_id.cms_sql('reg_end').'" && section_index = 1 && hide = 0 order by '.$sorting.' '.$limit)->fetchAll();
			}
			*/

			// Кастомная сортировка по полям
			if(isset($array['fields']))
			{

				// var_dump($rows);

				$rows = cmsArray::ArrayLimit( $rows, $limit_sort1, $limit_sort2 );

			}

			// Сортировка из админки
			else
			{

				if( in_array('elements_all', $array['display']) )
				{
				  $rows = $pdo->query('SELECT DISTINCT * from '.DB_PREFIX.'pages where (section IN ('.$sections_id.') || sections regexp "'.cms_sql('reg_start').$page_id.cms_sql('reg_end').'") && section_index = 0 && hide = 0 order by '.$sorting.' '.$limit)->fetchAll();
				}
				else
				{
				  $rows = $pdo->query('SELECT * from '.DB_PREFIX.'pages where sections regexp "'.cms_sql('reg_start').$page_id.cms_sql('reg_end').'" && section_index = 0 && hide = 0 order by '.$sorting.' '.$limit)->fetchAll();
				}

			}

			foreach ($rows as $row)
			{
				eval(' ?>'.$row_element['element_template'].'<?php ');
			}

			// Обрамление (конец)
			if($row_element['element_frame2']!='')
			{
				eval(' ?>'.$row_element['element_frame2'].'<?php ');
			}

			// Постраничный вывод
			if($row_element['element_pagination']==1 && $row_element['element_limit2']>0 && $count_elements>$row_element['element_limit2'])
			{

				$array_pagination =
				[
					'page' => $page,
					'page_string' => $page_string,
					'template_pages1' => $template_pages1,
					'template_pages2' => $template_pages2,
					'pages_count' => $pages_count,
					'show_link' => $show_link,
					'separator' => $separator,
					'last_text' => $last_text,
					'next_text' => $next_text
				];

				cms_pagination( $array_pagination );

			}

		}

	}
}

function getChildCategories($page_id, &$sections)
{

	$result = mysqli_query( cms_mysqli(), "SELECT id from ".DB_PREFIX."pages where sections regexp '".cms_sql('reg_start').$page_id.cms_sql('reg_end')."' and section_index='1' and hide='0' order by id");

	while($row=mysqli_fetch_array($result))
	{
		$sections['sections']++;
		$resultElements = mysqli_fetch_object(mysqli_query(cms_mysqli(), "SELECT count(id) count from ".DB_PREFIX."pages where sections regexp '".cms_sql('reg_start').$row['id'].cms_sql('reg_end')."' and section_index='0' and hide='0' order by id"));
		$sections['elements'] = $sections['elements'] + $resultElements->count;
		getChildCategories($row['id'], $sections);
	}

}

function getAllChildCategories($parent, &$sections_id, &$subsections)
{

	$result = mysqli_query( cms_mysqli(), "SELECT id, title, translit from ".DB_PREFIX."pages where sections regexp '".cms_sql('reg_start').$parent.cms_sql('reg_end')."[[:>:]]' and section_index='1' and hide='0' order by id");

	while($row=mysqli_fetch_array($result))
	{
		$sections_id[] = $row['id'];

		$subsections[]= $row;

		getAllChildCategories($row['id'], $sections_id, $subsections);
	}

}