<?php

/**
 * Вывод дополнительного поля:
 *
 * $element_id - ID страницы, элемента или блока, к которому относится поле
 * $field_id - ID поля
 * $array - массив значений, необязательный аргумент
 * $array['image_type'] - аргумент для поля Изображение: значение 's' - малый эскиз, значение 'b' - большой эскиз, значение 'o' - оригинальное изображение
 * $array['default'] - заглушка при отсутствии значения поля
 *
 * Пример:
 * cms_field( 100, 10, [ 'image_type' => 'o', 'default' => 'Изображение отсутствует' ] )
 */



function cms_field( $element_id, $field_id, $array = [] )
{

	$mysqli = cms_mysqli();
	$pdo = cms_pdo();

	$image_type = (is_array($array) && isset($array['image_type'])) ? $array['image_type'] : '';
	$default = (is_array($array) && isset($array['default'])) ? $array['default'] : '';

	// Если поле существует в базе, отображаемм содержимое
	if(cms_count_query('SELECT id from '.DB_PREFIX.'fields_name where id='.$field_id) > 0)
	{

		$row_field = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_name where id='.$field_id));

		// Скрытые элементы для динамического блока
		$hide = ($row_field['field_type']=='fields_elements') ? '&& hide = 0' : '';

		// Подсчет количества записей в базе и формирование массива
		if($row_field['field_type']=='fields_elements' && isset($array['fields']))
		{
			$rows = $pdo->query('SELECT * from '.DB_PREFIX.$row_field['field_type'].' where element='.$element_id.' '.$hide.' && name='.$field_id)->fetchAll(); // формируем отдельный массив для сортировки
			$rows = cmsArray::ArrayAdd( $rows, $array['fields'] ); // регистрация дополнительных полей
			if(isset($array['fields_sort'])) $rows = cmsArray::ArraySort( $rows, $array['fields_sort'] ); // сортировка массива
			if(isset($array['fields_filter'])) $rows = cmsArray::ArrayFilter( $rows, $array ); // фильтрация массива
			$count_fields = count($rows);
		}
		else
		{
			$count_fields = $pdo->query('SELECT id from '.DB_PREFIX.$row_field['field_type'].' where element='.$element_id.' '.$hide.' && name='.$field_id)->rowCount();
		}

		// Если запись в базе существует
		if($count_fields > 0)
		{

			// Начало кэширования
			ob_start();

			// Галерея, архив, динамический блок
			if($row_field['field_type']=='fields_gallery' || $row_field['field_type']=='fields_archive' || $row_field['field_type']=='fields_elements' || $row_field['field_type']=='fields_array')
			{

				// Сортировка массива
				$sorting = ($row_field['sort_code']!='') ? $row_field['sort_code'] : 'number asc, id asc';

				// Предварительные переменные постраничного разделения
				if($row_field['pagination']==1 && $row_field['limit2']>0)
				{
					$links=$row_field['limit2']; // количество данных на странице
					$show_link=8; // количество отображаемых ссылок; нагляднее будет, когда это число будет парное
					$last_text="&laquo;"; // текст для ссылки на первую страницу
					$next_text="&raquo;"; // текст для ссылки на последнюю страницу
					$separator=""; // разделитель ссылок
					$page_string = 'page'.$row_field['id'];

					// Шаблон пути ссылки (начало)
					if($_SERVER['REQUEST_URI']=='/' || $_SERVER['REQUEST_URI']=='/index.php' || !isset($_GET['cms_translit']))
					{
						$template_pages1="/";
					}
					else
					{
						$template_pages1='/'.$_GET['cms_translit'].'/';
					}
					$template_pages2=""; // шаблон пути ссылки (конец)
					if(!isset($_GET[$page_string]) || ($page=intval($_GET[$page_string]))<1)
					{
						$page=1;
					}
					else
					{
						$page=(int)$page;
					}
					$pages_count=ceil($count_fields/$links); // Количество страниц
					if($page>$pages_count) $page = $pages_count;
					$page_for_query = $page-1;
					$lpos = $page_for_query * $links;
				}

				// Если не указано постраничное разделение
				if($row_field['pagination']==0 && $row_field['limit2']>0)
				{
					$limit="limit $row_field[limit1],$row_field[limit2]";
					$limit_sort1 = $row_field['limit1'];
					$limit_sort2 = $row_field['limit2'];
				}
				// Если указано постраничное разделение, то проверяем лимит
				elseif($row_field['pagination']==1 && $row_field['limit2']>0)
				{
					$limit="limit $lpos,$row_field[limit2]";
					$limit_sort1 = $lpos;
					$limit_sort2 = $row_field['limit2'];
				}
				else
				{
					$limit='';
					$limit_sort1 = '';
					$limit_sort2 = '';
				}

				// Обрамление (начало)
				if($row_field['frame1']!='')
				{
					eval(' ?>'.$row_field['frame1'].'<?php ');
				}

				// Цикл для динамических блоков
				if($row_field['field_type']=='fields_elements')
				{

					// Кастомное лимитирование
					if (isset($array['fields']))
					{
						$rows = cmsArray::ArrayLimit( $rows, $limit_sort1, $limit_sort2 );
					}
					// Лимитирование из админки
					else
					{
						$rows = $pdo->query('SELECT * from '.DB_PREFIX.'fields_elements where element='.$element_id.' && name='.$field_id.' && hide = 0 order by '.$sorting.' '.$limit)->fetchAll();
					}

					foreach ($rows as $row)
					{
						eval(' ?>'.$row_field['template'].'<?php ');
					}

				}

				// Массив данных
				elseif($row_field['field_type']=='fields_array')
				{
					$row_field_array = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT value from '.DB_PREFIX.'fields_array where name='.$field_id.' && element = '.$element_id));
					$field_array = str_replace(' ', ',', $row_field_array['value']);

					$sorting = ($row_field['sort_code']) ? 'order by '.$row_field['sort_code'] : 'order by FIELD(id, '.$field_array.')';

					$result = mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'pages where id IN ('.$field_array.') '.$sorting);
					while($row = mysqli_fetch_array($result))
					{
						eval(' ?>'.$row_field['template'].'<?php ');
					}
				}

				// Цикл для галереи, архива
				else
				{
					$result = mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.$row_field['field_type'].' where element='.$element_id.' && name='.$field_id.' order by '.$sorting.' '.$limit);
					while($row = mysqli_fetch_array($result))
					{
						eval(' ?>'.$row_field['template'].'<?php ');
					}
				}

				// Обрамление (конец)
				if($row_field['frame2']!='')
				{
					eval(' ?>'.$row_field['frame2'].'<?php ');
				}

				// Постраничный вывод
				if($row_field['pagination']==1 && $row_field['limit2']>0 && $count_fields>$row_field['limit2'])
				{

					$array_pagination =
					[
						'page' => $page,
						'page_string' => $page_string,
						'template_pages1' => $template_pages1,
						'template_pages2' => $template_pages2,
						'pages_count' => $pages_count,
						'show_link' => $show_link,
						'separator' => $separator,
						'last_text' => $last_text,
						'next_text' => $next_text
					];

					cms_pagination( $array_pagination );

				}

			}

			// Обработка остальных видов полей
			else
			{

				$row = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.$row_field['field_type'].' where element='.$element_id.' && name='.$field_id));

				// Если тип поля = Текст и обработка поля = Код, исполняем код
				if($row_field['field_type']=='fields_text' && $row_field['editor']==2)
				{

					eval(' ?>'.$row['value'].'<?php ');

				}

				// Если тип поля = Список однозначный, выводим выбранное значение списка
				elseif($row_field['field_type']=='fields_select')
				{

					$row_value=mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT value from '.DB_PREFIX.'fields_select_list where id="'.$row['value'].'"'));

					echo $row_value['value'];

				}

				// Если тип поля = Список многозначный, выводим выбранные значения списка в виде массива
				elseif($row_field['field_type']=='fields_select_multiple' && $row['value']!='')
				{

					$select_values = explode(' ', $row['value']);

					$select_values = "'" . implode ( "', '", $select_values ) . "'";

					$count_select = cms_count_query('SELECT id from '.DB_PREFIX.'fields_select_list where id IN ('.$select_values.')');

					if($count_select>0)
					{

						$result_select = mysqli_query($mysqli,'SELECT value from '.DB_PREFIX.'fields_select_list where id IN ('.$select_values.')');

						$select_number = 1;

						while($row_select = mysqli_fetch_assoc($result_select))
						{

							if($select_number==$count_select && $row_field['last_frame']==0)
							{
								echo $row_field['frame1'].$row_select['value'];
							}
							else
							{
								echo $row_field['frame1'].$row_select['value'].$row_field['frame2'];
							}

							$select_number++;

						}

					}

				}

				// Изображение
				elseif($row_field['field_type']=='fields_image')
				{

					if($image_type == '')
					{
						if($row['image_big']!='')
						{
							echo '/cms/pages-images/'.$row['image_big'];
						}
						elseif($row['image_original']!='')
						{
							echo '/cms/pages-images/'.$row['image_original'];
						}
						elseif($row['image_small']!='')
						{
							echo '/cms/pages-images/'.$row['image_small'];
						}

					}
					elseif($image_type == 's' && $row['image_small']!='')
					{
						echo '/cms/pages-images/'.$row['image_small'];
					}
					elseif($image_type == 'b' && $row['image_big']!='')
					{
						echo '/cms/pages-images/'.$row['image_big'];
					}
					elseif($image_type == 'o' && $row['image_original']!='')
					{
						echo '/cms/pages-images/'.$row['image_original'];
					}

				}

				// Файл
				elseif($row_field['field_type']=='fields_file')
				{

					echo '/cms/pages-files/'.$row['value'];

				}

				// Выводим значение для остальных типов поля
				else
				{

					echo $row['value'];

				}

			}

			// Конец кэширования и возврат результата
			$field_cache = ob_get_contents();
			ob_end_clean();
			return $field_cache;

		}

		// Если нет записи в базе, показываем заглушку
		else
		{

			return $default;

		}

	}

	// Если поля нет в базе, показываем заглушку
	else
	{

		return $default;

	}

}