<?php

/**
* Отображение заголовков страницы
*/

function cms_headers()
{

	$mysqli = cms_mysqli();
	$page_id = cms_page_id();

	// Title
	// Если заголовок переопределен в SEO-поле, берем заголовок оттуда
	if(cms_count_query('SELECT id from '.DB_PREFIX.'seo where lang = "'.cmsLang::Display().'" && type = "title" && page = '.$page_id)>0)
	{

		$row2 = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT value from '.DB_PREFIX.'seo where lang = "'.cmsLang::Display().'" && type = "title" && page = '.$page_id));

		ob_start();
		eval(' ?>'.$row2['value'].'<?php ');
		$cache_title = ob_get_contents();
		ob_end_clean();

		?><title><?=htmlspecialchars($cache_title,ENT_QUOTES)?></title>
	<?php
	}
	else
	{

		$row_title = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title_header from '.DB_PREFIX.'lang where value = "'.cmsLang::Display().'"'));

		ob_start();
		eval(' ?>'.$row_title['title_header'].'<?php ');
		$cache_title = ob_get_contents();
		ob_end_clean();

		?><title><?=htmlspecialchars($cache_title,ENT_QUOTES)?></title>
	<?php

	}

	// Meta noindex
	$row_meta_noindex_global = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT noindex from '.DB_PREFIX.'settings where id = 1'));
	if(cms_count_query('SELECT id from '.DB_PREFIX.'seo where type="meta_noindex" && lang = "'.cmsLang::Display().'" && page = '.$page_id)>0)
	{
		$row_meta_noindex = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT value from '.DB_PREFIX.'seo where type="meta_noindex" && lang = "'.cmsLang::Display().'" && page = '.$page_id));
	}
	if((isset($row_meta_noindex['value']) && $row_meta_noindex['value']==1) || $row_meta_noindex_global['noindex']==1)
	{
		?><meta name="robots" content="noindex">
	<?php
	}

	// Meta description
	if(cms_count_query('SELECT id from '.DB_PREFIX.'seo where type="meta_description" && lang = "'.cmsLang::Display().'" && page = '.$page_id)>0)
	{

		$row_meta_description = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT value from '.DB_PREFIX.'seo where type="meta_description" && lang = "'.cmsLang::Display().'" && page = '.$page_id));

		ob_start();
		eval(' ?>'.$row_meta_description['value'].'<?php ');
		$cache_description = ob_get_contents();
		ob_end_clean();

		?><meta name="description" content="<?=htmlspecialchars($cache_description,ENT_QUOTES)?>">
	<?php
	}

	// Meta keywords
	if(cms_count_query('SELECT id from '.DB_PREFIX.'seo where type="meta_keywords" && lang = "'.cmsLang::Display().'" && page = '.$page_id)>0)
	{

		$row_meta_keywords = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT value from '.DB_PREFIX.'seo where type="meta_keywords" && lang = "'.cmsLang::Display().'" && page = '.$page_id));

		ob_start();
		eval(' ?>'.$row_meta_keywords['value'].'<?php ');
		$cache_keywords = ob_get_contents();
		ob_end_clean();

		?><meta name="keywords" content="<?=htmlspecialchars($cache_keywords,ENT_QUOTES)?>">
	<?php
	}

	// Каноническая ссылка
	if(cms_count_query('SELECT id from '.DB_PREFIX.'seo where type="link_canonical" && lang = "'.cmsLang::Display().'" && page = '.$page_id)>0)
	{
		$row_link_canonical = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT value from '.DB_PREFIX.'seo where type="link_canonical" && lang = "'.cmsLang::Display().'" && page = '.$page_id));
		?><link rel="canonical" href="<?=htmlspecialchars($row_link_canonical['value'],ENT_QUOTES)?>">
	<?php
	}


	// og:Title
	if(cms_count_query('SELECT id from '.DB_PREFIX.'seo where type="og_title" && lang = "'.cmsLang::Display().'" && page = '.$page_id)>0)
	{

		$row_og_title = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT value from '.DB_PREFIX.'seo where type="og_title" && lang = "'.cmsLang::Display().'" && page = '.$page_id));

		ob_start();
		eval(' ?>'.$row_og_title['value'].'<?php ');
		$cache_og_title = ob_get_contents();
		ob_end_clean();

		?><meta property="og:title" content="<?=htmlspecialchars($cache_og_title,ENT_QUOTES)?>">
	<?php
	}
	else
	{
		?><meta property="og:title" content="<?=htmlspecialchars($cache_title,ENT_QUOTES)?>">
	<?php
	}

	// og:Description
	if(cms_count_query('SELECT id from '.DB_PREFIX.'seo where type="og_description" && lang = "'.cmsLang::Display().'" && page = '.$page_id)>0)
	{

		$row_og_description = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT value from '.DB_PREFIX.'seo where type="og_description" && lang = "'.cmsLang::Display().'" && page = '.$page_id));

		ob_start();
		eval(' ?>'.$row_og_description['value'].'<?php ');
		$cache_og_description = ob_get_contents();
		ob_end_clean();

		?><meta property="og:description" content="<?=htmlspecialchars($cache_og_description,ENT_QUOTES)?>">
	<?php
	}
	elseif(isset($cache_description))
	{
		?><meta property="og:description" content="<?=htmlspecialchars($cache_description,ENT_QUOTES)?>">
	<?php
	}

	// og:Image
	if(cms_count_query('SELECT id from '.DB_PREFIX.'seo where type="og_image" && lang = "'.cmsLang::Display().'" && page = '.$page_id)>0)
	{

		$row_og_image = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT value from '.DB_PREFIX.'seo where type="og_image" && lang = "'.cmsLang::Display().'" && page = '.$page_id));

		$field_image = cms_field($page_id, $row_og_image['value']);

		if($field_image)
		{
		?><meta property="og:image" content="<?=HOST_PROTOCOL.HOST_NAME.htmlspecialchars($field_image,ENT_QUOTES)?>">
	<?php
		}
	}

	// og:Type
	if(cms_count_query('SELECT id from '.DB_PREFIX.'seo where type="og_type" && lang = "'.cmsLang::Display().'" && page = '.$page_id)>0)
	{

		$row_og_type = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT value from '.DB_PREFIX.'seo where type="og_type" && lang = "'.cmsLang::Display().'" && page = '.$page_id));

		ob_start();
		eval(' ?>'.$row_og_type['value'].'<?php ');
		$cache_og_type = ob_get_contents();
		ob_end_clean();

		?><meta property="og:type" content="<?=htmlspecialchars($cache_og_type,ENT_QUOTES)?>">
	<?php
	}
	else
	{
		?><meta property="og:type" content="website">
	<?php
	}

	// og:Url
	if(isset($row_link_canonical['value']))
	{
	?><meta property="og:url" content="<?=htmlspecialchars($row_link_canonical['value'],ENT_QUOTES)?>">
	<?php
	}

}