<!DOCTYPE html>
<html>

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>CMS Pages - Установка</title>

  <style>
    *,
    *::before,
    *::after {
      box-sizing: border-box;
    }

    body {
      margin: 0;
      font-family: system-ui, -apple-system, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", "Liberation Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
      font-size: 1rem;
      font-weight: 400;
      line-height: 1.5;
      color: #212529;
      background-color: #fff;
      -webkit-text-size-adjust: 100%;
      -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    }

    .container {
      max-width: 350px;
      margin: auto;
      padding: 3rem 0;
    }

    h1 {
      margin: 0;
      padding: 10px 0;
      font-size: 20px;
      font-weight: 500;
      text-align: center;
      background-color: rgba(0, 0, 0, 0.03);
      border: 1px solid rgba(0, 0, 0, 0.125);
      border-bottom: none;
      border-radius: 0.25rem 0.25rem 0 0;
    }

    .alert {
      position: relative;
      padding: 1rem 1rem;
      margin-bottom: 1rem;
      border: 1px solid transparent;
      border-radius: 0.25rem;
      text-align: center;
    }

    .alert-danger {
      color: #842029;
      background-color: #f8d7da;
      border-color: #f5c2c7;
    }

    .alert-success {
      color: #0f5132;
      background-color: #d1e7dd;
      border-color: #badbcc;
    }

    form {
      border: 1px solid rgba(0, 0, 0, .125);
      border-radius: 0 0 0.25rem 0.25rem;
      padding: 1.25rem;
    }

    .form-group {
      margin-bottom: 15px;
    }

    label {
      display: block;
      margin-bottom: 5px;
      font-weight: 500;
    }

    input {
      display: block;
      width: 100%;
      padding: 0.375rem 0.75rem;
      font-size: 1rem;
      font-weight: 400;
      line-height: 1.5;
      color: #212529;
      background-color: #fff;
      background-clip: padding-box;
      border: 1px solid #ced4da;
      -webkit-appearance: none;
      -moz-appearance: none;
      appearance: none;
      border-radius: 0.25rem;
      transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    }

    input:focus {
      color: #212529;
      background-color: #fff;
      border-color: #86b7fe;
      outline: 0;
      box-shadow: 0 0 0 0.25rem rgba(13, 110, 253, 0.25);
    }

    input.is-invalid {
      border-color: #dc3545;
      padding-right: calc(1.5em + 0.75rem);
      background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12' width='12' height='12' fill='none' stroke='%23dc3545'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23dc3545' stroke='none'/%3e%3c/svg%3e");
      background-repeat: no-repeat;
      background-position: right calc(0.375em + 0.1875rem) center;
      background-size: calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
    }

    input.is-invalid:focus {
      border-color: #dc3545;
      box-shadow: 0 0 0 0.25rem rgba(220, 53, 69, 0.25);
    }

    .invalid-feedback {
      width: 100%;
      margin-top: 0.25rem;
      font-size: 0.875em;
      color: #dc3545;
    }

    .form-text {
      margin-top: 0.25rem;
      font-size: 0.875em;
      color: #6c757d;
    }

    .btn {
      display: block;
      width: 100%;
      margin-top: 20px;
      font-weight: 400;
      line-height: 1.5;
      color: #212529;
      text-align: center;
      text-decoration: none;
      cursor: pointer;
      -webkit-user-select: none;
      -moz-user-select: none;
      user-select: none;
      background-color: transparent;
      border: 1px solid transparent;
      padding: 0.375rem 0.75rem;
      font-size: 1rem;
      border-radius: 0.25rem;
      transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    }

    .btn:hover {
      color: #212529;
    }

    .btn-primary {
      color: #fff;
      background-color: #0d6efd;
      border-color: #0d6efd;
    }

    .btn-primary:hover {
      color: #fff;
      background-color: #0b5ed7;
      border-color: #0a58ca;
    }

  </style>

</head>

<body>

  <div class="container">

    <?php if (version_compare(phpversion(), '5.6.0', '<')) { ?>

      <div class="alert alert-danger" role="alert">
        Ваша версия PHP меньше 5.6
      </div>

    <?php exit; } ?>

    <?php if (!file_exists('cms.sql')) { ?>

      <div class="alert alert-danger" role="alert">
        Не найден дамп базы MySQL
      </div>

    <?php exit; } ?>

    <?php if (!file_exists('cms.zip')) { ?>

      <div class="alert alert-danger" role="alert">
        Не найден архив файлов системы
      </div>

    <?php exit; } ?>

    <?php

    $cms_login = '';
    $cms_password = '';
    $mysql_host = 'localhost';
    $mysql_name = '';
    $mysql_user = '';
    $mysql_password = '';
    $mysql_prefix = 'cms_';

    if(isset($_POST['cms_login']))
    {

      $cms_login = htmlspecialchars(trim($_POST['cms_login']),ENT_QUOTES);
      $cms_login_valid = '';
      $cms_login_valid_text = '';

      if(!filter_var(trim($_POST['cms_login']), FILTER_VALIDATE_EMAIL))
      {
        $cms_login_valid = 'is-invalid';
        $cms_login_valid_text = '
        <div class="invalid-feedback">Неправильный формат почты</div>
        ';
      }

      $cms_password = htmlspecialchars($_POST['cms_password'],ENT_QUOTES);
      $cms_password_valid = '';
      $ccms_password_valid_text = '';

      if(mb_strlen($_POST['cms_password']) < 6 || mb_strlen($_POST['cms_password']) > 16)
      {
        $cms_password_valid = 'is-invalid';
        $cms_password_valid_text = '
        <div class="invalid-feedback">Неправильный пароль</div>
        ';
      }

      $mysql_host = htmlspecialchars(trim($_POST['mysql_host']),ENT_QUOTES);
      $mysql_name = htmlspecialchars(trim($_POST['mysql_name']),ENT_QUOTES);
      $mysql_user = htmlspecialchars(trim($_POST['mysql_user']),ENT_QUOTES);
      $mysql_password = htmlspecialchars(trim($_POST['mysql_password']),ENT_QUOTES);
      $mysql_prefix = htmlspecialchars(trim($_POST['mysql_prefix']),ENT_QUOTES);

      if( trim($_POST['mysql_name']) == '' )
      {
        ?>
        <div class="alert alert-danger" role="alert">
          Неправильное имя базы MySQL
        </div>
        <?php
      }
      elseif( @!$mysqli = mysqli_connect(trim($_POST['mysql_host']), trim($_POST['mysql_user']), trim($_POST['mysql_password']), trim($_POST['mysql_name'])) )
      {
        ?>
        <div class="alert alert-danger" role="alert">
          Не удалось соединиться с MySQL
        </div>
        <?php
      }
      else
      {

        /* Установка CMS */
        if(
          filter_var(trim($_POST['cms_login']), FILTER_VALIDATE_EMAIL) &&
          mb_strlen($_POST['cms_password']) >= 6 &&
          mb_strlen($_POST['cms_password']) <= 16 &&
          ( preg_match('/^[a-z_]+$/i',trim($_POST['mysql_prefix'])) || trim($_POST['mysql_prefix']) == '' )
        )
        {

          mysqli_query($mysqli,'SET NAMES utf8');

          $data_file = file('cms.sql');
          file_put_contents('cms.sql', implode('',
            array_map(function($data_file)
            {
              $data_file = str_replace('DROP TABLE IF EXISTS `', 'DROP TABLE IF EXISTS `'.trim($_POST['mysql_prefix']), $data_file);
              $data_file = str_replace('CREATE TABLE `', 'CREATE TABLE `'.trim($_POST['mysql_prefix']), $data_file);
              $data_file = str_replace('INSERT INTO `', 'INSERT INTO `'.trim($_POST['mysql_prefix']), $data_file);
              return $data_file;
            }, file('cms.sql'))
          ));

          exec('mysql --user='.trim($_POST['mysql_user']).' --password="'.trim($_POST['mysql_password']).'" '.trim($_POST['mysql_name']).' < cms.sql'); // Загрузка дампа MySQL
          unlink('cms.sql'); // Удаление дампа MySQL

          mysqli_query($mysqli,'UPDATE '.trim($_POST['mysql_prefix']).'admin SET mail = "'.trim($_POST['cms_login']).'",	password = "'.mysqli_escape_string($mysqli,trim($_POST['cms_password'])).'" where id = 1'); // Запись данных доступа администратора

           // Распаковка файлов архива
          if( empty(exec('unzip')) )
          {
            $zip = new ZipArchive;
            $zip->open('cms.zip');
            $zip->extractTo('.');
            $zip->close();
          }
          else
          {
            exec('unzip cms.zip');
          }

          unlink('cms.zip'); // Удаление архива файлов

          if( file_exists('index.php') && file_exists('cms/app/config/config.php') )
          {

            /* Запись доступа к MySQL */
            $file_content = file_get_contents('cms/app/config/config.php');

            $file_content = preg_replace('|\'ADMIN_TOKEN\', \'(.*)\'|Uis', '\'ADMIN_TOKEN\', \''.substr(str_shuffle('0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ'), 0, 16).'\'', $file_content);

            $file_content = preg_replace('|\'DB_HOST\', \'(.*)\'|Uis', '\'DB_HOST\', \''.trim($_POST['mysql_host']).'\'', $file_content);
            $file_content = preg_replace('|\'DB_NAME\', \'(.*)\'|Uis', '\'DB_NAME\', \''.trim($_POST['mysql_name']).'\'', $file_content);
            $file_content = preg_replace('|\'DB_USER\', \'(.*)\'|Uis', '\'DB_USER\', \''.trim($_POST['mysql_user']).'\'', $file_content);
            $file_content = preg_replace('|\'DB_PASSWORD\', \'(.*)\'|Uis', '\'DB_PASSWORD\', \''.trim($_POST['mysql_password']).'\'', $file_content);
            $file_content = preg_replace('|\'DB_PREFIX\', \'(.*)\'|Uis', '\'DB_PREFIX\', \''.trim($_POST['mysql_prefix']).'\'', $file_content);

            $file = fopen('cms/app/config/config.php', 'w');
            fwrite ($file, $file_content);
            fclose ($file);

            ?>

            <div class="alert alert-success" role="alert">
              Установка успешно завершена
            </div>

            <a href="/" class="btn btn-primary">Удалить установочные файлы</a>

            <?php

            exit;

          }
          else
          {
            ?>

            <div class="alert alert-danger" role="alert">
              Установка завершилась с ошибками
            </div>

            <?php

            exit;
          }

        }

      }

    }

    ?>

    <h1>Установка CMS Pages</h1>

    <form action="install.php" method="POST">

      <div class="form-group">
        <label>Логин администратора:</label>
        <input type="text" name="cms_login" maxlength="255" autocomplete="off" value="<?=$cms_login?>" class="<?=$cms_login_valid?>">
        <div class="form-text">E-mail адрес</div>
        <?=$cms_login_valid_text?>
      </div>

      <div class="form-group">
        <label>Пароль администратора:</label>
        <input type="text" name="cms_password" maxlength="16" autocomplete="off" value="<?=$cms_password?>" class="<?=$cms_password_valid?>">
        <div class="form-text">от 6 до 16 символов</div>
        <?=$cms_password_valid_text?>
      </div>

      <div class="form-group">
        <label>Сервер MySQL:</label>
        <input type="text" name="mysql_host" maxlength="16" autocomplete="off" value="<?=$mysql_host?>">
      </div>

      <div class="form-group">
        <label>Наименование базы MySQL:</label>
        <input type="text" name="mysql_name" maxlength="16" autocomplete="off" value="<?=$mysql_name?>">
      </div>

      <div class="form-group">
        <label>Пользователь MySQL:</label>
        <input type="text" name="mysql_user" maxlength="16" autocomplete="off" value="<?=$mysql_user?>">
      </div>

      <div class="form-group">
        <label>Пароль MySQL:</label>
        <input type="text" name="mysql_password" maxlength="16" autocomplete="off" value="<?=$mysql_password?>">
      </div>

      <div class="form-group">
        <label>Префикс для таблиц MySQL:</label>
        <input type="text" name="mysql_prefix" maxlength="16" autocomplete="off" value="<?=$mysql_prefix?>">
      </div>

      <button class="btn btn-primary">Начать установку</button>

    </form>

  </div>

</body>

</html>